package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 接入网关协议类型
 */
public enum ConnGateProtocolEnum {
	
	/** 1,Modbus：表示子设备和网关之间的通讯协议是Modbus */
	MODBUS(1, "Modbus"),
    /** 2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA */
	OPC_UA(2, "OPC_UA"),
    /** 3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee */
	ZIGBEE(3, "ZigBee"),
    /** 4,BLE：表示子设备和网关之间的通讯协议是BLE */
	BLE(4, "BLE");

    private int value;
    private String msg;

    ConnGateProtocolEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        ConnGateProtocolEnum[] contractTypeEnums = ConnGateProtocolEnum.values();
        for (ConnGateProtocolEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
