package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 客户类型
 */
public enum CustTypeEnum {
	
	/** 1：平台客户 */
    SYSTEM(1, "平台用户"),
    /** 2：商家用户 */
    PARTNER(2, "商家客户");

    private int value;
    private String msg;

    CustTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        CustTypeEnum[] contractTypeEnums = CustTypeEnum.values();
        for (CustTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
