package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 单位
 */
public enum DataUnitEnum {
	
	/** 1：无 */
	NOT(1, "无"),
    /** 2：PH值 */
	PH(2, "PH值"),
    /** 3：百分比 */
	PERCENT(3, "百分比");

    private int value;
    private String msg;

    DataUnitEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        DataUnitEnum[] contractTypeEnums = DataUnitEnum.values();
        for (DataUnitEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
