package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 日志类型，0：上报事件  1：下发服务
 */
public enum DeviceLogTypeStatusEnum {

    /** 上报事件 */
    UPEVENT(0, "上报事件"),
    /** 下发服务*/
    DWSERVICE(1, "下发服务"),;

    private int value;
    private String desc;

    DeviceLogTypeStatusEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        DeviceLogTypeStatusEnum[] businessStatusEnum = DeviceLogTypeStatusEnum.values();
        for (DeviceLogTypeStatusEnum statusEnum : businessStatusEnum) {
            resultMap.put(String.valueOf(statusEnum.value), statusEnum.desc);
        }
        return resultMap;
    }
}
