package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 设备在线状态
 * @author
 */
public enum DeviceStatusEnum {

    /** 离线 */
	OFFLINE(0, "离线"),
    /** 在线 */
	ONLINE(1, "在线"),
    /** 未激活 */
	NONACTIVATED(2, "未激活");

    private int value;

    private String desc;

    DeviceStatusEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public static DeviceStatusEnum getByValue(int value) {
        for (DeviceStatusEnum examStatus : DeviceStatusEnum.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(int... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<String, String>();
        for (DeviceStatusEnum item : DeviceStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (int e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {
            }
        }
        return resultMap;
    }}
