package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 设备操作权限，设备对该Topic的操作权限，可设置为发布、订阅、发布和订阅
 * @author
 */
public enum DeviceTopicHandleEnum {

    /** 发布 */
	PUB(0, "发布"),
    /** 订阅 */
	SUB(1, "订阅"),
    /** 发布和订阅 */
	PUB_SUB(2, "发布和订阅");

    private int value;

    private String desc;

    DeviceTopicHandleEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public static DeviceTopicHandleEnum getByValue(int value) {
        for (DeviceTopicHandleEnum examStatus : DeviceTopicHandleEnum.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(int... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<String, String>();
        for (DeviceTopicHandleEnum item : DeviceTopicHandleEnum.values()) {
            try {
                boolean hasE = false;
                for (int e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {
            }
        }
        return resultMap;
    }}
