package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 事件类型，事件拥有1，信息2告警3故障
 */
public enum EventTypeEnum {
	
	/** 1：信息 */
	INFO(1, "信息"),
    /** 2：告警 */
	REPORT(2, "告警"),
    /** 3：故障 */
	FAULT(3, "故障");

    private int value;
    private String msg;

    EventTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        EventTypeEnum[] contractTypeEnums = EventTypeEnum.values();
        for (EventTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
