package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 调用方式，
 * 服用拥有1，同步2.异步
 */
public enum InvokingTypeEnum {
	
	/** 1：同步 */
	SYN(1, "同步"),
    /** 2：异步 */
	ASYN(2, "异步");

    private int value;
    private String msg;

    InvokingTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        InvokingTypeEnum[] contractTypeEnums = InvokingTypeEnum.values();
        for (InvokingTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
