package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 连网方式
 */
public enum NetworkTypeEnum {
	//1,Wi-Fi 2,蜂窝（2G/3G/4G/5G）3,以太网 4,LoRaWAN 5,其他
	/** 1,Wi-Fi */
	WIFI(1, "WIFI"),
    /** 2,蜂窝（2G/3G/4G/5G） */
	G(2, "蜂窝"),
    /** 3,以太网 */
	ETHERNET(3, "以太网"),
    /** 4,LoRaWAN */
	LORAWAN(4, "LoRaWAN"),
    /** 5,其他 */
	OTHER(5, "其他");

    private int value;
    private String msg;

    NetworkTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        NetworkTypeEnum[] contractTypeEnums = NetworkTypeEnum.values();
        for (NetworkTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
