package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 产品下设备的类型
 */
public enum NodeTypeEnum {
	
	/** 1：直连设备 */
	DIRECT(1, "直连设备"),
    /** 2：网关子设备 */
	SON(2, "网关子设备"),
	/** 3：网关设备 */
	GATEWAY(3, "网关设备");

    private int value;
    private String msg;

    NodeTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        NodeTypeEnum[] contractTypeEnums = NodeTypeEnum.values();
        for (NodeTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
