package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 参数类型，1，输出2，输入
 */
public enum ParameterTypeEnum {
	
	/** 1：输出 */
	OUTPUT(1, "输出"),
    /** 2：输入 */
	INPUT(2, "输入");

    private int value;
    private String msg;

    ParameterTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        ParameterTypeEnum[] contractTypeEnums = ParameterTypeEnum.values();
        for (ParameterTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
