package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 发布状态，
 * 1，草稿，2发布3，废弃
 */
public enum ProductFunctionStatusEnum {
	
	/** 1：草稿 */
	ROUGH(1, "草稿"),
    /** 2：发布 */
	USER(2, "发布"),
    /** 3：废弃 */
	DISCARD(3, "废弃");

    private int value;
    private String msg;

    ProductFunctionStatusEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        ProductFunctionStatusEnum[] contractTypeEnums = ProductFunctionStatusEnum.values();
        for (ProductFunctionStatusEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
