package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 产品功能类型，
 * 1，属性2，事件3，服务
 */
public enum ProductFunctionTypeEnum {
	
	/** 1：属性 */
	PROPERTY(1, "属性", "property"),
    /** 2：事件 */
	EVENT(2, "事件", "event"),
    /** 3：服务*/
	SERVICE(3, "服务", "service");

    private int value;
    private String msg;
    private String remark;

    ProductFunctionTypeEnum(int value, String msg, String remark) {
        this.value = value;
        this.msg = msg;
        this.remark = remark;
    }

    public int getValue() {
        return this.value;
    }

    public String getRemark() {
        return this.remark;
    }
    
    public static ProductFunctionTypeEnum getByValue(int value) {
        for (ProductFunctionTypeEnum pfEnum : ProductFunctionTypeEnum.values()) {
            if (pfEnum.getValue() == value) {
                return pfEnum;
            }
        }
        return null;
    }
    
    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        ProductFunctionTypeEnum[] contractTypeEnums = ProductFunctionTypeEnum.values();
        for (ProductFunctionTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
