package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 产品状态，1，开发中2，发布
 */
public enum ProductStatusEnum {
	
	/** 1：开发中 */
	DEVELOP(1, "开发中"),
    /** 2：发布 */
	PUBLISH(2, "发布");

    private int value;
    private String msg;

    ProductStatusEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        ProductStatusEnum[] contractTypeEnums = ProductStatusEnum.values();
        for (ProductStatusEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
