package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 产品功能类型，
 * 1，属性2，事件3，服务
 */
public enum ProductTopicEnum {
	
	/** 1：产品topic 设备事件上报 发布 */
	PRODUCT_TOPIC_EVENT_UP(1, 0, "设备事件上报", "/sys/${productKey}/${deviceName}/thing/event/${tsl.event.identifier}/dev_post"),
    /** 2：产品topic 云端响应事件上报 订阅 */
	PRODUCT_TOPIC_EVENT_DW(2, 1, "云端响应事件上报", "/sys/${productKey}/${deviceName}/thing/event/${tsl.event.identifier}/ser_reply"),
    /** 3：产品topic 设备服务调用 订阅*/
	PRODUCT_TOPIC_SERVICE_DW(3, 1, "设备服务调用 ", "/sys/${productKey}/${deviceName}/thing/service/${tsl.service.identifier}/ser_post"),
    /** 4：产品topic 设备端响应服务调用 发布*/
	PRODUCT_TOPIC_SERVICE_UP(4, 0, "设备端响应服务调用", "/sys/${productKey}/${deviceName}/thing/service/${tsl.service.identifier}/dev_reply");

    private int value;
    private int handle;
    private String remark;
    private String msg;

    ProductTopicEnum(int value, int handle, String remark, String msg) {
        this.value = value;
        this.handle = handle;
        this.remark = remark;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public int getHandle() {
        return this.handle;
    }
    
    public String getMsg() {
        return this.msg;
    }
    
    public String getRemark() {
        return this.remark;
    }
    
    public static ProductTopicEnum getByValue(int value) {
        for (ProductTopicEnum pfEnum : ProductTopicEnum.values()) {
            if (pfEnum.getValue() == value) {
                return pfEnum;
            }
        }
        return null;
    }
    
    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        ProductTopicEnum[] contractTypeEnums = ProductTopicEnum.values();
        for (ProductTopicEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
