package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 产品所属品类
 */
public enum ProductTypeEnum {
	
	/** 1：标准品类 */
	STANDARD(1, "标准品类"),
    /** 2：自定义品类 */
	USER(2, "自定义品类");

    private int value;
    private String msg;

    ProductTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        ProductTypeEnum[] contractTypeEnums = ProductTypeEnum.values();
        for (ProductTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
