package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
 * @author
 */
public enum PushMessTypeEnum {

    /** 设备上报消息 */
	UP(1, "设备上报消息");

    private int value;

    private String desc;

    PushMessTypeEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public static PushMessTypeEnum getByValue(int value) {
        for (PushMessTypeEnum examStatus : PushMessTypeEnum.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(int... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<String, String>();
        for (PushMessTypeEnum item : PushMessTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (int e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {
            }
        }
        return resultMap;
    }}
