package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * Qos级别
 */
public enum QosTypeEnum {
	
	/** QOS0： “至多一次 */
	QOS0(0, "QOS0"),
    /** QOS1： “至少一次*/
	QOS1(1, "QOS1"),
    /** QOS2： “只有一次*/
	QOS2(2, "QOS2");

    private int value;
    private String msg;

    QosTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        QosTypeEnum[] contractTypeEnums = QosTypeEnum.values();
        for (QosTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
