package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 读写类型
 * 属性拥有1，读写2只读
 */
public enum ReadOrWriteTypeEnum {
	
	/** 1：读写 */
	READ_WRITE(1, "读写"),
    /** 2：只读 */
	READ(2, "只读");

    private int value;
    private String msg;

    ReadOrWriteTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        ReadOrWriteTypeEnum[] contractTypeEnums = ReadOrWriteTypeEnum.values();
        for (ReadOrWriteTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
