package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 行业类型
 */
public enum TradeTypeEnum {
	
	/** 1：共享 */
	SHARE(1, "共享"),
    /** 2：零售 */
	RETAIL(2, "零售 "),
    /** 3：工业*/
	INDUSTRIAL(3, "工业");

    private int value;
    private String msg;

    TradeTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        TradeTypeEnum[] contractTypeEnums = TradeTypeEnum.values();
        for (TradeTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
