package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 启用状态枚举
 */
public enum UseStatusEnum {

    // 0：停用 1：启用  2:测试
    /** 停用 */
    OFFLINE(0, "停用"),
    /** 启用 */
    ONLINE(1, "启用"),;

    private int value;
    private String desc;

    UseStatusEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        UseStatusEnum[] businessStatusEnum = UseStatusEnum.values();
        for (UseStatusEnum statusEnum : businessStatusEnum) {
            resultMap.put(String.valueOf(statusEnum.value), statusEnum.desc);
        }
        return resultMap;
    }
}
