/*
 Navicat MySQL Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 80018
 Source Host           : localhost:3306
 Source Schema         : mqtt

 Target Server Type    : MySQL
 Target Server Version : 80018
 File Encoding         : 65001

 Date: 11/05/2021 09:58:19
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for mortals_mqtt_event
-- ----------------------------
DROP TABLE IF EXISTS `mortals_mqtt_event`;
CREATE TABLE `mortals_mqtt_event`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键：也是集群节点批量拉消息的offset',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '消息体',
  `mqttIp` varchar(24) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'mqtt服务器ip，发送该消息到集群中的broker ip',
  `eventCode` int(4) NOT NULL COMMENT '事件码',
  `createTime` bigint(20) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = 'jmqtt 集群事件转发表：由发送端将消息发送到该表中，其他节点批量拉取该表中的事件进行处理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_mqtt_inflow_message
-- ----------------------------
DROP TABLE IF EXISTS `mortals_mqtt_inflow_message`;
CREATE TABLE `mortals_mqtt_inflow_message`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `clientId` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备id',
  `messageId` int(11) NOT NULL COMMENT '消息id',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '消息体内容',
  `gmtTime` bigint(20) NOT NULL COMMENT '消息保存时间（对应消息接收时间）',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uqe_client_id_msg_id`(`clientId`, `messageId`) USING BTREE,
  INDEX `idx_client_id`(`clientId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '入栈消息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_mqtt_offline_message
-- ----------------------------
DROP TABLE IF EXISTS `mortals_mqtt_offline_message`;
CREATE TABLE `mortals_mqtt_offline_message`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `clientId` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '客户端id',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '消息体',
  `createTime` bigint(20) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_client_id`(`clientId`) USING BTREE,
  INDEX `idx_gmt_create`(`createTime`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '离线消息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_mqtt_outflow_message
-- ----------------------------
DROP TABLE IF EXISTS `mortals_mqtt_outflow_message`;
CREATE TABLE `mortals_mqtt_outflow_message`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `clientId` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '目标客户端id',
  `messageId` int(11) NOT NULL COMMENT '消息id',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '消息内容',
  `gmtTime` bigint(20) NOT NULL COMMENT '消息缓存时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uqe_client_id_msg_id`(`messageId`, `clientId`) USING BTREE,
  INDEX `idx_client_id`(`clientId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '出栈消息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_mqtt_outflow_sec_message
-- ----------------------------
DROP TABLE IF EXISTS `mortals_mqtt_outflow_sec_message`;
CREATE TABLE `mortals_mqtt_outflow_sec_message`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `clientId` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '目标客户端id',
  `messageId` int(11) NOT NULL COMMENT '消息id',
  `gmtTime` bigint(20) NOT NULL COMMENT '消息缓存时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uqe_client_id_msg_id`(`messageId`, `clientId`) USING BTREE,
  INDEX `idx_client_id`(`clientId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '发送qos2消息后的第二阶段的消息缓存表：接收pubRec后保留clientId，msgId等报文。设备重连时候进行重发' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_mqtt_retain_message
-- ----------------------------
DROP TABLE IF EXISTS `mortals_mqtt_retain_message`;
CREATE TABLE `mortals_mqtt_retain_message`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `topic` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '所属topic',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '消息体',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uqe_topic`(`topic`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '保留消息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_mqtt_retain_message
-- ----------------------------
INSERT INTO `mortals_mqtt_retain_message` VALUES (1, '/aaa/bbb', '{\"clientId\":\"5c222347-80a1-4cba-8331-efe8b049ed9f\",\"headers\":{\"qos\":1,\"retain\":true,\"topic\":\"/aaa/bbb\",\"dup\":false},\"msgId\":15676,\"payload\":\"eydoZWxsbyc6J3dvcmxkJ30=\",\"storeTime\":0,\"type\":\"PUBLISH\"}');

-- ----------------------------
-- Table structure for mortals_mqtt_session
-- ----------------------------
DROP TABLE IF EXISTS `mortals_mqtt_session`;
CREATE TABLE `mortals_mqtt_session`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `clientId` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '客户端id',
  `state` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '状态：ONLINE,OFFLINE两种',
  `offlineTime` bigint(20) NULL DEFAULT NULL COMMENT 'OFFLINE状态时对应的离线时间戳（只有cleanStart为0时候离线才有该数据）',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uqe_client_id`(`clientId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '客户端会话状态' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_mqtt_session
-- ----------------------------
INSERT INTO `mortals_mqtt_session` VALUES (1, '156c27d6-5fd4-4592-a4df-b4c9d895afd21619967390959', 'ONLINE', 0);
INSERT INTO `mortals_mqtt_session` VALUES (2, '5c222347-80a1-4cba-8331-efe8b049ed9f', 'ONLINE', 0);

-- ----------------------------
-- Table structure for mortals_mqtt_subscription
-- ----------------------------
DROP TABLE IF EXISTS `mortals_mqtt_subscription`;
CREATE TABLE `mortals_mqtt_subscription`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `clientId` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '客户端id',
  `topic` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '订阅的topic',
  `qos` tinyint(4) NOT NULL COMMENT '对应的qos消息质量',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_client_id`(`clientId`) USING BTREE,
  INDEX `idx_topic`(`topic`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '客户端订阅关系' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for mortals_mqtt_will_message
-- ----------------------------
DROP TABLE IF EXISTS `mortals_mqtt_will_message`;
CREATE TABLE `mortals_mqtt_will_message`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `clientId` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '客户端id',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '消息体',
  `createTime` bigint(20) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uqe_client_id`(`clientId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '遗嘱消息表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
