package com.mortals.mqtt.broker.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

public enum DeviceOnlineEnum {
	OFFLINE(0, "离线"),
	ONLINE(1, "在线"),
	UNACTIVE(2, "未激活");
    private int value;
    private String desc;


    DeviceOnlineEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
        
    }

    
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

	public static DeviceOnlineEnum getByValue(int value) {
        for (DeviceOnlineEnum examStatus : DeviceOnlineEnum.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }
	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (DeviceOnlineEnum item : DeviceOnlineEnum.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}
}
