package com.mortals.mqtt.broker.common.config;

import lombok.Data;

/**
 * netty 配置文件
 */
@Data
public class NettyConfig {
    private int tcpBackLog = 1024;
    private boolean tcpNoDelay = false;
    private boolean tcpReuseAddr = true;
    private boolean tcpKeepAlive = false;
    private int tcpSndBuf = 65536;
    private int tcpRcvBuf = 65536;
    private boolean useEpoll = false;
    private boolean pooledByteBufAllocatorEnable = false;

    /**
     * tcp port default 1883
     */
    private boolean startTcp = true;
    private int tcpPort = 1883;

    /**
     * websocket port default 1884
     */
    private boolean startWebsocket = true;
    private int websocketPort = 1884;

    /**
     * http port default 1881
     */
    private boolean startHttp = true;
    private int httpPort = 1881;

    /**
     * tcp port with ssl default 8883
     */
    private boolean startSslTcp = true;
    private int sslTcpPort = 8883;

    /**
     * websocket port with ssl default 8884
     */
    private boolean startSslWebsocket = true;
    private int sslWebsocketPort = 8884;

    /**
     * SSL setting
     */
    private boolean useClientCA = false;
    private String sslKeyStoreType = "PKCS12";
    private String sslKeyFilePath = "/conf/server.pfx";
    private String sslManagerPwd = "654321";
    private String sslStorePwd = "654321";
    /**
     * max mqtt message size
     */
    private int maxMsgSize = 512 * 1024;

    /**
     * bugsnag
     */
    private  Boolean bugsnagEnable = false;
    private String bugsnagToken = "bugsnag.token";

    /**
     * 默认超时时间
     */
    private Integer channelTimeout=30;

    /**
     * 是否启用订阅等监控
     */
    private boolean useMetrics=true;


}
