package com.mortals.mqtt.broker.common.model;


import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 消息协议类型
 *
 * @author:zxfei
 * @date:2019/6/4
 * @description:
 */
public enum MsgTypeEnum {

    MSG_SYSTEM((byte) 0, "broker-system"),
    MSG_MQTT((byte) 1, "mqtt"),
    MSG_COAP((byte) 2, "coap"),
    MSG_HTTP((byte) 3, "http"),
    MSG_LW2W((byte) 4, "lw2w");

    private byte value;
    private String desc;

    MsgTypeEnum(byte value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public byte getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }


    public static MsgTypeEnum getByValue(byte value) {
        for (MsgTypeEnum e : MsgTypeEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String, String> getEnumMap(byte... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<String, String>();
        for (MsgTypeEnum item : MsgTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (int e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {
            }
        }
        return resultMap;
    }


}
