package com.mortals.mqtt.broker.dropping;

import com.mortals.mqtt.broker.bootstrap.util.TokenBucketNum;

/**
 * 丢弃消息服务类
 */
public interface MessageDroppedService {

    /**
     * 丢弃qos为-0的消息。
     */
    void qos0MemoryExceeded(final String clientId, final String topic, final int qos, final long currentMemory, final long maxMemory);



    /**
     * client超过流控令牌桶流控，丢弃
     */
    void publishExceedByBucket(final String clientId, final String topic, final int qos, TokenBucketNum bucketNum );


    /**
     * 消息队列满时候丢弃消息
     */
    void queueFull(final String clientId, final String topic, final int qos);


    /**
     * 写失败时候丢弃消息
     */
    void notWritable(final String clientId, final String topic, final int qos);


    void extensionPrevented(final String clientId, final String topic, final int qos);

    /**
     * 内部错误丢弃的消息
     */
    void failed(final String clientId, final String topic, final int qos);

    /**
     * 包尺寸过大丢弃的消息
     */
    void publishMaxPacketSizeExceeded(final String clientId, final String topic, final int qos, final long maximumPacketSize, final long packetSize);

    void messageMaxPacketSizeExceeded(final String clientId, final String messageType, final long maximumPacketSize, final long packetSize);


}
