/*
 * Copyright 2019-present HiveMQ GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.mortals.mqtt.broker.info;


import java.io.File;


public interface SystemInformation {

    /**
     * @return the version string of MQ
     */

    String getMQVersion();

    /**
     * @return the home folder of MQ
     */

    File getHiveMQHomeFolder();

    /**
     * @return the timestamp of MQ start
     */
    long getRunningSince();

    /**
     * @return the count of CPUs MQ uses
     */
    int getProcessorCount();

    /**
     * @return is MQ running in embedded mode
     */
    boolean isEmbedded();
}
