package com.mortals.mqtt.broker.metrics.common;

import com.codahale.metrics.Counter;
import com.codahale.metrics.Gauge;

/**
 * @author: finegirl
 * @date: 2021/5/24 13:15
 * @description: //TODO 请完善注释信息
 **/
public class MQMetrics {

    /**
     * 入栈消息总数量
     */
    public static final MQMetric<Counter> INCOMING_MESSAGE_COUNT =
            MQMetric.valueOf("com.mq.messages.incoming.total.count", Counter.class);

    /**
     * 出栈消息总量
     */
    public static final MQMetric<Counter> OUTGOING_MESSAGE_COUNT =
            MQMetric.valueOf("com.mq.messages.outgoing.total.count", Counter.class);

    /**
     * 连接请求消息数量
     */
    public static final MQMetric<Counter> INCOMING_CONNECT_COUNT =
            MQMetric.valueOf("com.mq.messages.incoming.connect.count", Counter.class);

    /**
     * publish入栈消息数量
     */
    public static final MQMetric<Counter> INCOMING_PUBLISH_COUNT =
            MQMetric.valueOf("com.mq.messages.incoming.publish.count", Counter.class);

    /**
     * publish出栈消息数量
     */
    public static final MQMetric<Counter> OUTGOING_PUBLISH_COUNT =
            MQMetric.valueOf("com.mq.messages.outgoing.publish.count", Counter.class);

    /**
     * publish 丢弃数量
     */
    public static final MQMetric<Counter> DROPPED_MESSAGE_COUNT =
            MQMetric.valueOf("com.mq.messages.dropped.count", Counter.class);

    /**
     * 当前retain消息总量
     */
    public static final MQMetric<Gauge<Number>> RETAINED_MESSAGES_CURRENT =
            MQMetric.gaugeValue("com.mq.messages.retained.current");

    /**
     * 当前读取字节总量
     */
    public static final MQMetric<Gauge<Number>> BYTES_READ_TOTAL =
            MQMetric.gaugeValue("com.mq.networking.bytes.read.total");

    /**
     * 当前写数据字节总量
     */
    public static final MQMetric<Gauge<Number>> BYTES_WRITE_TOTAL =
            MQMetric.gaugeValue("com.mq.networking.bytes.write.total");

    /**
     * 当前客户端连接数
     */
    public static final MQMetric<Gauge<Number>> CONNECTIONS_OVERALL_CURRENT =
            MQMetric.gaugeValue("com.mq.networking.connections.current");

    /**
     * 连接关闭数量
     */
    public static final MQMetric<Counter> CONNECTIONS_CLOSED_COUNT =
            MQMetric.valueOf("com.mq.networking.connections-closed.total.count", Counter.class);

    /**
     * 当前订阅总量
     */
    public static final MQMetric<Counter> SUBSCRIPTIONS_CURRENT =
            MQMetric.valueOf("com.mq.subscriptions.overall.current", Counter.class);

    /**
     * 当前session总量
     */
    public static final MQMetric<Gauge<Number>> CLIENT_SESSIONS_CURRENT =
            MQMetric.gaugeValue("com.mq.sessions.overall.current");

    /**
     * 内存模式下，当前retain留存的数量
     */
    public static final MQMetric<Gauge<Number>> RETAINED_MESSAGES_MEMORY_PERSISTENCE_TOTAL_SIZE =
            MQMetric.gaugeValue("com.mq.persistence.retained-messages.in-memory.total-size");

    /**
     * 内存模式下，可用内存
     */
    public static final MQMetric<Gauge<Number>> PAYLOAD_MEMORY_PERSISTENCE_TOTAL_SIZE =
            MQMetric.gaugeValue("com.mq.persistence.payload.in-memory.total-size");

    /**
     * 内存模式下，订阅树占用内存
     */
    public static final MQMetric<Gauge<Number>> CLIENT_SESSION_SUBSCRIPTIONS_MEMORY_PERSISTENCE_TOTAL_SIZE =
            MQMetric.gaugeValue("com.mq.persistence.client-session.subscriptions.in-memory.total-size");

    /**
     * 内存模式下，持久化session占用内存
     */
    public static final MQMetric<Gauge<Number>> CLIENT_SESSIONS_MEMORY_PERSISTENCE_TOTAL_SIZE =
            MQMetric.gaugeValue("com.mq.persistence.client-sessions.in-memory.total-size");

    /**
     * 内存模式下，队列占用数量
     */
    public static final MQMetric<Gauge<Number>> QUEUED_MESSAGES_MEMORY_PERSISTENCE_TOTAL_SIZE =
            MQMetric.gaugeValue("com.mq.persistence.queued-messages.in-memory.total-size");
}
