package com.mortals.mqtt.broker.processor.protocol;

import com.mortals.mqtt.broker.services.MqttBrokerService;
import com.mortals.mqtt.broker.common.log.MqttLogger;
import com.mortals.mqtt.broker.common.log.LogUtil;
import com.mortals.mqtt.broker.processor.RequestProcessor;
import com.mortals.mqtt.broker.bootstrap.util.MessageUtil;
import com.mortals.mqtt.broker.bootstrap.util.NettyUtil;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.mqtt.MqttMessage;
import org.slf4j.Logger;

/**
 * 出栈消息接收到的客户端 pubAck报文：释放缓存的出栈消息
 */
public class PubAckProcessor extends AbstractMessageProcessor implements RequestProcessor {

    private Logger log = MqttLogger.messageTraceLog;

    public PubAckProcessor(MqttBrokerService mqttBrokerService) {
        super(mqttBrokerService);
    }

    @Override
    public void processRequest(ChannelHandlerContext ctx, MqttMessage mqttMessage) {
        String clientId = NettyUtil.getClientId(ctx.channel());
        int messageId = MessageUtil.getMessageId(mqttMessage);
        LogUtil.info(log,"[PubAck] -> Recieve PubAck message,clientId={},msgId={}", clientId, messageId);
        releaseOutflowMsg(clientId, messageId);
    }
}
