package com.mortals.mqtt.broker.services.device;

import com.alibaba.fastjson.JSON;
import com.mortals.mqtt.broker.common.RedisCacheKeys;
import com.mortals.mqtt.broker.common.model.DeviceModel;
import com.mortals.mqtt.broker.common.model.ProductModel;
import com.mortals.mqtt.broker.services.device.DeviceService;
import com.mortals.mqtt.broker.store.redis.RedisUtils;

import java.util.Set;
import java.util.stream.Collectors;

/**
 * @author: finegirl
 * @date: 2021/5/19 10:21
 * @description: 设备相关服务
 **/
public class DeviceServiceImpl implements DeviceService {
    @Override
    public void start() {

    }

    @Override
    public void shutdown() {

    }

    @Override
    public Set<String> getAllDeviceClients() {
        return RedisUtils.getInstance().getRedisImpl().operate(jedis -> jedis.hkeys(RedisCacheKeys.getDeviceModelLockKey()));
    }

    @Override
    public Set<DeviceModel> getAllDeviceModel() {
        return RedisUtils.getInstance().getRedisImpl().operate(jedis ->
                jedis.hgetAll(RedisCacheKeys.getDeviceModelLockKey()).values()
                        .stream().map(item -> JSON.parseObject(item, DeviceModel.class))
                        .collect(Collectors.toSet())
        );
    }

    @Override
    public Set<ProductModel> getAllProductModel() {
        return null;
    }
}
