package com.mortals.mqtt.broker.store;

import com.mortals.mqtt.broker.common.config.BrokerConfig;
import com.mortals.mqtt.broker.common.model.Subscription;

import java.util.Set;

public interface SubscriptionStore {
    void start(BrokerConfig brokerConfig);

    void shutdown();

    /**
     * 存储订阅关系
     */
    boolean storeSubscription(String clientId, Subscription subscription);

    /**
     * 移除订阅关系
     */
    boolean delSubscription(String clientId, String topic);

    /**
     * 清理订阅信息
     */
    boolean clearSubscription(String clientId);

    /**
     * 获取该clientId的所有的订阅关系
     */
    Set<Subscription> getSubscriptions(String clientId);
}
