package com.mortals.mqtt.broker.store.rdb.mapper;

import com.mortals.mqtt.broker.store.rdb.dao.EventDO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 集群事件存储mapper
 */
public interface EventMapper {

    @Insert("insert into mortals_mqtt_event (content,mqttIp,eventCode,createTime) values "
            + "(#{content},#{mqttIp},#{eventCode},#{createTime})")
    Long sendEvent(EventDO eventDO);


    @Select("select id,content,mqttIp,eventCode,createTime from mortals_mqtt_event "
            + "where id > #{offset} order by id asc limit #{maxNum}")
    List<EventDO> consumeEvent(@Param("offset") long offset, @Param("maxNum") int maxNum);

    @Select("SELECT max(id) FROM mortals_mqtt_event")
    Long getMaxOffset();
}
