package com.mortals.mqtt.broker.store.rdb.mapper;

import com.mortals.mqtt.broker.store.rdb.dao.InflowMessageDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 入栈消息映射表
 */
public interface InflowMessageMapper {

    @Insert("INSERT INTO mortals_mqtt_inflow_message(clientId,messageId,content,gmtTime) VALUES(#{clientId},#{messageId},#{content},#{gmtTime})"
            + " on DUPLICATE key update content = #{content},gmtTime = #{gmtTime}")
    Long cacheInflowMessage(InflowMessageDO inflowMessageDO);

    @Select("SELECT id,clientId,messageId,content,gmtTime FROM mortals_mqtt_inflow_message WHERE clientId = #{clientId} and messageId = #{messageId}")
    InflowMessageDO getInflowMessage(@Param("clientId") String clientId, @Param("messageId") int messageId);

    @Delete("DELETE FROM mortals_mqtt_inflow_message WHERE id = #{id}")
    Integer delInflowMessage(Long id);

    @Select("SELECT id,clientId,messageId,content,gmtTime FROM mortals_mqtt_inflow_message WHERE clientId = #{clientId} order by gmtTime asc")
    List<InflowMessageDO> getAllInflowMessage(String clientId);
}
