package com.mortals.mqtt.broker.store.rdb.mapper;

import com.mortals.mqtt.broker.store.rdb.dao.OutflowMessageDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface OutflowMessageMapper {

    @Insert("INSERT INTO mortals_mqtt_outflow_message(clientId,messageId,content,gmtTime) VALUES(#{clientId},#{messageId},#{content},#{gmtTime})"
            + "  on DUPLICATE key update content = #{content},gmtTime = #{gmtTime}")
    Long cacheOuflowMessage(OutflowMessageDO outflowMessageDO);

    @Select("SELECT id,clientId,messageId,content,gmtTime FROM mortals_mqtt_outflow_message WHERE clientId = #{clientId} and messageId = #{messageId}")
    OutflowMessageDO getOutflowMessage(@Param("clientId") String clientId,@Param("messageId") int messageId);

    @Delete("DELETE FROM mortals_mqtt_outflow_message WHERE id = #{id}")
    Integer delOutflowMessage(Long id);

    @Select("SELECT id,clientId,messageId,content,gmtTime FROM mortals_mqtt_outflow_message WHERE clientId = #{clientId} order by gmtTime asc")
    List<OutflowMessageDO> getAllOutflowMessage(String clientId);
}
