package com.mortals.mqtt.broker.store.rdb.mapper;

import com.mortals.mqtt.broker.store.rdb.dao.OutflowSecMessageDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface OutflowSecMessageMapper {

    @Insert("INSERT INTO mortals_mqtt_outflow_sec_message(clientId,messageId,gmtTime) VALUES(#{clientId},#{msgId},#{gmtCreate})"
            + "  on DUPLICATE key update gmtTime = #{gmtCreate}")
    Long cacheOuflowMessage(OutflowSecMessageDO outflowSecMessageDO);

    @Select("SELECT id,clientId,messageId,gmtTime FROM mortals_mqtt_outflow_sec_message WHERE clientId = #{clientId} and messageId = #{msgId}")
    OutflowSecMessageDO getOutflowSecMessage(@Param("clientId") String clientId,@Param("msgId") int msgId);

    @Delete("DELETE FROM mortals_mqtt_outflow_sec_message WHERE id = #{id}")
    Integer delOutflowSecMessage(Long id);

    @Select("SELECT messageId FROM mortals_mqtt_outflow_sec_message WHERE clientId = #{clientId} order by gmtTime asc")
    List<Integer> getAllOutflowSecMessage(String clientId);
}
