package com.mortals.mqtt.broker.store.rdb.mapper;

import com.mortals.mqtt.broker.store.rdb.dao.SubscriptionDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface SubscriptionMapper {

    @Insert("INSERT INTO mortals_mqtt_subscription (clientId,topic,qos) "
            + "VALUES (#{clientId},#{topic},#{qos})")
    Long storeSubscription(SubscriptionDO subscriptionDO);

    @Delete("DELETE FROM mortals_mqtt_subscription WHERE clientId = #{clientId}")
    Integer clearSubscription(String clientId);

    @Delete("DELETE FROM mortals_mqtt_subscription WHERE clientId = #{clientId} AND topic = #{topic}")
    Integer delSubscription(@Param("clientId") String clientId,@Param("topic") String topic);

    @Select("SELECT clientId,topic,qos FROM mortals_mqtt_subscription WHERE clientId = #{clientId}")
    List<SubscriptionDO> querySubscription(String clientId);
}
