package com.mortals.mqtt.broker.subscribe;

import com.mortals.mqtt.broker.common.model.Subscription;

import java.util.List;
import java.util.Set;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.CopyOnWriteArraySet;

/**
 * @author: finegirl
 * @date: 2021/5/6 9:43
 * @description: 树节点
 **/
public class TreeNode {
    private Token token;
    //创建线程安全的set CopyOnWriteArraySet
    private Set<Subscription> subscribers = new CopyOnWriteArraySet<>();
    //创建线程安全的list CopyOnWriteArrayList
    private List<TreeNode> children = new CopyOnWriteArrayList<>();

    public TreeNode(Token token) {
        this.token = token;
    }

    public void addSubscriber(Subscription subscription) {
        this.subscribers.add(subscription);
    }

    public void addChild(TreeNode treeNode) {
        this.children.add(treeNode);
    }

    public Token getToken() {
        return token;
    }

    public Set<Subscription> getSubscribers() {
        return subscribers;
    }

    public List<TreeNode> getChildren() {
        return this.children;
    }

    public TreeNode getChildNodeByToken(Token token) {
        for (TreeNode childNode : this.children) {
            if (childNode.getToken().equals(token)) {
                return childNode;
            }
        }
        return null;
    }
}
