/*
 * Copyright (c) 2012-2016 The original author or authors
 * ------------------------------------------------------
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Apache License v2.0 which accompanies this distribution.
 *
 * The Eclipse Public License is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * The Apache License v2.0 is available at
 * http://www.opensource.org/licenses/apache2.0.php
 *
 * You may elect to redistribute this code under either of these licenses.
 */

package mortals.mqtt;

import com.mortals.common.queue.TbQueueCallback;
import com.mortals.common.queue.TbQueueMsgMetadata;
import lombok.Getter;


public class KafkaMessageCollector implements TbQueueCallback {
    private volatile boolean messageReceived = false;
    @Getter
    private TbQueueMsgMetadata metadata;

    @Override
    public void onSuccess(TbQueueMsgMetadata metadata) {

        this.metadata=metadata;

        System.out.println("metadata:"+metadata.toString());
        messageReceived=true;

    }

    @Override
    public void onFailure(Throwable t) {

    }

    public boolean isMessageReceived() {
        return messageReceived;
    }

}
