package com.mortals.xhx.base.framework.config;

import com.mortals.framework.service.ICacheService;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

/**
 * 实例编号
 * @date 2020年3月3日
 */
@Configuration
public class InstanceNumber {

    private Logger logger = Logger.getLogger(this.getClass());

    public static int instanceId;
    private static String SEQ_INSTANCE_MAP_KEY = "SEQ_INSTANCE_MAP";
    private static String SEQ_INSTANCE_NUM_KEY = "SEQ_INSTANCE_NUM";

    @Value("${info.ip}")
    private String instanceInfo;

    @Autowired
    private ICacheService cacheService;

    @PostConstruct
    public void initInstanceId() {
        try {
            Long instance = cacheService.hget(SEQ_INSTANCE_MAP_KEY, instanceInfo, Long.class);
            if (instance == null) {
                instance = cacheService.incr(SEQ_INSTANCE_NUM_KEY);
                cacheService.hset(SEQ_INSTANCE_MAP_KEY, instanceInfo, instance);
            }
            instanceId = instance.intValue();
        } catch (Exception e) {
            logger.warn("初始化实例编号异常,请检查", e);
            instanceId = 0;
        }
    }
}
