//package com.mortals.xhx.base.framework.config;
//
//import com.mortals.framework.exception.AppException;
//import org.apache.commons.logging.Log;
//import org.apache.commons.logging.LogFactory;
//import org.springframework.beans.factory.annotation.Value;
//import redis.embedded.RedisExecProvider;
//import redis.embedded.RedisServer;
//import redis.embedded.util.OS;
//import redis.embedded.util.OSDetector;
//
//import javax.annotation.PostConstruct;
//import javax.annotation.PreDestroy;
//import java.io.BufferedInputStream;
//import java.io.BufferedReader;
//import java.io.InputStreamReader;
//
///**
// * 内嵌式redis server服务配置和启动,可通过配置切换
// */
////@Configuration
//public class RedisEmbeddedConfig {
//	/** redis服务端运行模式：内嵌式：Embedded,外部独立服务：Standalone */
//	private static enum RedisServerRunModeEnum {
//		Embedded, Standalone
//	}
//
//	protected Log log = LogFactory.getLog(RedisEmbeddedConfig.class);
//	private RedisServer redisServer = null;
//	@Value("${redis.serverRunMode}")
//	private String redisServerRunMode = RedisServerRunModeEnum.Embedded.name();
//	@Value("${spring.redis.port:6379}")
//	private Integer port;
//
//    @PostConstruct
//    public void init() {
//        log.info("redisServerRunMode is：" + redisServerRunMode);
//        if (!RedisServerRunModeEnum.Embedded.name().equalsIgnoreCase(redisServerRunMode)) {
//            return;
//        }
//        // 创建嵌入式redisserver
//        redisServer = RedisServer.builder().port(port).setting("maxmemory 128M").setting("bind localhost").build();
//        try {
//            closeOldProcess(port);
//            Thread.sleep(100);
//            redisServer.start();
//            log.info("*****started RedisEmbeddedServer.******");
//        } catch (Exception e) {
//            throw new AppException("启动嵌入式redisServer服务失败；可能原因:系统已有进程(redis-server-***.exe),请在系统中关闭已存在的redis进程", e);
//        }
//    }
//
//	@PreDestroy
//	public void destory() {
//		log.info("none closed. redisServerRunMode is：" + redisServerRunMode);
//		if (!RedisServerRunModeEnum.Embedded.name().equalsIgnoreCase(redisServerRunMode)) {
//			return;
//		}
//		if (redisServer != null) {
//			redisServer.stop();
//			log.info("*****closed RedisEmbeddedServer.*****");
//		}
//		redisServer = null;
//	}
//
//	/**
//	 * 强制关闭原有redis进程
//	 */
//	private void closeOldProcess(int port) {
//		try {
//		    String[] commands = null;
//            String processName = RedisExecProvider.defaultProvider().get().getName();
//		    OS os = OSDetector.getOS();
//		    switch (os) {
//		        case WINDOWS:
//		        	//使用PID结束进程命令："for /f \"tokens=5 delims= \" %a in ('netstat -ano ^| findstr :" + port + " ^| findstr LISTENING') do taskkill /f /pid %a"
//		        	//https://www.haiyun.me/archives/windows-cmd-for-tokens.html
//		            commands = new String[] {"cmd", "/c", "taskkill /f /im " + processName};
//		            break;
//		        case MAC_OS_X:
//		            commands = new String[] {"sh", "-c", "ps -ef|grep " + processName + " | grep " + port + " | grep -v grep | awk '{ print $2 }' | xargs -I {} kill -15 {}"};
//		            break;
//		        case UNIX:
//		            commands = new String[] {"sh", "-c", "ps -ef|grep " + processName + " | grep " + port + "| grep -v grep|cut -c 9-15|xargs kill -9"};
//		            break;
//		    }
//		    if(null == commands) {
//		    	return;
//		    }
//			String[] result = this.exec(commands);
////			if (result != null) {
////			    for (String ret : result) {
////			        System.out.println(ret);
////			    }
////			}
//		} catch (Exception e) {
//			log.error("", e);
//		}
//	}
//
//    private String[] exec(String[] command) throws Exception {
//        Process process = null;
//        BufferedInputStream bis = null;
//        BufferedReader br = null;
//        BufferedReader brTmp = null;
//        String lineSepara = System.getProperty("line.separator");
//        StringBuffer info = new StringBuffer();
//        StringBuffer err = new StringBuffer();
//        try {
//        	process = Runtime.getRuntime().exec(command);
//            String charset = "GBK";
//            br = new BufferedReader(new InputStreamReader(process.getInputStream(), charset));
//            brTmp = new BufferedReader(new InputStreamReader(process.getErrorStream(), charset));
//            String line = null;
//            // 直到读完为止
//            while ((line = br.readLine()) != null) {
//                info.append(line).append(lineSepara);
//            }
//            String lineTmp;
//            while ((lineTmp = brTmp.readLine()) != null) {
//                err.append(lineTmp).append(lineSepara);
//            }
//            return new String[] { info.toString(), err.toString() };
//        } finally {
//            if (bis != null) {
//                try {
//                    bis.close();
//                } catch (Exception e) {
//                }
//            }
//            if (process != null) {
//                try {
//                    process.destroy();
//                } catch (Exception e) {
//                }
//            }
//        }
//    }
//}