package com.mortals.xhx.module.connect.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.connect.model.vo.ConnectLimitVo;
/**
* 连接通信限制实体对象
*
* @author zxfei
* @date 2021-11-09
*/

public class ConnectLimitEntity extends ConnectLimitVo {
    private static final long serialVersionUID = 1L;

    /**
    * 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    */
    private Integer deviceConnectLimit;
    /**
    * 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    */
    private Integer customerDeviceMQTTConnectLimit;
    /**
    * 一个设备每分钟的最大连接请求次数。，默认:5
    */
    private Integer deviceConnectRequestLimit;
    /**
    * 一个设备的最大订阅数，默认:100
    */
    private Integer deviceSubNumLimit;
    /**
    * 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    */
    private Integer customerDeviceToPlatformRequestLimit;
    /**
    * 每秒由物联网平台向设备端发送的请求数。，默认:2000
    */
    private Integer customerPlatformToDeviceRequestLimit;
    /**
    * 一个设备每秒最多可上报的消息数量，默认:30
    */
    private Integer deviceSubmitRequestQos0Limit;
    /**
    * 一个设备每秒最多可上报的消息数量，默认:10
    */
    private Integer deviceSubmitRequestQos1Limit;
    /**
    * 一个设备接收下行消息的最大限制，默认:50
    */
    private Integer deviceReveiceMessageLimit;
    /**
    * 一个连接每秒的吞吐量最大限制。，默认:1024K
    */
    private Integer connectThroughputLimit;
    /**
    * QoS1消息的最大存储时间。。，默认:7天
    */
    private Integer messageQoS1StorageMaxLimit;
    /**
    * MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    */
    private Integer messageMQTTLenghtLimit;
    /**
    * MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    */
    private Integer MQTTHearbeatLimit;



    public ConnectLimitEntity(){}
    /**
    * 获取 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @return Integer
    */
    public Integer getDeviceConnectLimit(){
        return deviceConnectLimit;
    }
    /**
    * 设置 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimit
    */
    public void setDeviceConnectLimit(Integer deviceConnectLimit){
        this.deviceConnectLimit = deviceConnectLimit;
    }
    /**
    * 获取 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @return Integer
    */
    public Integer getCustomerDeviceMQTTConnectLimit(){
        return customerDeviceMQTTConnectLimit;
    }
    /**
    * 设置 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimit
    */
    public void setCustomerDeviceMQTTConnectLimit(Integer customerDeviceMQTTConnectLimit){
        this.customerDeviceMQTTConnectLimit = customerDeviceMQTTConnectLimit;
    }
    /**
    * 获取 一个设备每分钟的最大连接请求次数。，默认:5
    * @return Integer
    */
    public Integer getDeviceConnectRequestLimit(){
        return deviceConnectRequestLimit;
    }
    /**
    * 设置 一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimit
    */
    public void setDeviceConnectRequestLimit(Integer deviceConnectRequestLimit){
        this.deviceConnectRequestLimit = deviceConnectRequestLimit;
    }
    /**
    * 获取 一个设备的最大订阅数，默认:100
    * @return Integer
    */
    public Integer getDeviceSubNumLimit(){
        return deviceSubNumLimit;
    }
    /**
    * 设置 一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimit
    */
    public void setDeviceSubNumLimit(Integer deviceSubNumLimit){
        this.deviceSubNumLimit = deviceSubNumLimit;
    }
    /**
    * 获取 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @return Integer
    */
    public Integer getCustomerDeviceToPlatformRequestLimit(){
        return customerDeviceToPlatformRequestLimit;
    }
    /**
    * 设置 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimit
    */
    public void setCustomerDeviceToPlatformRequestLimit(Integer customerDeviceToPlatformRequestLimit){
        this.customerDeviceToPlatformRequestLimit = customerDeviceToPlatformRequestLimit;
    }
    /**
    * 获取 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @return Integer
    */
    public Integer getCustomerPlatformToDeviceRequestLimit(){
        return customerPlatformToDeviceRequestLimit;
    }
    /**
    * 设置 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimit
    */
    public void setCustomerPlatformToDeviceRequestLimit(Integer customerPlatformToDeviceRequestLimit){
        this.customerPlatformToDeviceRequestLimit = customerPlatformToDeviceRequestLimit;
    }
    /**
    * 获取 一个设备每秒最多可上报的消息数量，默认:30
    * @return Integer
    */
    public Integer getDeviceSubmitRequestQos0Limit(){
        return deviceSubmitRequestQos0Limit;
    }
    /**
    * 设置 一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0Limit
    */
    public void setDeviceSubmitRequestQos0Limit(Integer deviceSubmitRequestQos0Limit){
        this.deviceSubmitRequestQos0Limit = deviceSubmitRequestQos0Limit;
    }
    /**
    * 获取 一个设备每秒最多可上报的消息数量，默认:10
    * @return Integer
    */
    public Integer getDeviceSubmitRequestQos1Limit(){
        return deviceSubmitRequestQos1Limit;
    }
    /**
    * 设置 一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1Limit
    */
    public void setDeviceSubmitRequestQos1Limit(Integer deviceSubmitRequestQos1Limit){
        this.deviceSubmitRequestQos1Limit = deviceSubmitRequestQos1Limit;
    }
    /**
    * 获取 一个设备接收下行消息的最大限制，默认:50
    * @return Integer
    */
    public Integer getDeviceReveiceMessageLimit(){
        return deviceReveiceMessageLimit;
    }
    /**
    * 设置 一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimit
    */
    public void setDeviceReveiceMessageLimit(Integer deviceReveiceMessageLimit){
        this.deviceReveiceMessageLimit = deviceReveiceMessageLimit;
    }
    /**
    * 获取 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @return Integer
    */
    public Integer getConnectThroughputLimit(){
        return connectThroughputLimit;
    }
    /**
    * 设置 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimit
    */
    public void setConnectThroughputLimit(Integer connectThroughputLimit){
        this.connectThroughputLimit = connectThroughputLimit;
    }
    /**
    * 获取 QoS1消息的最大存储时间。。，默认:7天
    * @return Integer
    */
    public Integer getMessageQoS1StorageMaxLimit(){
        return messageQoS1StorageMaxLimit;
    }
    /**
    * 设置 QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimit
    */
    public void setMessageQoS1StorageMaxLimit(Integer messageQoS1StorageMaxLimit){
        this.messageQoS1StorageMaxLimit = messageQoS1StorageMaxLimit;
    }
    /**
    * 获取 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @return Integer
    */
    public Integer getMessageMQTTLenghtLimit(){
        return messageMQTTLenghtLimit;
    }
    /**
    * 设置 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimit
    */
    public void setMessageMQTTLenghtLimit(Integer messageMQTTLenghtLimit){
        this.messageMQTTLenghtLimit = messageMQTTLenghtLimit;
    }
    /**
    * 获取 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @return Integer
    */
    public Integer getMQTTHearbeatLimit(){
        return MQTTHearbeatLimit;
    }
    /**
    * 设置 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimit
    */
    public void setMQTTHearbeatLimit(Integer MQTTHearbeatLimit){
        this.MQTTHearbeatLimit = MQTTHearbeatLimit;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ConnectLimitEntity) {
            ConnectLimitEntity tmp = (ConnectLimitEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",deviceConnectLimit:").append(getDeviceConnectLimit());
        sb.append(",customerDeviceMQTTConnectLimit:").append(getCustomerDeviceMQTTConnectLimit());
        sb.append(",deviceConnectRequestLimit:").append(getDeviceConnectRequestLimit());
        sb.append(",deviceSubNumLimit:").append(getDeviceSubNumLimit());
        sb.append(",customerDeviceToPlatformRequestLimit:").append(getCustomerDeviceToPlatformRequestLimit());
        sb.append(",customerPlatformToDeviceRequestLimit:").append(getCustomerPlatformToDeviceRequestLimit());
        sb.append(",deviceSubmitRequestQos0Limit:").append(getDeviceSubmitRequestQos0Limit());
        sb.append(",deviceSubmitRequestQos1Limit:").append(getDeviceSubmitRequestQos1Limit());
        sb.append(",deviceReveiceMessageLimit:").append(getDeviceReveiceMessageLimit());
        sb.append(",connectThroughputLimit:").append(getConnectThroughputLimit());
        sb.append(",messageQoS1StorageMaxLimit:").append(getMessageQoS1StorageMaxLimit());
        sb.append(",messageMQTTLenghtLimit:").append(getMessageMQTTLenghtLimit());
        sb.append(",MQTTHearbeatLimit:").append(getMQTTHearbeatLimit());
        return sb.toString();
    }

    public void initAttrValue(){
            this.deviceConnectLimit = 1;
            this.customerDeviceMQTTConnectLimit = 500;
            this.deviceConnectRequestLimit = 5;
            this.deviceSubNumLimit = 100;
            this.customerDeviceToPlatformRequestLimit = 10000;
            this.customerPlatformToDeviceRequestLimit = 2000;
            this.deviceSubmitRequestQos0Limit = 30;
            this.deviceSubmitRequestQos1Limit = 10;
            this.deviceReveiceMessageLimit = 50;
            this.connectThroughputLimit = 1024;
            this.messageQoS1StorageMaxLimit = 7;
            this.messageMQTTLenghtLimit = 256;
            this.MQTTHearbeatLimit = 300;
    }
}