package com.mortals.xhx.module.connect.model;

import java.util.List;
import com.mortals.xhx.module.connect.model.ConnectLimitEntity;
/**
* 连接通信限制查询对象
*
* @author zxfei
* @date 2021-11-09
*/
public class ConnectLimitQuery extends ConnectLimitEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1 */
    private Integer deviceConnectLimitStart;

    /** 结束 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1 */
    private Integer deviceConnectLimitEnd;

    /** 增加 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1 */
    private Integer deviceConnectLimitIncrement;

    /** 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1列表 */
    private List <Integer> deviceConnectLimitList;

    /** 开始 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500 */
    private Integer customerDeviceMQTTConnectLimitStart;

    /** 结束 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500 */
    private Integer customerDeviceMQTTConnectLimitEnd;

    /** 增加 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500 */
    private Integer customerDeviceMQTTConnectLimitIncrement;

    /** 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500列表 */
    private List <Integer> customerDeviceMQTTConnectLimitList;

    /** 开始 一个设备每分钟的最大连接请求次数。，默认:5 */
    private Integer deviceConnectRequestLimitStart;

    /** 结束 一个设备每分钟的最大连接请求次数。，默认:5 */
    private Integer deviceConnectRequestLimitEnd;

    /** 增加 一个设备每分钟的最大连接请求次数。，默认:5 */
    private Integer deviceConnectRequestLimitIncrement;

    /** 一个设备每分钟的最大连接请求次数。，默认:5列表 */
    private List <Integer> deviceConnectRequestLimitList;

    /** 开始 一个设备的最大订阅数，默认:100 */
    private Integer deviceSubNumLimitStart;

    /** 结束 一个设备的最大订阅数，默认:100 */
    private Integer deviceSubNumLimitEnd;

    /** 增加 一个设备的最大订阅数，默认:100 */
    private Integer deviceSubNumLimitIncrement;

    /** 一个设备的最大订阅数，默认:100列表 */
    private List <Integer> deviceSubNumLimitList;

    /** 开始 每秒所有设备端向物联网平台发送的请求数。，默认:10000 */
    private Integer customerDeviceToPlatformRequestLimitStart;

    /** 结束 每秒所有设备端向物联网平台发送的请求数。，默认:10000 */
    private Integer customerDeviceToPlatformRequestLimitEnd;

    /** 增加 每秒所有设备端向物联网平台发送的请求数。，默认:10000 */
    private Integer customerDeviceToPlatformRequestLimitIncrement;

    /** 每秒所有设备端向物联网平台发送的请求数。，默认:10000列表 */
    private List <Integer> customerDeviceToPlatformRequestLimitList;

    /** 开始 每秒由物联网平台向设备端发送的请求数。，默认:2000 */
    private Integer customerPlatformToDeviceRequestLimitStart;

    /** 结束 每秒由物联网平台向设备端发送的请求数。，默认:2000 */
    private Integer customerPlatformToDeviceRequestLimitEnd;

    /** 增加 每秒由物联网平台向设备端发送的请求数。，默认:2000 */
    private Integer customerPlatformToDeviceRequestLimitIncrement;

    /** 每秒由物联网平台向设备端发送的请求数。，默认:2000列表 */
    private List <Integer> customerPlatformToDeviceRequestLimitList;

    /** 开始 一个设备每秒最多可上报的消息数量，默认:30 */
    private Integer deviceSubmitRequestQos0LimitStart;

    /** 结束 一个设备每秒最多可上报的消息数量，默认:30 */
    private Integer deviceSubmitRequestQos0LimitEnd;

    /** 增加 一个设备每秒最多可上报的消息数量，默认:30 */
    private Integer deviceSubmitRequestQos0LimitIncrement;

    /** 一个设备每秒最多可上报的消息数量，默认:30列表 */
    private List <Integer> deviceSubmitRequestQos0LimitList;

    /** 开始 一个设备每秒最多可上报的消息数量，默认:10 */
    private Integer deviceSubmitRequestQos1LimitStart;

    /** 结束 一个设备每秒最多可上报的消息数量，默认:10 */
    private Integer deviceSubmitRequestQos1LimitEnd;

    /** 增加 一个设备每秒最多可上报的消息数量，默认:10 */
    private Integer deviceSubmitRequestQos1LimitIncrement;

    /** 一个设备每秒最多可上报的消息数量，默认:10列表 */
    private List <Integer> deviceSubmitRequestQos1LimitList;

    /** 开始 一个设备接收下行消息的最大限制，默认:50 */
    private Integer deviceReveiceMessageLimitStart;

    /** 结束 一个设备接收下行消息的最大限制，默认:50 */
    private Integer deviceReveiceMessageLimitEnd;

    /** 增加 一个设备接收下行消息的最大限制，默认:50 */
    private Integer deviceReveiceMessageLimitIncrement;

    /** 一个设备接收下行消息的最大限制，默认:50列表 */
    private List <Integer> deviceReveiceMessageLimitList;

    /** 开始 一个连接每秒的吞吐量最大限制。，默认:1024K */
    private Integer connectThroughputLimitStart;

    /** 结束 一个连接每秒的吞吐量最大限制。，默认:1024K */
    private Integer connectThroughputLimitEnd;

    /** 增加 一个连接每秒的吞吐量最大限制。，默认:1024K */
    private Integer connectThroughputLimitIncrement;

    /** 一个连接每秒的吞吐量最大限制。，默认:1024K列表 */
    private List <Integer> connectThroughputLimitList;

    /** 开始 QoS1消息的最大存储时间。。，默认:7天 */
    private Integer messageQoS1StorageMaxLimitStart;

    /** 结束 QoS1消息的最大存储时间。。，默认:7天 */
    private Integer messageQoS1StorageMaxLimitEnd;

    /** 增加 QoS1消息的最大存储时间。。，默认:7天 */
    private Integer messageQoS1StorageMaxLimitIncrement;

    /** QoS1消息的最大存储时间。。，默认:7天列表 */
    private List <Integer> messageQoS1StorageMaxLimitList;

    /** 开始 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K */
    private Integer messageMQTTLenghtLimitStart;

    /** 结束 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K */
    private Integer messageMQTTLenghtLimitEnd;

    /** 增加 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K */
    private Integer messageMQTTLenghtLimitIncrement;

    /** MQTT消息长度，MQTT单个发布消息最大长度。默认:256K列表 */
    private List <Integer> messageMQTTLenghtLimitList;

    /** 开始 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒 */
    private Integer MQTTHearbeatLimitStart;

    /** 结束 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒 */
    private Integer MQTTHearbeatLimitEnd;

    /** 增加 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒 */
    private Integer MQTTHearbeatLimitIncrement;

    /** MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒列表 */
    private List <Integer> MQTTHearbeatLimitList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ConnectLimitQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ConnectLimitQuery> andConditionList;

    public ConnectLimitQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @return deviceConnectLimitStart
    */
    public Integer getDeviceConnectLimitStart(){
        return this.deviceConnectLimitStart;
    }

    /**
    * 设置 开始 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimitStart
    */
    public void setDeviceConnectLimitStart(Integer deviceConnectLimitStart){
        this.deviceConnectLimitStart = deviceConnectLimitStart;
    }

    /**
    * 获取 结束 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @return $deviceConnectLimitEnd
    */
    public Integer getDeviceConnectLimitEnd(){
        return this.deviceConnectLimitEnd;
    }

    /**
    * 设置 结束 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimitEnd
    */
    public void setDeviceConnectLimitEnd(Integer deviceConnectLimitEnd){
        this.deviceConnectLimitEnd = deviceConnectLimitEnd;
    }

    /**
    * 获取 增加 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @return deviceConnectLimitIncrement
    */
    public Integer getDeviceConnectLimitIncrement(){
        return this.deviceConnectLimitIncrement;
    }

    /**
    * 设置 增加 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimitIncrement
    */
    public void setDeviceConnectLimitIncrement(Integer deviceConnectLimitIncrement){
        this.deviceConnectLimitIncrement = deviceConnectLimitIncrement;
    }

    /**
    * 获取 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @return deviceConnectLimitList
    */
    public List<Integer> getDeviceConnectLimitList(){
        return this.deviceConnectLimitList;
    }

    /**
    * 设置 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimitList
    */
    public void setDeviceConnectLimitList(List<Integer> deviceConnectLimitList){
        this.deviceConnectLimitList = deviceConnectLimitList;
    }

    /**
    * 获取 开始 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @return customerDeviceMQTTConnectLimitStart
    */
    public Integer getCustomerDeviceMQTTConnectLimitStart(){
        return this.customerDeviceMQTTConnectLimitStart;
    }

    /**
    * 设置 开始 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimitStart
    */
    public void setCustomerDeviceMQTTConnectLimitStart(Integer customerDeviceMQTTConnectLimitStart){
        this.customerDeviceMQTTConnectLimitStart = customerDeviceMQTTConnectLimitStart;
    }

    /**
    * 获取 结束 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @return $customerDeviceMQTTConnectLimitEnd
    */
    public Integer getCustomerDeviceMQTTConnectLimitEnd(){
        return this.customerDeviceMQTTConnectLimitEnd;
    }

    /**
    * 设置 结束 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimitEnd
    */
    public void setCustomerDeviceMQTTConnectLimitEnd(Integer customerDeviceMQTTConnectLimitEnd){
        this.customerDeviceMQTTConnectLimitEnd = customerDeviceMQTTConnectLimitEnd;
    }

    /**
    * 获取 增加 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @return customerDeviceMQTTConnectLimitIncrement
    */
    public Integer getCustomerDeviceMQTTConnectLimitIncrement(){
        return this.customerDeviceMQTTConnectLimitIncrement;
    }

    /**
    * 设置 增加 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimitIncrement
    */
    public void setCustomerDeviceMQTTConnectLimitIncrement(Integer customerDeviceMQTTConnectLimitIncrement){
        this.customerDeviceMQTTConnectLimitIncrement = customerDeviceMQTTConnectLimitIncrement;
    }

    /**
    * 获取 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @return customerDeviceMQTTConnectLimitList
    */
    public List<Integer> getCustomerDeviceMQTTConnectLimitList(){
        return this.customerDeviceMQTTConnectLimitList;
    }

    /**
    * 设置 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimitList
    */
    public void setCustomerDeviceMQTTConnectLimitList(List<Integer> customerDeviceMQTTConnectLimitList){
        this.customerDeviceMQTTConnectLimitList = customerDeviceMQTTConnectLimitList;
    }

    /**
    * 获取 开始 一个设备每分钟的最大连接请求次数。，默认:5
    * @return deviceConnectRequestLimitStart
    */
    public Integer getDeviceConnectRequestLimitStart(){
        return this.deviceConnectRequestLimitStart;
    }

    /**
    * 设置 开始 一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimitStart
    */
    public void setDeviceConnectRequestLimitStart(Integer deviceConnectRequestLimitStart){
        this.deviceConnectRequestLimitStart = deviceConnectRequestLimitStart;
    }

    /**
    * 获取 结束 一个设备每分钟的最大连接请求次数。，默认:5
    * @return $deviceConnectRequestLimitEnd
    */
    public Integer getDeviceConnectRequestLimitEnd(){
        return this.deviceConnectRequestLimitEnd;
    }

    /**
    * 设置 结束 一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimitEnd
    */
    public void setDeviceConnectRequestLimitEnd(Integer deviceConnectRequestLimitEnd){
        this.deviceConnectRequestLimitEnd = deviceConnectRequestLimitEnd;
    }

    /**
    * 获取 增加 一个设备每分钟的最大连接请求次数。，默认:5
    * @return deviceConnectRequestLimitIncrement
    */
    public Integer getDeviceConnectRequestLimitIncrement(){
        return this.deviceConnectRequestLimitIncrement;
    }

    /**
    * 设置 增加 一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimitIncrement
    */
    public void setDeviceConnectRequestLimitIncrement(Integer deviceConnectRequestLimitIncrement){
        this.deviceConnectRequestLimitIncrement = deviceConnectRequestLimitIncrement;
    }

    /**
    * 获取 一个设备每分钟的最大连接请求次数。，默认:5
    * @return deviceConnectRequestLimitList
    */
    public List<Integer> getDeviceConnectRequestLimitList(){
        return this.deviceConnectRequestLimitList;
    }

    /**
    * 设置 一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimitList
    */
    public void setDeviceConnectRequestLimitList(List<Integer> deviceConnectRequestLimitList){
        this.deviceConnectRequestLimitList = deviceConnectRequestLimitList;
    }

    /**
    * 获取 开始 一个设备的最大订阅数，默认:100
    * @return deviceSubNumLimitStart
    */
    public Integer getDeviceSubNumLimitStart(){
        return this.deviceSubNumLimitStart;
    }

    /**
    * 设置 开始 一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimitStart
    */
    public void setDeviceSubNumLimitStart(Integer deviceSubNumLimitStart){
        this.deviceSubNumLimitStart = deviceSubNumLimitStart;
    }

    /**
    * 获取 结束 一个设备的最大订阅数，默认:100
    * @return $deviceSubNumLimitEnd
    */
    public Integer getDeviceSubNumLimitEnd(){
        return this.deviceSubNumLimitEnd;
    }

    /**
    * 设置 结束 一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimitEnd
    */
    public void setDeviceSubNumLimitEnd(Integer deviceSubNumLimitEnd){
        this.deviceSubNumLimitEnd = deviceSubNumLimitEnd;
    }

    /**
    * 获取 增加 一个设备的最大订阅数，默认:100
    * @return deviceSubNumLimitIncrement
    */
    public Integer getDeviceSubNumLimitIncrement(){
        return this.deviceSubNumLimitIncrement;
    }

    /**
    * 设置 增加 一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimitIncrement
    */
    public void setDeviceSubNumLimitIncrement(Integer deviceSubNumLimitIncrement){
        this.deviceSubNumLimitIncrement = deviceSubNumLimitIncrement;
    }

    /**
    * 获取 一个设备的最大订阅数，默认:100
    * @return deviceSubNumLimitList
    */
    public List<Integer> getDeviceSubNumLimitList(){
        return this.deviceSubNumLimitList;
    }

    /**
    * 设置 一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimitList
    */
    public void setDeviceSubNumLimitList(List<Integer> deviceSubNumLimitList){
        this.deviceSubNumLimitList = deviceSubNumLimitList;
    }

    /**
    * 获取 开始 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @return customerDeviceToPlatformRequestLimitStart
    */
    public Integer getCustomerDeviceToPlatformRequestLimitStart(){
        return this.customerDeviceToPlatformRequestLimitStart;
    }

    /**
    * 设置 开始 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimitStart
    */
    public void setCustomerDeviceToPlatformRequestLimitStart(Integer customerDeviceToPlatformRequestLimitStart){
        this.customerDeviceToPlatformRequestLimitStart = customerDeviceToPlatformRequestLimitStart;
    }

    /**
    * 获取 结束 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @return $customerDeviceToPlatformRequestLimitEnd
    */
    public Integer getCustomerDeviceToPlatformRequestLimitEnd(){
        return this.customerDeviceToPlatformRequestLimitEnd;
    }

    /**
    * 设置 结束 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimitEnd
    */
    public void setCustomerDeviceToPlatformRequestLimitEnd(Integer customerDeviceToPlatformRequestLimitEnd){
        this.customerDeviceToPlatformRequestLimitEnd = customerDeviceToPlatformRequestLimitEnd;
    }

    /**
    * 获取 增加 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @return customerDeviceToPlatformRequestLimitIncrement
    */
    public Integer getCustomerDeviceToPlatformRequestLimitIncrement(){
        return this.customerDeviceToPlatformRequestLimitIncrement;
    }

    /**
    * 设置 增加 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimitIncrement
    */
    public void setCustomerDeviceToPlatformRequestLimitIncrement(Integer customerDeviceToPlatformRequestLimitIncrement){
        this.customerDeviceToPlatformRequestLimitIncrement = customerDeviceToPlatformRequestLimitIncrement;
    }

    /**
    * 获取 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @return customerDeviceToPlatformRequestLimitList
    */
    public List<Integer> getCustomerDeviceToPlatformRequestLimitList(){
        return this.customerDeviceToPlatformRequestLimitList;
    }

    /**
    * 设置 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimitList
    */
    public void setCustomerDeviceToPlatformRequestLimitList(List<Integer> customerDeviceToPlatformRequestLimitList){
        this.customerDeviceToPlatformRequestLimitList = customerDeviceToPlatformRequestLimitList;
    }

    /**
    * 获取 开始 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @return customerPlatformToDeviceRequestLimitStart
    */
    public Integer getCustomerPlatformToDeviceRequestLimitStart(){
        return this.customerPlatformToDeviceRequestLimitStart;
    }

    /**
    * 设置 开始 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimitStart
    */
    public void setCustomerPlatformToDeviceRequestLimitStart(Integer customerPlatformToDeviceRequestLimitStart){
        this.customerPlatformToDeviceRequestLimitStart = customerPlatformToDeviceRequestLimitStart;
    }

    /**
    * 获取 结束 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @return $customerPlatformToDeviceRequestLimitEnd
    */
    public Integer getCustomerPlatformToDeviceRequestLimitEnd(){
        return this.customerPlatformToDeviceRequestLimitEnd;
    }

    /**
    * 设置 结束 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimitEnd
    */
    public void setCustomerPlatformToDeviceRequestLimitEnd(Integer customerPlatformToDeviceRequestLimitEnd){
        this.customerPlatformToDeviceRequestLimitEnd = customerPlatformToDeviceRequestLimitEnd;
    }

    /**
    * 获取 增加 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @return customerPlatformToDeviceRequestLimitIncrement
    */
    public Integer getCustomerPlatformToDeviceRequestLimitIncrement(){
        return this.customerPlatformToDeviceRequestLimitIncrement;
    }

    /**
    * 设置 增加 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimitIncrement
    */
    public void setCustomerPlatformToDeviceRequestLimitIncrement(Integer customerPlatformToDeviceRequestLimitIncrement){
        this.customerPlatformToDeviceRequestLimitIncrement = customerPlatformToDeviceRequestLimitIncrement;
    }

    /**
    * 获取 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @return customerPlatformToDeviceRequestLimitList
    */
    public List<Integer> getCustomerPlatformToDeviceRequestLimitList(){
        return this.customerPlatformToDeviceRequestLimitList;
    }

    /**
    * 设置 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimitList
    */
    public void setCustomerPlatformToDeviceRequestLimitList(List<Integer> customerPlatformToDeviceRequestLimitList){
        this.customerPlatformToDeviceRequestLimitList = customerPlatformToDeviceRequestLimitList;
    }

    /**
    * 获取 开始 一个设备每秒最多可上报的消息数量，默认:30
    * @return deviceSubmitRequestQos0LimitStart
    */
    public Integer getDeviceSubmitRequestQos0LimitStart(){
        return this.deviceSubmitRequestQos0LimitStart;
    }

    /**
    * 设置 开始 一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0LimitStart
    */
    public void setDeviceSubmitRequestQos0LimitStart(Integer deviceSubmitRequestQos0LimitStart){
        this.deviceSubmitRequestQos0LimitStart = deviceSubmitRequestQos0LimitStart;
    }

    /**
    * 获取 结束 一个设备每秒最多可上报的消息数量，默认:30
    * @return $deviceSubmitRequestQos0LimitEnd
    */
    public Integer getDeviceSubmitRequestQos0LimitEnd(){
        return this.deviceSubmitRequestQos0LimitEnd;
    }

    /**
    * 设置 结束 一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0LimitEnd
    */
    public void setDeviceSubmitRequestQos0LimitEnd(Integer deviceSubmitRequestQos0LimitEnd){
        this.deviceSubmitRequestQos0LimitEnd = deviceSubmitRequestQos0LimitEnd;
    }

    /**
    * 获取 增加 一个设备每秒最多可上报的消息数量，默认:30
    * @return deviceSubmitRequestQos0LimitIncrement
    */
    public Integer getDeviceSubmitRequestQos0LimitIncrement(){
        return this.deviceSubmitRequestQos0LimitIncrement;
    }

    /**
    * 设置 增加 一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0LimitIncrement
    */
    public void setDeviceSubmitRequestQos0LimitIncrement(Integer deviceSubmitRequestQos0LimitIncrement){
        this.deviceSubmitRequestQos0LimitIncrement = deviceSubmitRequestQos0LimitIncrement;
    }

    /**
    * 获取 一个设备每秒最多可上报的消息数量，默认:30
    * @return deviceSubmitRequestQos0LimitList
    */
    public List<Integer> getDeviceSubmitRequestQos0LimitList(){
        return this.deviceSubmitRequestQos0LimitList;
    }

    /**
    * 设置 一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0LimitList
    */
    public void setDeviceSubmitRequestQos0LimitList(List<Integer> deviceSubmitRequestQos0LimitList){
        this.deviceSubmitRequestQos0LimitList = deviceSubmitRequestQos0LimitList;
    }

    /**
    * 获取 开始 一个设备每秒最多可上报的消息数量，默认:10
    * @return deviceSubmitRequestQos1LimitStart
    */
    public Integer getDeviceSubmitRequestQos1LimitStart(){
        return this.deviceSubmitRequestQos1LimitStart;
    }

    /**
    * 设置 开始 一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1LimitStart
    */
    public void setDeviceSubmitRequestQos1LimitStart(Integer deviceSubmitRequestQos1LimitStart){
        this.deviceSubmitRequestQos1LimitStart = deviceSubmitRequestQos1LimitStart;
    }

    /**
    * 获取 结束 一个设备每秒最多可上报的消息数量，默认:10
    * @return $deviceSubmitRequestQos1LimitEnd
    */
    public Integer getDeviceSubmitRequestQos1LimitEnd(){
        return this.deviceSubmitRequestQos1LimitEnd;
    }

    /**
    * 设置 结束 一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1LimitEnd
    */
    public void setDeviceSubmitRequestQos1LimitEnd(Integer deviceSubmitRequestQos1LimitEnd){
        this.deviceSubmitRequestQos1LimitEnd = deviceSubmitRequestQos1LimitEnd;
    }

    /**
    * 获取 增加 一个设备每秒最多可上报的消息数量，默认:10
    * @return deviceSubmitRequestQos1LimitIncrement
    */
    public Integer getDeviceSubmitRequestQos1LimitIncrement(){
        return this.deviceSubmitRequestQos1LimitIncrement;
    }

    /**
    * 设置 增加 一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1LimitIncrement
    */
    public void setDeviceSubmitRequestQos1LimitIncrement(Integer deviceSubmitRequestQos1LimitIncrement){
        this.deviceSubmitRequestQos1LimitIncrement = deviceSubmitRequestQos1LimitIncrement;
    }

    /**
    * 获取 一个设备每秒最多可上报的消息数量，默认:10
    * @return deviceSubmitRequestQos1LimitList
    */
    public List<Integer> getDeviceSubmitRequestQos1LimitList(){
        return this.deviceSubmitRequestQos1LimitList;
    }

    /**
    * 设置 一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1LimitList
    */
    public void setDeviceSubmitRequestQos1LimitList(List<Integer> deviceSubmitRequestQos1LimitList){
        this.deviceSubmitRequestQos1LimitList = deviceSubmitRequestQos1LimitList;
    }

    /**
    * 获取 开始 一个设备接收下行消息的最大限制，默认:50
    * @return deviceReveiceMessageLimitStart
    */
    public Integer getDeviceReveiceMessageLimitStart(){
        return this.deviceReveiceMessageLimitStart;
    }

    /**
    * 设置 开始 一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimitStart
    */
    public void setDeviceReveiceMessageLimitStart(Integer deviceReveiceMessageLimitStart){
        this.deviceReveiceMessageLimitStart = deviceReveiceMessageLimitStart;
    }

    /**
    * 获取 结束 一个设备接收下行消息的最大限制，默认:50
    * @return $deviceReveiceMessageLimitEnd
    */
    public Integer getDeviceReveiceMessageLimitEnd(){
        return this.deviceReveiceMessageLimitEnd;
    }

    /**
    * 设置 结束 一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimitEnd
    */
    public void setDeviceReveiceMessageLimitEnd(Integer deviceReveiceMessageLimitEnd){
        this.deviceReveiceMessageLimitEnd = deviceReveiceMessageLimitEnd;
    }

    /**
    * 获取 增加 一个设备接收下行消息的最大限制，默认:50
    * @return deviceReveiceMessageLimitIncrement
    */
    public Integer getDeviceReveiceMessageLimitIncrement(){
        return this.deviceReveiceMessageLimitIncrement;
    }

    /**
    * 设置 增加 一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimitIncrement
    */
    public void setDeviceReveiceMessageLimitIncrement(Integer deviceReveiceMessageLimitIncrement){
        this.deviceReveiceMessageLimitIncrement = deviceReveiceMessageLimitIncrement;
    }

    /**
    * 获取 一个设备接收下行消息的最大限制，默认:50
    * @return deviceReveiceMessageLimitList
    */
    public List<Integer> getDeviceReveiceMessageLimitList(){
        return this.deviceReveiceMessageLimitList;
    }

    /**
    * 设置 一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimitList
    */
    public void setDeviceReveiceMessageLimitList(List<Integer> deviceReveiceMessageLimitList){
        this.deviceReveiceMessageLimitList = deviceReveiceMessageLimitList;
    }

    /**
    * 获取 开始 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @return connectThroughputLimitStart
    */
    public Integer getConnectThroughputLimitStart(){
        return this.connectThroughputLimitStart;
    }

    /**
    * 设置 开始 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimitStart
    */
    public void setConnectThroughputLimitStart(Integer connectThroughputLimitStart){
        this.connectThroughputLimitStart = connectThroughputLimitStart;
    }

    /**
    * 获取 结束 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @return $connectThroughputLimitEnd
    */
    public Integer getConnectThroughputLimitEnd(){
        return this.connectThroughputLimitEnd;
    }

    /**
    * 设置 结束 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimitEnd
    */
    public void setConnectThroughputLimitEnd(Integer connectThroughputLimitEnd){
        this.connectThroughputLimitEnd = connectThroughputLimitEnd;
    }

    /**
    * 获取 增加 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @return connectThroughputLimitIncrement
    */
    public Integer getConnectThroughputLimitIncrement(){
        return this.connectThroughputLimitIncrement;
    }

    /**
    * 设置 增加 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimitIncrement
    */
    public void setConnectThroughputLimitIncrement(Integer connectThroughputLimitIncrement){
        this.connectThroughputLimitIncrement = connectThroughputLimitIncrement;
    }

    /**
    * 获取 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @return connectThroughputLimitList
    */
    public List<Integer> getConnectThroughputLimitList(){
        return this.connectThroughputLimitList;
    }

    /**
    * 设置 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimitList
    */
    public void setConnectThroughputLimitList(List<Integer> connectThroughputLimitList){
        this.connectThroughputLimitList = connectThroughputLimitList;
    }

    /**
    * 获取 开始 QoS1消息的最大存储时间。。，默认:7天
    * @return messageQoS1StorageMaxLimitStart
    */
    public Integer getMessageQoS1StorageMaxLimitStart(){
        return this.messageQoS1StorageMaxLimitStart;
    }

    /**
    * 设置 开始 QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimitStart
    */
    public void setMessageQoS1StorageMaxLimitStart(Integer messageQoS1StorageMaxLimitStart){
        this.messageQoS1StorageMaxLimitStart = messageQoS1StorageMaxLimitStart;
    }

    /**
    * 获取 结束 QoS1消息的最大存储时间。。，默认:7天
    * @return $messageQoS1StorageMaxLimitEnd
    */
    public Integer getMessageQoS1StorageMaxLimitEnd(){
        return this.messageQoS1StorageMaxLimitEnd;
    }

    /**
    * 设置 结束 QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimitEnd
    */
    public void setMessageQoS1StorageMaxLimitEnd(Integer messageQoS1StorageMaxLimitEnd){
        this.messageQoS1StorageMaxLimitEnd = messageQoS1StorageMaxLimitEnd;
    }

    /**
    * 获取 增加 QoS1消息的最大存储时间。。，默认:7天
    * @return messageQoS1StorageMaxLimitIncrement
    */
    public Integer getMessageQoS1StorageMaxLimitIncrement(){
        return this.messageQoS1StorageMaxLimitIncrement;
    }

    /**
    * 设置 增加 QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimitIncrement
    */
    public void setMessageQoS1StorageMaxLimitIncrement(Integer messageQoS1StorageMaxLimitIncrement){
        this.messageQoS1StorageMaxLimitIncrement = messageQoS1StorageMaxLimitIncrement;
    }

    /**
    * 获取 QoS1消息的最大存储时间。。，默认:7天
    * @return messageQoS1StorageMaxLimitList
    */
    public List<Integer> getMessageQoS1StorageMaxLimitList(){
        return this.messageQoS1StorageMaxLimitList;
    }

    /**
    * 设置 QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimitList
    */
    public void setMessageQoS1StorageMaxLimitList(List<Integer> messageQoS1StorageMaxLimitList){
        this.messageQoS1StorageMaxLimitList = messageQoS1StorageMaxLimitList;
    }

    /**
    * 获取 开始 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @return messageMQTTLenghtLimitStart
    */
    public Integer getMessageMQTTLenghtLimitStart(){
        return this.messageMQTTLenghtLimitStart;
    }

    /**
    * 设置 开始 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimitStart
    */
    public void setMessageMQTTLenghtLimitStart(Integer messageMQTTLenghtLimitStart){
        this.messageMQTTLenghtLimitStart = messageMQTTLenghtLimitStart;
    }

    /**
    * 获取 结束 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @return $messageMQTTLenghtLimitEnd
    */
    public Integer getMessageMQTTLenghtLimitEnd(){
        return this.messageMQTTLenghtLimitEnd;
    }

    /**
    * 设置 结束 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimitEnd
    */
    public void setMessageMQTTLenghtLimitEnd(Integer messageMQTTLenghtLimitEnd){
        this.messageMQTTLenghtLimitEnd = messageMQTTLenghtLimitEnd;
    }

    /**
    * 获取 增加 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @return messageMQTTLenghtLimitIncrement
    */
    public Integer getMessageMQTTLenghtLimitIncrement(){
        return this.messageMQTTLenghtLimitIncrement;
    }

    /**
    * 设置 增加 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimitIncrement
    */
    public void setMessageMQTTLenghtLimitIncrement(Integer messageMQTTLenghtLimitIncrement){
        this.messageMQTTLenghtLimitIncrement = messageMQTTLenghtLimitIncrement;
    }

    /**
    * 获取 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @return messageMQTTLenghtLimitList
    */
    public List<Integer> getMessageMQTTLenghtLimitList(){
        return this.messageMQTTLenghtLimitList;
    }

    /**
    * 设置 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimitList
    */
    public void setMessageMQTTLenghtLimitList(List<Integer> messageMQTTLenghtLimitList){
        this.messageMQTTLenghtLimitList = messageMQTTLenghtLimitList;
    }

    /**
    * 获取 开始 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @return MQTTHearbeatLimitStart
    */
    public Integer getMQTTHearbeatLimitStart(){
        return this.MQTTHearbeatLimitStart;
    }

    /**
    * 设置 开始 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimitStart
    */
    public void setMQTTHearbeatLimitStart(Integer MQTTHearbeatLimitStart){
        this.MQTTHearbeatLimitStart = MQTTHearbeatLimitStart;
    }

    /**
    * 获取 结束 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @return $MQTTHearbeatLimitEnd
    */
    public Integer getMQTTHearbeatLimitEnd(){
        return this.MQTTHearbeatLimitEnd;
    }

    /**
    * 设置 结束 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimitEnd
    */
    public void setMQTTHearbeatLimitEnd(Integer MQTTHearbeatLimitEnd){
        this.MQTTHearbeatLimitEnd = MQTTHearbeatLimitEnd;
    }

    /**
    * 获取 增加 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @return MQTTHearbeatLimitIncrement
    */
    public Integer getMQTTHearbeatLimitIncrement(){
        return this.MQTTHearbeatLimitIncrement;
    }

    /**
    * 设置 增加 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimitIncrement
    */
    public void setMQTTHearbeatLimitIncrement(Integer MQTTHearbeatLimitIncrement){
        this.MQTTHearbeatLimitIncrement = MQTTHearbeatLimitIncrement;
    }

    /**
    * 获取 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @return MQTTHearbeatLimitList
    */
    public List<Integer> getMQTTHearbeatLimitList(){
        return this.MQTTHearbeatLimitList;
    }

    /**
    * 设置 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimitList
    */
    public void setMQTTHearbeatLimitList(List<Integer> MQTTHearbeatLimitList){
        this.MQTTHearbeatLimitList = MQTTHearbeatLimitList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ConnectLimitQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ConnectLimitQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ConnectLimitQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ConnectLimitQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ConnectLimitQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimit
    */
    public ConnectLimitQuery deviceConnectLimit(Integer deviceConnectLimit){
	    setDeviceConnectLimit(deviceConnectLimit);
		return this;
    }
	
	 /**
    * 设置 开始 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimitStart
    */
    public ConnectLimitQuery deviceConnectLimitStart(Integer deviceConnectLimitStart){
		this.deviceConnectLimitStart = deviceConnectLimitStart;
		return this;
    }

    /**
    * 设置 结束 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimitEnd
    */
    public ConnectLimitQuery deviceConnectLimitEnd(Integer deviceConnectLimitEnd){
		this.deviceConnectLimitEnd = deviceConnectLimitEnd;
		return this;
    }

    /**
    * 设置 增加 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimitIncrement
    */
    public ConnectLimitQuery deviceConnectLimitIncrement(Integer deviceConnectLimitIncrement){
		this.deviceConnectLimitIncrement = deviceConnectLimitIncrement;
		return this;
    }

    /**
    * 设置 设备接入限制，使用同一个设备证书信息（相同的Productkey、DeviceName）。在同一时间，只能和物联网平台服务器建立一个连接。默认:1
    * @param deviceConnectLimitList
    */
    public ConnectLimitQuery deviceConnectLimitList(List<Integer> deviceConnectLimitList){
        this.deviceConnectLimitList = deviceConnectLimitList;
		return this;
        }

    /**
    * 设置  用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimit
    */
    public ConnectLimitQuery customerDeviceMQTTConnectLimit(Integer customerDeviceMQTTConnectLimit){
	    setCustomerDeviceMQTTConnectLimit(customerDeviceMQTTConnectLimit);
		return this;
    }
	
	 /**
    * 设置 开始 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimitStart
    */
    public ConnectLimitQuery customerDeviceMQTTConnectLimitStart(Integer customerDeviceMQTTConnectLimitStart){
		this.customerDeviceMQTTConnectLimitStart = customerDeviceMQTTConnectLimitStart;
		return this;
    }

    /**
    * 设置 结束 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimitEnd
    */
    public ConnectLimitQuery customerDeviceMQTTConnectLimitEnd(Integer customerDeviceMQTTConnectLimitEnd){
		this.customerDeviceMQTTConnectLimitEnd = customerDeviceMQTTConnectLimitEnd;
		return this;
    }

    /**
    * 设置 增加 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimitIncrement
    */
    public ConnectLimitQuery customerDeviceMQTTConnectLimitIncrement(Integer customerDeviceMQTTConnectLimitIncrement){
		this.customerDeviceMQTTConnectLimitIncrement = customerDeviceMQTTConnectLimitIncrement;
		return this;
    }

    /**
    * 设置 用户下每秒所有设备MQTT连接请求接入次数，每秒最大MQTT连接请求数默认:500
    * @param customerDeviceMQTTConnectLimitList
    */
    public ConnectLimitQuery customerDeviceMQTTConnectLimitList(List<Integer> customerDeviceMQTTConnectLimitList){
        this.customerDeviceMQTTConnectLimitList = customerDeviceMQTTConnectLimitList;
		return this;
        }

    /**
    * 设置  一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimit
    */
    public ConnectLimitQuery deviceConnectRequestLimit(Integer deviceConnectRequestLimit){
	    setDeviceConnectRequestLimit(deviceConnectRequestLimit);
		return this;
    }
	
	 /**
    * 设置 开始 一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimitStart
    */
    public ConnectLimitQuery deviceConnectRequestLimitStart(Integer deviceConnectRequestLimitStart){
		this.deviceConnectRequestLimitStart = deviceConnectRequestLimitStart;
		return this;
    }

    /**
    * 设置 结束 一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimitEnd
    */
    public ConnectLimitQuery deviceConnectRequestLimitEnd(Integer deviceConnectRequestLimitEnd){
		this.deviceConnectRequestLimitEnd = deviceConnectRequestLimitEnd;
		return this;
    }

    /**
    * 设置 增加 一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimitIncrement
    */
    public ConnectLimitQuery deviceConnectRequestLimitIncrement(Integer deviceConnectRequestLimitIncrement){
		this.deviceConnectRequestLimitIncrement = deviceConnectRequestLimitIncrement;
		return this;
    }

    /**
    * 设置 一个设备每分钟的最大连接请求次数。，默认:5
    * @param deviceConnectRequestLimitList
    */
    public ConnectLimitQuery deviceConnectRequestLimitList(List<Integer> deviceConnectRequestLimitList){
        this.deviceConnectRequestLimitList = deviceConnectRequestLimitList;
		return this;
        }

    /**
    * 设置  一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimit
    */
    public ConnectLimitQuery deviceSubNumLimit(Integer deviceSubNumLimit){
	    setDeviceSubNumLimit(deviceSubNumLimit);
		return this;
    }
	
	 /**
    * 设置 开始 一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimitStart
    */
    public ConnectLimitQuery deviceSubNumLimitStart(Integer deviceSubNumLimitStart){
		this.deviceSubNumLimitStart = deviceSubNumLimitStart;
		return this;
    }

    /**
    * 设置 结束 一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimitEnd
    */
    public ConnectLimitQuery deviceSubNumLimitEnd(Integer deviceSubNumLimitEnd){
		this.deviceSubNumLimitEnd = deviceSubNumLimitEnd;
		return this;
    }

    /**
    * 设置 增加 一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimitIncrement
    */
    public ConnectLimitQuery deviceSubNumLimitIncrement(Integer deviceSubNumLimitIncrement){
		this.deviceSubNumLimitIncrement = deviceSubNumLimitIncrement;
		return this;
    }

    /**
    * 设置 一个设备的最大订阅数，默认:100
    * @param deviceSubNumLimitList
    */
    public ConnectLimitQuery deviceSubNumLimitList(List<Integer> deviceSubNumLimitList){
        this.deviceSubNumLimitList = deviceSubNumLimitList;
		return this;
        }

    /**
    * 设置  每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimit
    */
    public ConnectLimitQuery customerDeviceToPlatformRequestLimit(Integer customerDeviceToPlatformRequestLimit){
	    setCustomerDeviceToPlatformRequestLimit(customerDeviceToPlatformRequestLimit);
		return this;
    }
	
	 /**
    * 设置 开始 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimitStart
    */
    public ConnectLimitQuery customerDeviceToPlatformRequestLimitStart(Integer customerDeviceToPlatformRequestLimitStart){
		this.customerDeviceToPlatformRequestLimitStart = customerDeviceToPlatformRequestLimitStart;
		return this;
    }

    /**
    * 设置 结束 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimitEnd
    */
    public ConnectLimitQuery customerDeviceToPlatformRequestLimitEnd(Integer customerDeviceToPlatformRequestLimitEnd){
		this.customerDeviceToPlatformRequestLimitEnd = customerDeviceToPlatformRequestLimitEnd;
		return this;
    }

    /**
    * 设置 增加 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimitIncrement
    */
    public ConnectLimitQuery customerDeviceToPlatformRequestLimitIncrement(Integer customerDeviceToPlatformRequestLimitIncrement){
		this.customerDeviceToPlatformRequestLimitIncrement = customerDeviceToPlatformRequestLimitIncrement;
		return this;
    }

    /**
    * 设置 每秒所有设备端向物联网平台发送的请求数。，默认:10000
    * @param customerDeviceToPlatformRequestLimitList
    */
    public ConnectLimitQuery customerDeviceToPlatformRequestLimitList(List<Integer> customerDeviceToPlatformRequestLimitList){
        this.customerDeviceToPlatformRequestLimitList = customerDeviceToPlatformRequestLimitList;
		return this;
        }

    /**
    * 设置  每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimit
    */
    public ConnectLimitQuery customerPlatformToDeviceRequestLimit(Integer customerPlatformToDeviceRequestLimit){
	    setCustomerPlatformToDeviceRequestLimit(customerPlatformToDeviceRequestLimit);
		return this;
    }
	
	 /**
    * 设置 开始 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimitStart
    */
    public ConnectLimitQuery customerPlatformToDeviceRequestLimitStart(Integer customerPlatformToDeviceRequestLimitStart){
		this.customerPlatformToDeviceRequestLimitStart = customerPlatformToDeviceRequestLimitStart;
		return this;
    }

    /**
    * 设置 结束 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimitEnd
    */
    public ConnectLimitQuery customerPlatformToDeviceRequestLimitEnd(Integer customerPlatformToDeviceRequestLimitEnd){
		this.customerPlatformToDeviceRequestLimitEnd = customerPlatformToDeviceRequestLimitEnd;
		return this;
    }

    /**
    * 设置 增加 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimitIncrement
    */
    public ConnectLimitQuery customerPlatformToDeviceRequestLimitIncrement(Integer customerPlatformToDeviceRequestLimitIncrement){
		this.customerPlatformToDeviceRequestLimitIncrement = customerPlatformToDeviceRequestLimitIncrement;
		return this;
    }

    /**
    * 设置 每秒由物联网平台向设备端发送的请求数。，默认:2000
    * @param customerPlatformToDeviceRequestLimitList
    */
    public ConnectLimitQuery customerPlatformToDeviceRequestLimitList(List<Integer> customerPlatformToDeviceRequestLimitList){
        this.customerPlatformToDeviceRequestLimitList = customerPlatformToDeviceRequestLimitList;
		return this;
        }

    /**
    * 设置  一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0Limit
    */
    public ConnectLimitQuery deviceSubmitRequestQos0Limit(Integer deviceSubmitRequestQos0Limit){
	    setDeviceSubmitRequestQos0Limit(deviceSubmitRequestQos0Limit);
		return this;
    }
	
	 /**
    * 设置 开始 一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0LimitStart
    */
    public ConnectLimitQuery deviceSubmitRequestQos0LimitStart(Integer deviceSubmitRequestQos0LimitStart){
		this.deviceSubmitRequestQos0LimitStart = deviceSubmitRequestQos0LimitStart;
		return this;
    }

    /**
    * 设置 结束 一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0LimitEnd
    */
    public ConnectLimitQuery deviceSubmitRequestQos0LimitEnd(Integer deviceSubmitRequestQos0LimitEnd){
		this.deviceSubmitRequestQos0LimitEnd = deviceSubmitRequestQos0LimitEnd;
		return this;
    }

    /**
    * 设置 增加 一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0LimitIncrement
    */
    public ConnectLimitQuery deviceSubmitRequestQos0LimitIncrement(Integer deviceSubmitRequestQos0LimitIncrement){
		this.deviceSubmitRequestQos0LimitIncrement = deviceSubmitRequestQos0LimitIncrement;
		return this;
    }

    /**
    * 设置 一个设备每秒最多可上报的消息数量，默认:30
    * @param deviceSubmitRequestQos0LimitList
    */
    public ConnectLimitQuery deviceSubmitRequestQos0LimitList(List<Integer> deviceSubmitRequestQos0LimitList){
        this.deviceSubmitRequestQos0LimitList = deviceSubmitRequestQos0LimitList;
		return this;
        }

    /**
    * 设置  一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1Limit
    */
    public ConnectLimitQuery deviceSubmitRequestQos1Limit(Integer deviceSubmitRequestQos1Limit){
	    setDeviceSubmitRequestQos1Limit(deviceSubmitRequestQos1Limit);
		return this;
    }
	
	 /**
    * 设置 开始 一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1LimitStart
    */
    public ConnectLimitQuery deviceSubmitRequestQos1LimitStart(Integer deviceSubmitRequestQos1LimitStart){
		this.deviceSubmitRequestQos1LimitStart = deviceSubmitRequestQos1LimitStart;
		return this;
    }

    /**
    * 设置 结束 一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1LimitEnd
    */
    public ConnectLimitQuery deviceSubmitRequestQos1LimitEnd(Integer deviceSubmitRequestQos1LimitEnd){
		this.deviceSubmitRequestQos1LimitEnd = deviceSubmitRequestQos1LimitEnd;
		return this;
    }

    /**
    * 设置 增加 一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1LimitIncrement
    */
    public ConnectLimitQuery deviceSubmitRequestQos1LimitIncrement(Integer deviceSubmitRequestQos1LimitIncrement){
		this.deviceSubmitRequestQos1LimitIncrement = deviceSubmitRequestQos1LimitIncrement;
		return this;
    }

    /**
    * 设置 一个设备每秒最多可上报的消息数量，默认:10
    * @param deviceSubmitRequestQos1LimitList
    */
    public ConnectLimitQuery deviceSubmitRequestQos1LimitList(List<Integer> deviceSubmitRequestQos1LimitList){
        this.deviceSubmitRequestQos1LimitList = deviceSubmitRequestQos1LimitList;
		return this;
        }

    /**
    * 设置  一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimit
    */
    public ConnectLimitQuery deviceReveiceMessageLimit(Integer deviceReveiceMessageLimit){
	    setDeviceReveiceMessageLimit(deviceReveiceMessageLimit);
		return this;
    }
	
	 /**
    * 设置 开始 一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimitStart
    */
    public ConnectLimitQuery deviceReveiceMessageLimitStart(Integer deviceReveiceMessageLimitStart){
		this.deviceReveiceMessageLimitStart = deviceReveiceMessageLimitStart;
		return this;
    }

    /**
    * 设置 结束 一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimitEnd
    */
    public ConnectLimitQuery deviceReveiceMessageLimitEnd(Integer deviceReveiceMessageLimitEnd){
		this.deviceReveiceMessageLimitEnd = deviceReveiceMessageLimitEnd;
		return this;
    }

    /**
    * 设置 增加 一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimitIncrement
    */
    public ConnectLimitQuery deviceReveiceMessageLimitIncrement(Integer deviceReveiceMessageLimitIncrement){
		this.deviceReveiceMessageLimitIncrement = deviceReveiceMessageLimitIncrement;
		return this;
    }

    /**
    * 设置 一个设备接收下行消息的最大限制，默认:50
    * @param deviceReveiceMessageLimitList
    */
    public ConnectLimitQuery deviceReveiceMessageLimitList(List<Integer> deviceReveiceMessageLimitList){
        this.deviceReveiceMessageLimitList = deviceReveiceMessageLimitList;
		return this;
        }

    /**
    * 设置  一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimit
    */
    public ConnectLimitQuery connectThroughputLimit(Integer connectThroughputLimit){
	    setConnectThroughputLimit(connectThroughputLimit);
		return this;
    }
	
	 /**
    * 设置 开始 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimitStart
    */
    public ConnectLimitQuery connectThroughputLimitStart(Integer connectThroughputLimitStart){
		this.connectThroughputLimitStart = connectThroughputLimitStart;
		return this;
    }

    /**
    * 设置 结束 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimitEnd
    */
    public ConnectLimitQuery connectThroughputLimitEnd(Integer connectThroughputLimitEnd){
		this.connectThroughputLimitEnd = connectThroughputLimitEnd;
		return this;
    }

    /**
    * 设置 增加 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimitIncrement
    */
    public ConnectLimitQuery connectThroughputLimitIncrement(Integer connectThroughputLimitIncrement){
		this.connectThroughputLimitIncrement = connectThroughputLimitIncrement;
		return this;
    }

    /**
    * 设置 一个连接每秒的吞吐量最大限制。，默认:1024K
    * @param connectThroughputLimitList
    */
    public ConnectLimitQuery connectThroughputLimitList(List<Integer> connectThroughputLimitList){
        this.connectThroughputLimitList = connectThroughputLimitList;
		return this;
        }

    /**
    * 设置  QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimit
    */
    public ConnectLimitQuery messageQoS1StorageMaxLimit(Integer messageQoS1StorageMaxLimit){
	    setMessageQoS1StorageMaxLimit(messageQoS1StorageMaxLimit);
		return this;
    }
	
	 /**
    * 设置 开始 QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimitStart
    */
    public ConnectLimitQuery messageQoS1StorageMaxLimitStart(Integer messageQoS1StorageMaxLimitStart){
		this.messageQoS1StorageMaxLimitStart = messageQoS1StorageMaxLimitStart;
		return this;
    }

    /**
    * 设置 结束 QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimitEnd
    */
    public ConnectLimitQuery messageQoS1StorageMaxLimitEnd(Integer messageQoS1StorageMaxLimitEnd){
		this.messageQoS1StorageMaxLimitEnd = messageQoS1StorageMaxLimitEnd;
		return this;
    }

    /**
    * 设置 增加 QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimitIncrement
    */
    public ConnectLimitQuery messageQoS1StorageMaxLimitIncrement(Integer messageQoS1StorageMaxLimitIncrement){
		this.messageQoS1StorageMaxLimitIncrement = messageQoS1StorageMaxLimitIncrement;
		return this;
    }

    /**
    * 设置 QoS1消息的最大存储时间。。，默认:7天
    * @param messageQoS1StorageMaxLimitList
    */
    public ConnectLimitQuery messageQoS1StorageMaxLimitList(List<Integer> messageQoS1StorageMaxLimitList){
        this.messageQoS1StorageMaxLimitList = messageQoS1StorageMaxLimitList;
		return this;
        }

    /**
    * 设置  MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimit
    */
    public ConnectLimitQuery messageMQTTLenghtLimit(Integer messageMQTTLenghtLimit){
	    setMessageMQTTLenghtLimit(messageMQTTLenghtLimit);
		return this;
    }
	
	 /**
    * 设置 开始 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimitStart
    */
    public ConnectLimitQuery messageMQTTLenghtLimitStart(Integer messageMQTTLenghtLimitStart){
		this.messageMQTTLenghtLimitStart = messageMQTTLenghtLimitStart;
		return this;
    }

    /**
    * 设置 结束 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimitEnd
    */
    public ConnectLimitQuery messageMQTTLenghtLimitEnd(Integer messageMQTTLenghtLimitEnd){
		this.messageMQTTLenghtLimitEnd = messageMQTTLenghtLimitEnd;
		return this;
    }

    /**
    * 设置 增加 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimitIncrement
    */
    public ConnectLimitQuery messageMQTTLenghtLimitIncrement(Integer messageMQTTLenghtLimitIncrement){
		this.messageMQTTLenghtLimitIncrement = messageMQTTLenghtLimitIncrement;
		return this;
    }

    /**
    * 设置 MQTT消息长度，MQTT单个发布消息最大长度。默认:256K
    * @param messageMQTTLenghtLimitList
    */
    public ConnectLimitQuery messageMQTTLenghtLimitList(List<Integer> messageMQTTLenghtLimitList){
        this.messageMQTTLenghtLimitList = messageMQTTLenghtLimitList;
		return this;
        }

    /**
    * 设置  MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimit
    */
    public ConnectLimitQuery MQTTHearbeatLimit(Integer MQTTHearbeatLimit){
	    setMQTTHearbeatLimit(MQTTHearbeatLimit);
		return this;
    }
	
	 /**
    * 设置 开始 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimitStart
    */
    public ConnectLimitQuery MQTTHearbeatLimitStart(Integer MQTTHearbeatLimitStart){
		this.MQTTHearbeatLimitStart = MQTTHearbeatLimitStart;
		return this;
    }

    /**
    * 设置 结束 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimitEnd
    */
    public ConnectLimitQuery MQTTHearbeatLimitEnd(Integer MQTTHearbeatLimitEnd){
		this.MQTTHearbeatLimitEnd = MQTTHearbeatLimitEnd;
		return this;
    }

    /**
    * 设置 增加 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimitIncrement
    */
    public ConnectLimitQuery MQTTHearbeatLimitIncrement(Integer MQTTHearbeatLimitIncrement){
		this.MQTTHearbeatLimitIncrement = MQTTHearbeatLimitIncrement;
		return this;
    }

    /**
    * 设置 MQTT保活，MQTT连接心跳时间为30秒至1,200秒。心跳时间不在此区间内，服务器将会拒绝连接。默认:300秒
    * @param MQTTHearbeatLimitList
    */
    public ConnectLimitQuery MQTTHearbeatLimitList(List<Integer> MQTTHearbeatLimitList){
        this.MQTTHearbeatLimitList = MQTTHearbeatLimitList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ConnectLimitQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ConnectLimitQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ConnectLimitQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ConnectLimitQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}