package com.mortals.xhx.module.connect.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.DbOrderKind;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.connect.model.ConnectLimitEntity;
import com.mortals.xhx.module.connect.service.ConnectLimitService;

import java.util.HashMap;
import java.util.Map;
/**
* ConnectLimitController
*
* 连接通信限制 控制器
*
* @author zxfei
* @date 2021-11-09
*/
@RestController
@RequestMapping("connect/limit")
public class ConnectLimitController extends BaseCRUDJsonMappingController<ConnectLimitService,ConnectLimitForm,ConnectLimitEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ConnectLimitController(){
        super.setFormClass(ConnectLimitForm.class);
        super.setModuleDesc( "连接通信限制");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, ConnectLimitForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }

    @Override
    protected void doListBefore(HttpServletRequest request, HttpServletResponse response, ConnectLimitForm form, Map<String, Object> model, Context context) throws AppException {
        Map<String, String> orderCols = new HashMap<>();
        orderCols.put("id", DbOrderKind.DESC.name());
        form.getQuery().setOrderCols(orderCols);
        super.doListBefore(request, response, form, model, context);
    }
}