package com.mortals.xhx.module.consumer.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.consumer.model.vo.ConsumerSubVo;
/**
* 服务端订阅实体对象
*
* @author zxfei
* @date 2021-11-09
*/

public class ConsumerSubEntity extends ConsumerSubVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户ID
    */
    private Long customerId;
    /**
    * 产品
    */
    private Long productId;
    /**
    * 消费组ID
    */
    private Long consumerGroupId;
    /**
    * 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    */
    private Integer pushMessType;
    /**
    * 订阅类型，1，AMQP2，MNS
    */
    private Integer subType;



    public ConsumerSubEntity(){}
    /**
    * 获取 用户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 用户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 产品
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 消费组ID
    * @return Long
    */
    public Long getConsumerGroupId(){
        return consumerGroupId;
    }
    /**
    * 设置 消费组ID
    * @param consumerGroupId
    */
    public void setConsumerGroupId(Long consumerGroupId){
        this.consumerGroupId = consumerGroupId;
    }
    /**
    * 获取 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @return Integer
    */
    public Integer getPushMessType(){
        return pushMessType;
    }
    /**
    * 设置 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessType
    */
    public void setPushMessType(Integer pushMessType){
        this.pushMessType = pushMessType;
    }
    /**
    * 获取 订阅类型，1，AMQP2，MNS
    * @return Integer
    */
    public Integer getSubType(){
        return subType;
    }
    /**
    * 设置 订阅类型，1，AMQP2，MNS
    * @param subType
    */
    public void setSubType(Integer subType){
        this.subType = subType;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ConsumerSubEntity) {
            ConsumerSubEntity tmp = (ConsumerSubEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",productId:").append(getProductId());
        sb.append(",consumerGroupId:").append(getConsumerGroupId());
        sb.append(",pushMessType:").append(getPushMessType());
        sb.append(",subType:").append(getSubType());
        return sb.toString();
    }

    public void initAttrValue(){
            this.customerId = null;
            this.productId = null;
            this.consumerGroupId = null;
            this.pushMessType = null;
            this.subType = null;
    }
}