package com.mortals.xhx.module.consumer.model;

import java.util.List;
import com.mortals.xhx.module.consumer.model.ConsumerSubEntity;
/**
* 服务端订阅查询对象
*
* @author zxfei
* @date 2021-11-09
*/
public class ConsumerSubQuery extends ConsumerSubEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 用户ID */
    private Long customerIdStart;

    /** 结束 用户ID */
    private Long customerIdEnd;

    /** 增加 用户ID */
    private Long customerIdIncrement;

    /** 用户ID列表 */
    private List <Long> customerIdList;

    /** 开始 产品 */
    private Long productIdStart;

    /** 结束 产品 */
    private Long productIdEnd;

    /** 增加 产品 */
    private Long productIdIncrement;

    /** 产品列表 */
    private List <Long> productIdList;

    /** 开始 消费组ID */
    private Long consumerGroupIdStart;

    /** 结束 消费组ID */
    private Long consumerGroupIdEnd;

    /** 增加 消费组ID */
    private Long consumerGroupIdIncrement;

    /** 消费组ID列表 */
    private List <Long> consumerGroupIdList;

    /** 开始 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息 */
    private Integer pushMessTypeStart;

    /** 结束 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息 */
    private Integer pushMessTypeEnd;

    /** 增加 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息 */
    private Integer pushMessTypeIncrement;

    /** 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息列表 */
    private List <Integer> pushMessTypeList;

    /** 开始 订阅类型，1，AMQP2，MNS */
    private Integer subTypeStart;

    /** 结束 订阅类型，1，AMQP2，MNS */
    private Integer subTypeEnd;

    /** 增加 订阅类型，1，AMQP2，MNS */
    private Integer subTypeIncrement;

    /** 订阅类型，1，AMQP2，MNS列表 */
    private List <Integer> subTypeList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ConsumerSubQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ConsumerSubQuery> andConditionList;

    public ConsumerSubQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 用户ID
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 用户ID
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 用户ID
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 用户ID
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 开始 产品
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 开始 消费组ID
    * @return consumerGroupIdStart
    */
    public Long getConsumerGroupIdStart(){
        return this.consumerGroupIdStart;
    }

    /**
    * 设置 开始 消费组ID
    * @param consumerGroupIdStart
    */
    public void setConsumerGroupIdStart(Long consumerGroupIdStart){
        this.consumerGroupIdStart = consumerGroupIdStart;
    }

    /**
    * 获取 结束 消费组ID
    * @return $consumerGroupIdEnd
    */
    public Long getConsumerGroupIdEnd(){
        return this.consumerGroupIdEnd;
    }

    /**
    * 设置 结束 消费组ID
    * @param consumerGroupIdEnd
    */
    public void setConsumerGroupIdEnd(Long consumerGroupIdEnd){
        this.consumerGroupIdEnd = consumerGroupIdEnd;
    }

    /**
    * 获取 增加 消费组ID
    * @return consumerGroupIdIncrement
    */
    public Long getConsumerGroupIdIncrement(){
        return this.consumerGroupIdIncrement;
    }

    /**
    * 设置 增加 消费组ID
    * @param consumerGroupIdIncrement
    */
    public void setConsumerGroupIdIncrement(Long consumerGroupIdIncrement){
        this.consumerGroupIdIncrement = consumerGroupIdIncrement;
    }

    /**
    * 获取 消费组ID
    * @return consumerGroupIdList
    */
    public List<Long> getConsumerGroupIdList(){
        return this.consumerGroupIdList;
    }

    /**
    * 设置 消费组ID
    * @param consumerGroupIdList
    */
    public void setConsumerGroupIdList(List<Long> consumerGroupIdList){
        this.consumerGroupIdList = consumerGroupIdList;
    }

    /**
    * 获取 开始 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @return pushMessTypeStart
    */
    public Integer getPushMessTypeStart(){
        return this.pushMessTypeStart;
    }

    /**
    * 设置 开始 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessTypeStart
    */
    public void setPushMessTypeStart(Integer pushMessTypeStart){
        this.pushMessTypeStart = pushMessTypeStart;
    }

    /**
    * 获取 结束 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @return $pushMessTypeEnd
    */
    public Integer getPushMessTypeEnd(){
        return this.pushMessTypeEnd;
    }

    /**
    * 设置 结束 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessTypeEnd
    */
    public void setPushMessTypeEnd(Integer pushMessTypeEnd){
        this.pushMessTypeEnd = pushMessTypeEnd;
    }

    /**
    * 获取 增加 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @return pushMessTypeIncrement
    */
    public Integer getPushMessTypeIncrement(){
        return this.pushMessTypeIncrement;
    }

    /**
    * 设置 增加 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessTypeIncrement
    */
    public void setPushMessTypeIncrement(Integer pushMessTypeIncrement){
        this.pushMessTypeIncrement = pushMessTypeIncrement;
    }

    /**
    * 获取 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @return pushMessTypeList
    */
    public List<Integer> getPushMessTypeList(){
        return this.pushMessTypeList;
    }

    /**
    * 设置 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessTypeList
    */
    public void setPushMessTypeList(List<Integer> pushMessTypeList){
        this.pushMessTypeList = pushMessTypeList;
    }

    /**
    * 获取 开始 订阅类型，1，AMQP2，MNS
    * @return subTypeStart
    */
    public Integer getSubTypeStart(){
        return this.subTypeStart;
    }

    /**
    * 设置 开始 订阅类型，1，AMQP2，MNS
    * @param subTypeStart
    */
    public void setSubTypeStart(Integer subTypeStart){
        this.subTypeStart = subTypeStart;
    }

    /**
    * 获取 结束 订阅类型，1，AMQP2，MNS
    * @return $subTypeEnd
    */
    public Integer getSubTypeEnd(){
        return this.subTypeEnd;
    }

    /**
    * 设置 结束 订阅类型，1，AMQP2，MNS
    * @param subTypeEnd
    */
    public void setSubTypeEnd(Integer subTypeEnd){
        this.subTypeEnd = subTypeEnd;
    }

    /**
    * 获取 增加 订阅类型，1，AMQP2，MNS
    * @return subTypeIncrement
    */
    public Integer getSubTypeIncrement(){
        return this.subTypeIncrement;
    }

    /**
    * 设置 增加 订阅类型，1，AMQP2，MNS
    * @param subTypeIncrement
    */
    public void setSubTypeIncrement(Integer subTypeIncrement){
        this.subTypeIncrement = subTypeIncrement;
    }

    /**
    * 获取 订阅类型，1，AMQP2，MNS
    * @return subTypeList
    */
    public List<Integer> getSubTypeList(){
        return this.subTypeList;
    }

    /**
    * 设置 订阅类型，1，AMQP2，MNS
    * @param subTypeList
    */
    public void setSubTypeList(List<Integer> subTypeList){
        this.subTypeList = subTypeList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ConsumerSubQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ConsumerSubQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ConsumerSubQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ConsumerSubQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ConsumerSubQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  用户ID
    * @param customerId
    */
    public ConsumerSubQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public ConsumerSubQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public ConsumerSubQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public ConsumerSubQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public ConsumerSubQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }

    /**
    * 设置  产品
    * @param productId
    */
    public ConsumerSubQuery productId(Long productId){
	    setProductId(productId);
		return this;
    }
	
	 /**
    * 设置 开始 产品
    * @param productIdStart
    */
    public ConsumerSubQuery productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品
    * @param productIdEnd
    */
    public ConsumerSubQuery productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品
    * @param productIdIncrement
    */
    public ConsumerSubQuery productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品
    * @param productIdList
    */
    public ConsumerSubQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }

    /**
    * 设置  消费组ID
    * @param consumerGroupId
    */
    public ConsumerSubQuery consumerGroupId(Long consumerGroupId){
	    setConsumerGroupId(consumerGroupId);
		return this;
    }
	
	 /**
    * 设置 开始 消费组ID
    * @param consumerGroupIdStart
    */
    public ConsumerSubQuery consumerGroupIdStart(Long consumerGroupIdStart){
		this.consumerGroupIdStart = consumerGroupIdStart;
		return this;
    }

    /**
    * 设置 结束 消费组ID
    * @param consumerGroupIdEnd
    */
    public ConsumerSubQuery consumerGroupIdEnd(Long consumerGroupIdEnd){
		this.consumerGroupIdEnd = consumerGroupIdEnd;
		return this;
    }

    /**
    * 设置 增加 消费组ID
    * @param consumerGroupIdIncrement
    */
    public ConsumerSubQuery consumerGroupIdIncrement(Long consumerGroupIdIncrement){
		this.consumerGroupIdIncrement = consumerGroupIdIncrement;
		return this;
    }

    /**
    * 设置 消费组ID
    * @param consumerGroupIdList
    */
    public ConsumerSubQuery consumerGroupIdList(List<Long> consumerGroupIdList){
        this.consumerGroupIdList = consumerGroupIdList;
		return this;
        }

    /**
    * 设置  推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessType
    */
    public ConsumerSubQuery pushMessType(Integer pushMessType){
	    setPushMessType(pushMessType);
		return this;
    }
	
	 /**
    * 设置 开始 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessTypeStart
    */
    public ConsumerSubQuery pushMessTypeStart(Integer pushMessTypeStart){
		this.pushMessTypeStart = pushMessTypeStart;
		return this;
    }

    /**
    * 设置 结束 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessTypeEnd
    */
    public ConsumerSubQuery pushMessTypeEnd(Integer pushMessTypeEnd){
		this.pushMessTypeEnd = pushMessTypeEnd;
		return this;
    }

    /**
    * 设置 增加 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessTypeIncrement
    */
    public ConsumerSubQuery pushMessTypeIncrement(Integer pushMessTypeIncrement){
		this.pushMessTypeIncrement = pushMessTypeIncrement;
		return this;
    }

    /**
    * 设置 推送消息类型，服务端要订阅的消息类型。目前，服务端可订阅的设备消息类型包括：1，设备上报消息
    * @param pushMessTypeList
    */
    public ConsumerSubQuery pushMessTypeList(List<Integer> pushMessTypeList){
        this.pushMessTypeList = pushMessTypeList;
		return this;
        }

    /**
    * 设置  订阅类型，1，AMQP2，MNS
    * @param subType
    */
    public ConsumerSubQuery subType(Integer subType){
	    setSubType(subType);
		return this;
    }
	
	 /**
    * 设置 开始 订阅类型，1，AMQP2，MNS
    * @param subTypeStart
    */
    public ConsumerSubQuery subTypeStart(Integer subTypeStart){
		this.subTypeStart = subTypeStart;
		return this;
    }

    /**
    * 设置 结束 订阅类型，1，AMQP2，MNS
    * @param subTypeEnd
    */
    public ConsumerSubQuery subTypeEnd(Integer subTypeEnd){
		this.subTypeEnd = subTypeEnd;
		return this;
    }

    /**
    * 设置 增加 订阅类型，1，AMQP2，MNS
    * @param subTypeIncrement
    */
    public ConsumerSubQuery subTypeIncrement(Integer subTypeIncrement){
		this.subTypeIncrement = subTypeIncrement;
		return this;
    }

    /**
    * 设置 订阅类型，1，AMQP2，MNS
    * @param subTypeList
    */
    public ConsumerSubQuery subTypeList(List<Integer> subTypeList){
        this.subTypeList = subTypeList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ConsumerSubQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ConsumerSubQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ConsumerSubQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ConsumerSubQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}