package com.mortals.xhx.module.consumer.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.product.model.ProductEntity;
import com.mortals.xhx.module.product.service.ProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.consumer.dao.ConsumerSubDao;
import com.mortals.xhx.module.consumer.model.ConsumerSubEntity;
import com.mortals.xhx.module.consumer.service.ConsumerSubService;

import javax.annotation.Resource;


/**
 * ConsumerSubService
 * 服务端订阅 service实现
 *
 * @author zxfei
 * @date 2021-11-09
 */
@Service("consumerSubService")
public class ConsumerSubServiceImpl extends AbstractCRUDServiceImpl<ConsumerSubDao, ConsumerSubEntity, Long> implements ConsumerSubService {
    @Autowired
    private ProductService productService;

    @Override
    protected void saveBefore(ConsumerSubEntity entity, Context context) throws AppException {
        ProductEntity cache = productService.getCache(String.valueOf(entity.getProductId()));
        entity.setCustomerId(cache.getCustomerId());
        super.saveBefore(entity, context);
    }
}