package com.mortals.xhx.module.consumer.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.DbOrderKind;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.customer.model.CustomerEntity;
import com.mortals.xhx.module.customer.service.CustomerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.consumer.model.ConsumerGroupEntity;
import com.mortals.xhx.module.consumer.service.ConsumerGroupService;

import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;

/**
* ConsumerGroupController
*
* 服务端订阅消费组 控制器
*
* @author zxfei
* @date 2021-11-09
*/
@RestController
@RequestMapping("consumer/group")
public class ConsumerGroupController extends BaseCRUDJsonMappingController<ConsumerGroupService,ConsumerGroupForm,ConsumerGroupEntity,Long> {

    @Autowired
    private ParamService paramService;

    @Autowired
    private CustomerService customerService;

    public ConsumerGroupController(){
        super.setFormClass(ConsumerGroupForm.class);
        super.setModuleDesc( "服务端订阅消费组");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, ConsumerGroupForm form,
                        Map<String, Object> model, Context context) {
        this.addDict(model, "customerId",
                customerService.getCacheList().stream().collect(Collectors.toMap(e -> e.getId().toString(), CustomerEntity::getLoginName)));
        super.init(request, response, form, model, context);
    }

    @Override
    protected void doListBefore(HttpServletRequest request, HttpServletResponse response, ConsumerGroupForm form, Map<String, Object> model, Context context) throws AppException {
        Map<String, String> orderCols = new HashMap<>();
        orderCols.put("id", DbOrderKind.DESC.name());
        form.getQuery().setOrderCols(orderCols);
        super.doListBefore(request, response, form, model, context);
    }
}