package com.mortals.xhx.module.customer.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.DbOrderKind;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.CustTypeEnum;
import com.mortals.xhx.common.code.TradeTypeEnum;
import com.mortals.xhx.common.code.UseStatusEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.customer.model.CustomerEntity;
import com.mortals.xhx.module.customer.service.CustomerService;

import java.util.HashMap;
import java.util.Map;
/**
* CustomerController
*
* 客户 控制器
*
* @author zxfei
* @date 2021-11-09
*/
@RestController
@RequestMapping("customer")
public class CustomerController extends BaseCRUDJsonMappingController<CustomerService,CustomerForm,CustomerEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CustomerController(){
        super.setFormClass(CustomerForm.class);
        super.setModuleDesc( "客户");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, CustomerForm form,
                        Map<String, Object> model, Context context) {
        Map<String, Object> statsus = new HashMap<String, Object>();
        statsus.put("custType", CustTypeEnum.getEnumMap());
        statsus.put("tradeId", TradeTypeEnum.getEnumMap());
        statsus.put("status", UseStatusEnum.getEnumMap());
        model.put(KEY_RESULT_DICT, statsus);
        super.init(request, response, form, model, context);
    }

    @Override
    protected void doListBefore(HttpServletRequest request, HttpServletResponse response, CustomerForm form, Map<String, Object> model, Context context) throws AppException {
        Map<String, String> orderCols = new HashMap<>();
        orderCols.put("id", DbOrderKind.DESC.name());
        form.getQuery().setOrderCols(orderCols);
        super.doListBefore(request, response, form, model, context);
    }
}