package com.mortals.xhx.module.device.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.device.model.DeviceEntity;

/**
 * DeviceService
 * <p>
 * 设备 service接口
 *
 * @author zxfei
 * @date 2021-11-09
 */
public interface DeviceService extends ICRUDCacheService<DeviceEntity, Long> {
    /**
     * 根据设备ids，删除设备相关的topic与缓存关系
     *
     * @param ids
     * @param context
     */
    void delDeviceTopicByDevIds(Long[] ids, Context context) throws AppException;

    /**
     * 创建设备TOPIC与缓存关系
     *
     * @param entity
     * @param context
     * @param flag    标记是否检验产品发布状态
     * @return
     */
    boolean updateDeviceTopic(DeviceEntity entity, Context context, boolean flag) throws AppException;

}