package com.mortals.xhx.module.device.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.DbOrderKind;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.DeviceLogTypeStatusEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.device.model.DeviceLogEntity;
import com.mortals.xhx.module.device.service.DeviceLogService;

import java.util.HashMap;
import java.util.Map;
/**
* DeviceLogController
*
* 设备日志 控制器
*
* @author zxfei
* @date 2021-11-09
*/
@RestController
@RequestMapping("device/log")
public class DeviceLogController extends BaseCRUDJsonMappingController<DeviceLogService,DeviceLogForm,DeviceLogEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DeviceLogController(){
        super.setFormClass(DeviceLogForm.class);
        super.setModuleDesc( "设备日志");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, DeviceLogForm form,
                        Map<String, Object> model, Context context) {
        this.addDict(model, "logType", DeviceLogTypeStatusEnum.getEnumMap());
        super.init(request, response, form, model, context);
    }

    @Override
    protected void doListBefore(HttpServletRequest request, HttpServletResponse response, DeviceLogForm form, Map<String, Object> model, Context context) throws AppException {
        Map<String, String> orderCols = new HashMap<>();
        orderCols.put("id", DbOrderKind.DESC.name());
        form.getQuery().setOrderCols(orderCols);
        super.doListBefore(request, response, form, model, context);
    }
}