package com.mortals.xhx.module.product.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.product.model.vo.ProductDeviceLimitVo;
/**
* 产品和设备限制实体对象
*
* @author zxfei
* @date 2021-11-09
*/

public class ProductDeviceLimitEntity extends ProductDeviceLimitVo {
    private static final long serialVersionUID = 1L;

    /**
    * 产品标签数量，产品最多可以添加的标签数。默认:100
    */
    private Integer productLabelNum;
    /**
    * 设备标签数量，设备最多可以添加的标签数。默认:100
    */
    private Integer deviceLabelNum;
    /**
    * 产品数量，一个客户下最多可以创建的产品数。默认:1000
    */
    private Integer productNum;
    /**
    * 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    */
    private Integer productDeviceNum;
    /**
    * 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    */
    private Integer customerDeviceNum;
    /**
    * 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    */
    private Integer gateChildrenDeviceNum;



    public ProductDeviceLimitEntity(){}
    /**
    * 获取 产品标签数量，产品最多可以添加的标签数。默认:100
    * @return Integer
    */
    public Integer getProductLabelNum(){
        return productLabelNum;
    }
    /**
    * 设置 产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNum
    */
    public void setProductLabelNum(Integer productLabelNum){
        this.productLabelNum = productLabelNum;
    }
    /**
    * 获取 设备标签数量，设备最多可以添加的标签数。默认:100
    * @return Integer
    */
    public Integer getDeviceLabelNum(){
        return deviceLabelNum;
    }
    /**
    * 设置 设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNum
    */
    public void setDeviceLabelNum(Integer deviceLabelNum){
        this.deviceLabelNum = deviceLabelNum;
    }
    /**
    * 获取 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @return Integer
    */
    public Integer getProductNum(){
        return productNum;
    }
    /**
    * 设置 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNum
    */
    public void setProductNum(Integer productNum){
        this.productNum = productNum;
    }
    /**
    * 获取 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @return Integer
    */
    public Integer getProductDeviceNum(){
        return productDeviceNum;
    }
    /**
    * 设置 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNum
    */
    public void setProductDeviceNum(Integer productDeviceNum){
        this.productDeviceNum = productDeviceNum;
    }
    /**
    * 获取 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @return Integer
    */
    public Integer getCustomerDeviceNum(){
        return customerDeviceNum;
    }
    /**
    * 设置 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNum
    */
    public void setCustomerDeviceNum(Integer customerDeviceNum){
        this.customerDeviceNum = customerDeviceNum;
    }
    /**
    * 获取 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @return Integer
    */
    public Integer getGateChildrenDeviceNum(){
        return gateChildrenDeviceNum;
    }
    /**
    * 设置 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNum
    */
    public void setGateChildrenDeviceNum(Integer gateChildrenDeviceNum){
        this.gateChildrenDeviceNum = gateChildrenDeviceNum;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductDeviceLimitEntity) {
            ProductDeviceLimitEntity tmp = (ProductDeviceLimitEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",productLabelNum:").append(getProductLabelNum());
        sb.append(",deviceLabelNum:").append(getDeviceLabelNum());
        sb.append(",productNum:").append(getProductNum());
        sb.append(",productDeviceNum:").append(getProductDeviceNum());
        sb.append(",customerDeviceNum:").append(getCustomerDeviceNum());
        sb.append(",gateChildrenDeviceNum:").append(getGateChildrenDeviceNum());
        return sb.toString();
    }

    public void initAttrValue(){
            this.productLabelNum = 100;
            this.deviceLabelNum = 100;
            this.productNum = 1000;
            this.productDeviceNum = 1000000;
            this.customerDeviceNum = 10000000;
            this.gateChildrenDeviceNum = 1500;
    }
}