package com.mortals.xhx.module.product.model;

import java.util.List;
import com.mortals.xhx.module.product.model.ProductDeviceLimitEntity;
/**
* 产品和设备限制查询对象
*
* @author zxfei
* @date 2021-11-09
*/
public class ProductDeviceLimitQuery extends ProductDeviceLimitEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 产品标签数量，产品最多可以添加的标签数。默认:100 */
    private Integer productLabelNumStart;

    /** 结束 产品标签数量，产品最多可以添加的标签数。默认:100 */
    private Integer productLabelNumEnd;

    /** 增加 产品标签数量，产品最多可以添加的标签数。默认:100 */
    private Integer productLabelNumIncrement;

    /** 产品标签数量，产品最多可以添加的标签数。默认:100列表 */
    private List <Integer> productLabelNumList;

    /** 开始 设备标签数量，设备最多可以添加的标签数。默认:100 */
    private Integer deviceLabelNumStart;

    /** 结束 设备标签数量，设备最多可以添加的标签数。默认:100 */
    private Integer deviceLabelNumEnd;

    /** 增加 设备标签数量，设备最多可以添加的标签数。默认:100 */
    private Integer deviceLabelNumIncrement;

    /** 设备标签数量，设备最多可以添加的标签数。默认:100列表 */
    private List <Integer> deviceLabelNumList;

    /** 开始 产品数量，一个客户下最多可以创建的产品数。默认:1000 */
    private Integer productNumStart;

    /** 结束 产品数量，一个客户下最多可以创建的产品数。默认:1000 */
    private Integer productNumEnd;

    /** 增加 产品数量，一个客户下最多可以创建的产品数。默认:1000 */
    private Integer productNumIncrement;

    /** 产品数量，一个客户下最多可以创建的产品数。默认:1000列表 */
    private List <Integer> productNumList;

    /** 开始 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000 */
    private Integer productDeviceNumStart;

    /** 结束 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000 */
    private Integer productDeviceNumEnd;

    /** 增加 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000 */
    private Integer productDeviceNumIncrement;

    /** 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000列表 */
    private List <Integer> productDeviceNumList;

    /** 开始 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000 */
    private Integer customerDeviceNumStart;

    /** 结束 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000 */
    private Integer customerDeviceNumEnd;

    /** 增加 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000 */
    private Integer customerDeviceNumIncrement;

    /** 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000列表 */
    private List <Integer> customerDeviceNumList;

    /** 开始 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500 */
    private Integer gateChildrenDeviceNumStart;

    /** 结束 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500 */
    private Integer gateChildrenDeviceNumEnd;

    /** 增加 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500 */
    private Integer gateChildrenDeviceNumIncrement;

    /** 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500列表 */
    private List <Integer> gateChildrenDeviceNumList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProductDeviceLimitQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProductDeviceLimitQuery> andConditionList;

    public ProductDeviceLimitQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 产品标签数量，产品最多可以添加的标签数。默认:100
    * @return productLabelNumStart
    */
    public Integer getProductLabelNumStart(){
        return this.productLabelNumStart;
    }

    /**
    * 设置 开始 产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNumStart
    */
    public void setProductLabelNumStart(Integer productLabelNumStart){
        this.productLabelNumStart = productLabelNumStart;
    }

    /**
    * 获取 结束 产品标签数量，产品最多可以添加的标签数。默认:100
    * @return $productLabelNumEnd
    */
    public Integer getProductLabelNumEnd(){
        return this.productLabelNumEnd;
    }

    /**
    * 设置 结束 产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNumEnd
    */
    public void setProductLabelNumEnd(Integer productLabelNumEnd){
        this.productLabelNumEnd = productLabelNumEnd;
    }

    /**
    * 获取 增加 产品标签数量，产品最多可以添加的标签数。默认:100
    * @return productLabelNumIncrement
    */
    public Integer getProductLabelNumIncrement(){
        return this.productLabelNumIncrement;
    }

    /**
    * 设置 增加 产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNumIncrement
    */
    public void setProductLabelNumIncrement(Integer productLabelNumIncrement){
        this.productLabelNumIncrement = productLabelNumIncrement;
    }

    /**
    * 获取 产品标签数量，产品最多可以添加的标签数。默认:100
    * @return productLabelNumList
    */
    public List<Integer> getProductLabelNumList(){
        return this.productLabelNumList;
    }

    /**
    * 设置 产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNumList
    */
    public void setProductLabelNumList(List<Integer> productLabelNumList){
        this.productLabelNumList = productLabelNumList;
    }

    /**
    * 获取 开始 设备标签数量，设备最多可以添加的标签数。默认:100
    * @return deviceLabelNumStart
    */
    public Integer getDeviceLabelNumStart(){
        return this.deviceLabelNumStart;
    }

    /**
    * 设置 开始 设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNumStart
    */
    public void setDeviceLabelNumStart(Integer deviceLabelNumStart){
        this.deviceLabelNumStart = deviceLabelNumStart;
    }

    /**
    * 获取 结束 设备标签数量，设备最多可以添加的标签数。默认:100
    * @return $deviceLabelNumEnd
    */
    public Integer getDeviceLabelNumEnd(){
        return this.deviceLabelNumEnd;
    }

    /**
    * 设置 结束 设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNumEnd
    */
    public void setDeviceLabelNumEnd(Integer deviceLabelNumEnd){
        this.deviceLabelNumEnd = deviceLabelNumEnd;
    }

    /**
    * 获取 增加 设备标签数量，设备最多可以添加的标签数。默认:100
    * @return deviceLabelNumIncrement
    */
    public Integer getDeviceLabelNumIncrement(){
        return this.deviceLabelNumIncrement;
    }

    /**
    * 设置 增加 设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNumIncrement
    */
    public void setDeviceLabelNumIncrement(Integer deviceLabelNumIncrement){
        this.deviceLabelNumIncrement = deviceLabelNumIncrement;
    }

    /**
    * 获取 设备标签数量，设备最多可以添加的标签数。默认:100
    * @return deviceLabelNumList
    */
    public List<Integer> getDeviceLabelNumList(){
        return this.deviceLabelNumList;
    }

    /**
    * 设置 设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNumList
    */
    public void setDeviceLabelNumList(List<Integer> deviceLabelNumList){
        this.deviceLabelNumList = deviceLabelNumList;
    }

    /**
    * 获取 开始 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @return productNumStart
    */
    public Integer getProductNumStart(){
        return this.productNumStart;
    }

    /**
    * 设置 开始 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNumStart
    */
    public void setProductNumStart(Integer productNumStart){
        this.productNumStart = productNumStart;
    }

    /**
    * 获取 结束 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @return $productNumEnd
    */
    public Integer getProductNumEnd(){
        return this.productNumEnd;
    }

    /**
    * 设置 结束 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNumEnd
    */
    public void setProductNumEnd(Integer productNumEnd){
        this.productNumEnd = productNumEnd;
    }

    /**
    * 获取 增加 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @return productNumIncrement
    */
    public Integer getProductNumIncrement(){
        return this.productNumIncrement;
    }

    /**
    * 设置 增加 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNumIncrement
    */
    public void setProductNumIncrement(Integer productNumIncrement){
        this.productNumIncrement = productNumIncrement;
    }

    /**
    * 获取 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @return productNumList
    */
    public List<Integer> getProductNumList(){
        return this.productNumList;
    }

    /**
    * 设置 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNumList
    */
    public void setProductNumList(List<Integer> productNumList){
        this.productNumList = productNumList;
    }

    /**
    * 获取 开始 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @return productDeviceNumStart
    */
    public Integer getProductDeviceNumStart(){
        return this.productDeviceNumStart;
    }

    /**
    * 设置 开始 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNumStart
    */
    public void setProductDeviceNumStart(Integer productDeviceNumStart){
        this.productDeviceNumStart = productDeviceNumStart;
    }

    /**
    * 获取 结束 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @return $productDeviceNumEnd
    */
    public Integer getProductDeviceNumEnd(){
        return this.productDeviceNumEnd;
    }

    /**
    * 设置 结束 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNumEnd
    */
    public void setProductDeviceNumEnd(Integer productDeviceNumEnd){
        this.productDeviceNumEnd = productDeviceNumEnd;
    }

    /**
    * 获取 增加 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @return productDeviceNumIncrement
    */
    public Integer getProductDeviceNumIncrement(){
        return this.productDeviceNumIncrement;
    }

    /**
    * 设置 增加 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNumIncrement
    */
    public void setProductDeviceNumIncrement(Integer productDeviceNumIncrement){
        this.productDeviceNumIncrement = productDeviceNumIncrement;
    }

    /**
    * 获取 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @return productDeviceNumList
    */
    public List<Integer> getProductDeviceNumList(){
        return this.productDeviceNumList;
    }

    /**
    * 设置 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNumList
    */
    public void setProductDeviceNumList(List<Integer> productDeviceNumList){
        this.productDeviceNumList = productDeviceNumList;
    }

    /**
    * 获取 开始 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @return customerDeviceNumStart
    */
    public Integer getCustomerDeviceNumStart(){
        return this.customerDeviceNumStart;
    }

    /**
    * 设置 开始 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNumStart
    */
    public void setCustomerDeviceNumStart(Integer customerDeviceNumStart){
        this.customerDeviceNumStart = customerDeviceNumStart;
    }

    /**
    * 获取 结束 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @return $customerDeviceNumEnd
    */
    public Integer getCustomerDeviceNumEnd(){
        return this.customerDeviceNumEnd;
    }

    /**
    * 设置 结束 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNumEnd
    */
    public void setCustomerDeviceNumEnd(Integer customerDeviceNumEnd){
        this.customerDeviceNumEnd = customerDeviceNumEnd;
    }

    /**
    * 获取 增加 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @return customerDeviceNumIncrement
    */
    public Integer getCustomerDeviceNumIncrement(){
        return this.customerDeviceNumIncrement;
    }

    /**
    * 设置 增加 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNumIncrement
    */
    public void setCustomerDeviceNumIncrement(Integer customerDeviceNumIncrement){
        this.customerDeviceNumIncrement = customerDeviceNumIncrement;
    }

    /**
    * 获取 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @return customerDeviceNumList
    */
    public List<Integer> getCustomerDeviceNumList(){
        return this.customerDeviceNumList;
    }

    /**
    * 设置 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNumList
    */
    public void setCustomerDeviceNumList(List<Integer> customerDeviceNumList){
        this.customerDeviceNumList = customerDeviceNumList;
    }

    /**
    * 获取 开始 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @return gateChildrenDeviceNumStart
    */
    public Integer getGateChildrenDeviceNumStart(){
        return this.gateChildrenDeviceNumStart;
    }

    /**
    * 设置 开始 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNumStart
    */
    public void setGateChildrenDeviceNumStart(Integer gateChildrenDeviceNumStart){
        this.gateChildrenDeviceNumStart = gateChildrenDeviceNumStart;
    }

    /**
    * 获取 结束 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @return $gateChildrenDeviceNumEnd
    */
    public Integer getGateChildrenDeviceNumEnd(){
        return this.gateChildrenDeviceNumEnd;
    }

    /**
    * 设置 结束 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNumEnd
    */
    public void setGateChildrenDeviceNumEnd(Integer gateChildrenDeviceNumEnd){
        this.gateChildrenDeviceNumEnd = gateChildrenDeviceNumEnd;
    }

    /**
    * 获取 增加 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @return gateChildrenDeviceNumIncrement
    */
    public Integer getGateChildrenDeviceNumIncrement(){
        return this.gateChildrenDeviceNumIncrement;
    }

    /**
    * 设置 增加 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNumIncrement
    */
    public void setGateChildrenDeviceNumIncrement(Integer gateChildrenDeviceNumIncrement){
        this.gateChildrenDeviceNumIncrement = gateChildrenDeviceNumIncrement;
    }

    /**
    * 获取 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @return gateChildrenDeviceNumList
    */
    public List<Integer> getGateChildrenDeviceNumList(){
        return this.gateChildrenDeviceNumList;
    }

    /**
    * 设置 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNumList
    */
    public void setGateChildrenDeviceNumList(List<Integer> gateChildrenDeviceNumList){
        this.gateChildrenDeviceNumList = gateChildrenDeviceNumList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProductDeviceLimitQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProductDeviceLimitQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProductDeviceLimitQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProductDeviceLimitQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProductDeviceLimitQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNum
    */
    public ProductDeviceLimitQuery productLabelNum(Integer productLabelNum){
	    setProductLabelNum(productLabelNum);
		return this;
    }
	
	 /**
    * 设置 开始 产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNumStart
    */
    public ProductDeviceLimitQuery productLabelNumStart(Integer productLabelNumStart){
		this.productLabelNumStart = productLabelNumStart;
		return this;
    }

    /**
    * 设置 结束 产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNumEnd
    */
    public ProductDeviceLimitQuery productLabelNumEnd(Integer productLabelNumEnd){
		this.productLabelNumEnd = productLabelNumEnd;
		return this;
    }

    /**
    * 设置 增加 产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNumIncrement
    */
    public ProductDeviceLimitQuery productLabelNumIncrement(Integer productLabelNumIncrement){
		this.productLabelNumIncrement = productLabelNumIncrement;
		return this;
    }

    /**
    * 设置 产品标签数量，产品最多可以添加的标签数。默认:100
    * @param productLabelNumList
    */
    public ProductDeviceLimitQuery productLabelNumList(List<Integer> productLabelNumList){
        this.productLabelNumList = productLabelNumList;
		return this;
        }

    /**
    * 设置  设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNum
    */
    public ProductDeviceLimitQuery deviceLabelNum(Integer deviceLabelNum){
	    setDeviceLabelNum(deviceLabelNum);
		return this;
    }
	
	 /**
    * 设置 开始 设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNumStart
    */
    public ProductDeviceLimitQuery deviceLabelNumStart(Integer deviceLabelNumStart){
		this.deviceLabelNumStart = deviceLabelNumStart;
		return this;
    }

    /**
    * 设置 结束 设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNumEnd
    */
    public ProductDeviceLimitQuery deviceLabelNumEnd(Integer deviceLabelNumEnd){
		this.deviceLabelNumEnd = deviceLabelNumEnd;
		return this;
    }

    /**
    * 设置 增加 设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNumIncrement
    */
    public ProductDeviceLimitQuery deviceLabelNumIncrement(Integer deviceLabelNumIncrement){
		this.deviceLabelNumIncrement = deviceLabelNumIncrement;
		return this;
    }

    /**
    * 设置 设备标签数量，设备最多可以添加的标签数。默认:100
    * @param deviceLabelNumList
    */
    public ProductDeviceLimitQuery deviceLabelNumList(List<Integer> deviceLabelNumList){
        this.deviceLabelNumList = deviceLabelNumList;
		return this;
        }

    /**
    * 设置  产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNum
    */
    public ProductDeviceLimitQuery productNum(Integer productNum){
	    setProductNum(productNum);
		return this;
    }
	
	 /**
    * 设置 开始 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNumStart
    */
    public ProductDeviceLimitQuery productNumStart(Integer productNumStart){
		this.productNumStart = productNumStart;
		return this;
    }

    /**
    * 设置 结束 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNumEnd
    */
    public ProductDeviceLimitQuery productNumEnd(Integer productNumEnd){
		this.productNumEnd = productNumEnd;
		return this;
    }

    /**
    * 设置 增加 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNumIncrement
    */
    public ProductDeviceLimitQuery productNumIncrement(Integer productNumIncrement){
		this.productNumIncrement = productNumIncrement;
		return this;
    }

    /**
    * 设置 产品数量，一个客户下最多可以创建的产品数。默认:1000
    * @param productNumList
    */
    public ProductDeviceLimitQuery productNumList(List<Integer> productNumList){
        this.productNumList = productNumList;
		return this;
        }

    /**
    * 设置  产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNum
    */
    public ProductDeviceLimitQuery productDeviceNum(Integer productDeviceNum){
	    setProductDeviceNum(productDeviceNum);
		return this;
    }
	
	 /**
    * 设置 开始 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNumStart
    */
    public ProductDeviceLimitQuery productDeviceNumStart(Integer productDeviceNumStart){
		this.productDeviceNumStart = productDeviceNumStart;
		return this;
    }

    /**
    * 设置 结束 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNumEnd
    */
    public ProductDeviceLimitQuery productDeviceNumEnd(Integer productDeviceNumEnd){
		this.productDeviceNumEnd = productDeviceNumEnd;
		return this;
    }

    /**
    * 设置 增加 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNumIncrement
    */
    public ProductDeviceLimitQuery productDeviceNumIncrement(Integer productDeviceNumIncrement){
		this.productDeviceNumIncrement = productDeviceNumIncrement;
		return this;
    }

    /**
    * 设置 产品下设备数量，一个产品最多可以添加的设备数。默认:1000000
    * @param productDeviceNumList
    */
    public ProductDeviceLimitQuery productDeviceNumList(List<Integer> productDeviceNumList){
        this.productDeviceNumList = productDeviceNumList;
		return this;
        }

    /**
    * 设置  用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNum
    */
    public ProductDeviceLimitQuery customerDeviceNum(Integer customerDeviceNum){
	    setCustomerDeviceNum(customerDeviceNum);
		return this;
    }
	
	 /**
    * 设置 开始 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNumStart
    */
    public ProductDeviceLimitQuery customerDeviceNumStart(Integer customerDeviceNumStart){
		this.customerDeviceNumStart = customerDeviceNumStart;
		return this;
    }

    /**
    * 设置 结束 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNumEnd
    */
    public ProductDeviceLimitQuery customerDeviceNumEnd(Integer customerDeviceNumEnd){
		this.customerDeviceNumEnd = customerDeviceNumEnd;
		return this;
    }

    /**
    * 设置 增加 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNumIncrement
    */
    public ProductDeviceLimitQuery customerDeviceNumIncrement(Integer customerDeviceNumIncrement){
		this.customerDeviceNumIncrement = customerDeviceNumIncrement;
		return this;
    }

    /**
    * 设置 用户下的设备数量，一个用户最多可以添加的设备数。默认:10000000
    * @param customerDeviceNumList
    */
    public ProductDeviceLimitQuery customerDeviceNumList(List<Integer> customerDeviceNumList){
        this.customerDeviceNumList = customerDeviceNumList;
		return this;
        }

    /**
    * 设置  网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNum
    */
    public ProductDeviceLimitQuery gateChildrenDeviceNum(Integer gateChildrenDeviceNum){
	    setGateChildrenDeviceNum(gateChildrenDeviceNum);
		return this;
    }
	
	 /**
    * 设置 开始 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNumStart
    */
    public ProductDeviceLimitQuery gateChildrenDeviceNumStart(Integer gateChildrenDeviceNumStart){
		this.gateChildrenDeviceNumStart = gateChildrenDeviceNumStart;
		return this;
    }

    /**
    * 设置 结束 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNumEnd
    */
    public ProductDeviceLimitQuery gateChildrenDeviceNumEnd(Integer gateChildrenDeviceNumEnd){
		this.gateChildrenDeviceNumEnd = gateChildrenDeviceNumEnd;
		return this;
    }

    /**
    * 设置 增加 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNumIncrement
    */
    public ProductDeviceLimitQuery gateChildrenDeviceNumIncrement(Integer gateChildrenDeviceNumIncrement){
		this.gateChildrenDeviceNumIncrement = gateChildrenDeviceNumIncrement;
		return this;
    }

    /**
    * 设置 网关下子设备的数量，一个网关下最多添加的子设备数。默认:1500
    * @param gateChildrenDeviceNumList
    */
    public ProductDeviceLimitQuery gateChildrenDeviceNumList(List<Integer> gateChildrenDeviceNumList){
        this.gateChildrenDeviceNumList = gateChildrenDeviceNumList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProductDeviceLimitQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProductDeviceLimitQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProductDeviceLimitQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProductDeviceLimitQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}