package com.mortals.xhx.module.product.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.product.model.vo.ProductFunctionItemDetailVo;
/**
* 产品物模型节点明细实体对象
*
* @author zxfei
* @date 2021-11-09
*/

public class ProductFunctionItemDetailEntity extends ProductFunctionItemDetailVo {
    private static final long serialVersionUID = 1L;

    /**
    * 数据类型
    */
    private Integer dataType;
    /**
    * 数据类型明细信息
    */
    private String dataTypeDetail;
    /**
    * 参数名称
    */
    private String parameterName;
    /**
    * 标识符
    */
    private String detailIdentifier;
    /**
    * 参数类型，1，输出2，输入
    */
    private Integer parameterType;
    /**
    * 产品ID
    */
    private Long productId;
    /**
    * productKey，平台为产品颁发的全局唯一标识符
    */
    private String productKey;
    /**
    * 物模型节点主键
    */
    private Long functionItemId;



    public ProductFunctionItemDetailEntity(){}
    /**
    * 获取 数据类型
    * @return Integer
    */
    public Integer getDataType(){
        return dataType;
    }
    /**
    * 设置 数据类型
    * @param dataType
    */
    public void setDataType(Integer dataType){
        this.dataType = dataType;
    }
    /**
    * 获取 数据类型明细信息
    * @return String
    */
    public String getDataTypeDetail(){
        return dataTypeDetail;
    }
    /**
    * 设置 数据类型明细信息
    * @param dataTypeDetail
    */
    public void setDataTypeDetail(String dataTypeDetail){
        this.dataTypeDetail = dataTypeDetail;
    }
    /**
    * 获取 参数名称
    * @return String
    */
    public String getParameterName(){
        return parameterName;
    }
    /**
    * 设置 参数名称
    * @param parameterName
    */
    public void setParameterName(String parameterName){
        this.parameterName = parameterName;
    }
    /**
    * 获取 标识符
    * @return String
    */
    public String getDetailIdentifier(){
        return detailIdentifier;
    }
    /**
    * 设置 标识符
    * @param detailIdentifier
    */
    public void setDetailIdentifier(String detailIdentifier){
        this.detailIdentifier = detailIdentifier;
    }
    /**
    * 获取 参数类型，1，输出2，输入
    * @return Integer
    */
    public Integer getParameterType(){
        return parameterType;
    }
    /**
    * 设置 参数类型，1，输出2，输入
    * @param parameterType
    */
    public void setParameterType(Integer parameterType){
        this.parameterType = parameterType;
    }
    /**
    * 获取 产品ID
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品ID
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 productKey，平台为产品颁发的全局唯一标识符
    * @return String
    */
    public String getProductKey(){
        return productKey;
    }
    /**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKey
    */
    public void setProductKey(String productKey){
        this.productKey = productKey;
    }
    /**
    * 获取 物模型节点主键
    * @return Long
    */
    public Long getFunctionItemId(){
        return functionItemId;
    }
    /**
    * 设置 物模型节点主键
    * @param functionItemId
    */
    public void setFunctionItemId(Long functionItemId){
        this.functionItemId = functionItemId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductFunctionItemDetailEntity) {
            ProductFunctionItemDetailEntity tmp = (ProductFunctionItemDetailEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",dataType:").append(getDataType());
        sb.append(",dataTypeDetail:").append(getDataTypeDetail());
        sb.append(",parameterName:").append(getParameterName());
        sb.append(",detailIdentifier:").append(getDetailIdentifier());
        sb.append(",parameterType:").append(getParameterType());
        sb.append(",productId:").append(getProductId());
        sb.append(",productKey:").append(getProductKey());
        sb.append(",functionItemId:").append(getFunctionItemId());
        return sb.toString();
    }

    public void initAttrValue(){
            this.dataType = null;
            this.dataTypeDetail = null;
            this.parameterName = null;
            this.detailIdentifier = null;
            this.parameterType = null;
            this.productId = null;
            this.productKey = null;
            this.functionItemId = null;
    }
}