package com.mortals.xhx.module.product.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.product.model.vo.ProductFunctionItemVo;
/**
* 产品物模型节点实体对象
*
* @author zxfei
* @date 2021-11-09
*/

public class ProductFunctionItemEntity extends ProductFunctionItemVo {
    private static final long serialVersionUID = 1L;

    /**
    * 功能名称
    */
    private String functionName;
    /**
    * 标识符
    */
    private String functionIdentifier;
    /**
    * 事件类型，事件拥有1，信息2告警故障
    */
    private Integer eventType;
    /**
    * 读写类型，属性拥有1，读写2只读
    */
    private Integer readOrWrite;
    /**
    * 调用方式，服用拥有1，同步2.异步
    */
    private Integer invokingType;
    /**
    * 产品功能类型，1，属性2，事件3，服务
    */
    private Integer productFunctionType;
    /**
    * 产品ID
    */
    private Long productId;
    /**
    * productKey，平台为产品颁发的全局唯一标识符
    */
    private String productKey;
    /**
    * 用户ID
    */
    private Long customerId;
    /**
    * 发布状态，1，草稿2，发布3，废弃
    */
    private Integer productFunctionStatus;
    /**
    * 请求方法
    */
    private String productFunctionMethod;



    public ProductFunctionItemEntity(){}
    /**
    * 获取 功能名称
    * @return String
    */
    public String getFunctionName(){
        return functionName;
    }
    /**
    * 设置 功能名称
    * @param functionName
    */
    public void setFunctionName(String functionName){
        this.functionName = functionName;
    }
    /**
    * 获取 标识符
    * @return String
    */
    public String getFunctionIdentifier(){
        return functionIdentifier;
    }
    /**
    * 设置 标识符
    * @param functionIdentifier
    */
    public void setFunctionIdentifier(String functionIdentifier){
        this.functionIdentifier = functionIdentifier;
    }
    /**
    * 获取 事件类型，事件拥有1，信息2告警故障
    * @return Integer
    */
    public Integer getEventType(){
        return eventType;
    }
    /**
    * 设置 事件类型，事件拥有1，信息2告警故障
    * @param eventType
    */
    public void setEventType(Integer eventType){
        this.eventType = eventType;
    }
    /**
    * 获取 读写类型，属性拥有1，读写2只读
    * @return Integer
    */
    public Integer getReadOrWrite(){
        return readOrWrite;
    }
    /**
    * 设置 读写类型，属性拥有1，读写2只读
    * @param readOrWrite
    */
    public void setReadOrWrite(Integer readOrWrite){
        this.readOrWrite = readOrWrite;
    }
    /**
    * 获取 调用方式，服用拥有1，同步2.异步
    * @return Integer
    */
    public Integer getInvokingType(){
        return invokingType;
    }
    /**
    * 设置 调用方式，服用拥有1，同步2.异步
    * @param invokingType
    */
    public void setInvokingType(Integer invokingType){
        this.invokingType = invokingType;
    }
    /**
    * 获取 产品功能类型，1，属性2，事件3，服务
    * @return Integer
    */
    public Integer getProductFunctionType(){
        return productFunctionType;
    }
    /**
    * 设置 产品功能类型，1，属性2，事件3，服务
    * @param productFunctionType
    */
    public void setProductFunctionType(Integer productFunctionType){
        this.productFunctionType = productFunctionType;
    }
    /**
    * 获取 产品ID
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品ID
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 productKey，平台为产品颁发的全局唯一标识符
    * @return String
    */
    public String getProductKey(){
        return productKey;
    }
    /**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKey
    */
    public void setProductKey(String productKey){
        this.productKey = productKey;
    }
    /**
    * 获取 用户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 用户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 发布状态，1，草稿2，发布3，废弃
    * @return Integer
    */
    public Integer getProductFunctionStatus(){
        return productFunctionStatus;
    }
    /**
    * 设置 发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatus
    */
    public void setProductFunctionStatus(Integer productFunctionStatus){
        this.productFunctionStatus = productFunctionStatus;
    }
    /**
    * 获取 请求方法
    * @return String
    */
    public String getProductFunctionMethod(){
        return productFunctionMethod;
    }
    /**
    * 设置 请求方法
    * @param productFunctionMethod
    */
    public void setProductFunctionMethod(String productFunctionMethod){
        this.productFunctionMethod = productFunctionMethod;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductFunctionItemEntity) {
            ProductFunctionItemEntity tmp = (ProductFunctionItemEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",functionName:").append(getFunctionName());
        sb.append(",functionIdentifier:").append(getFunctionIdentifier());
        sb.append(",eventType:").append(getEventType());
        sb.append(",readOrWrite:").append(getReadOrWrite());
        sb.append(",invokingType:").append(getInvokingType());
        sb.append(",productFunctionType:").append(getProductFunctionType());
        sb.append(",productId:").append(getProductId());
        sb.append(",productKey:").append(getProductKey());
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",productFunctionStatus:").append(getProductFunctionStatus());
        sb.append(",productFunctionMethod:").append(getProductFunctionMethod());
        return sb.toString();
    }

    public void initAttrValue(){
            this.functionName = null;
            this.functionIdentifier = null;
            this.eventType = null;
            this.readOrWrite = null;
            this.invokingType = null;
            this.productFunctionType = null;
            this.productId = null;
            this.productKey = null;
            this.customerId = null;
            this.productFunctionStatus = null;
            this.productFunctionMethod = null;
    }
}