package com.mortals.xhx.module.product.model;

import java.util.List;
import com.mortals.xhx.module.product.model.ProductFunctionItemEntity;
/**
* 产品物模型节点查询对象
*
* @author zxfei
* @date 2021-11-09
*/
public class ProductFunctionItemQuery extends ProductFunctionItemEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 功能名称 */
    private List<String> functionNameList;

    /** 标识符 */
    private List<String> functionIdentifierList;

    /** 开始 事件类型，事件拥有1，信息2告警故障 */
    private Integer eventTypeStart;

    /** 结束 事件类型，事件拥有1，信息2告警故障 */
    private Integer eventTypeEnd;

    /** 增加 事件类型，事件拥有1，信息2告警故障 */
    private Integer eventTypeIncrement;

    /** 事件类型，事件拥有1，信息2告警故障列表 */
    private List <Integer> eventTypeList;

    /** 开始 读写类型，属性拥有1，读写2只读 */
    private Integer readOrWriteStart;

    /** 结束 读写类型，属性拥有1，读写2只读 */
    private Integer readOrWriteEnd;

    /** 增加 读写类型，属性拥有1，读写2只读 */
    private Integer readOrWriteIncrement;

    /** 读写类型，属性拥有1，读写2只读列表 */
    private List <Integer> readOrWriteList;

    /** 开始 调用方式，服用拥有1，同步2.异步 */
    private Integer invokingTypeStart;

    /** 结束 调用方式，服用拥有1，同步2.异步 */
    private Integer invokingTypeEnd;

    /** 增加 调用方式，服用拥有1，同步2.异步 */
    private Integer invokingTypeIncrement;

    /** 调用方式，服用拥有1，同步2.异步列表 */
    private List <Integer> invokingTypeList;

    /** 开始 产品功能类型，1，属性2，事件3，服务 */
    private Integer productFunctionTypeStart;

    /** 结束 产品功能类型，1，属性2，事件3，服务 */
    private Integer productFunctionTypeEnd;

    /** 增加 产品功能类型，1，属性2，事件3，服务 */
    private Integer productFunctionTypeIncrement;

    /** 产品功能类型，1，属性2，事件3，服务列表 */
    private List <Integer> productFunctionTypeList;

    /** 开始 产品ID */
    private Long productIdStart;

    /** 结束 产品ID */
    private Long productIdEnd;

    /** 增加 产品ID */
    private Long productIdIncrement;

    /** 产品ID列表 */
    private List <Long> productIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** productKey，平台为产品颁发的全局唯一标识符 */
    private List<String> productKeyList;

    /** 开始 用户ID */
    private Long customerIdStart;

    /** 结束 用户ID */
    private Long customerIdEnd;

    /** 增加 用户ID */
    private Long customerIdIncrement;

    /** 用户ID列表 */
    private List <Long> customerIdList;

    /** 开始 发布状态，1，草稿2，发布3，废弃 */
    private Integer productFunctionStatusStart;

    /** 结束 发布状态，1，草稿2，发布3，废弃 */
    private Integer productFunctionStatusEnd;

    /** 增加 发布状态，1，草稿2，发布3，废弃 */
    private Integer productFunctionStatusIncrement;

    /** 发布状态，1，草稿2，发布3，废弃列表 */
    private List <Integer> productFunctionStatusList;

    /** 请求方法 */
    private List<String> productFunctionMethodList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProductFunctionItemQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProductFunctionItemQuery> andConditionList;

    public ProductFunctionItemQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 功能名称
    * @return functionNameList
    */
    public List<String> getFunctionNameList(){
        return this.functionNameList;
    }

    /**
    * 设置 功能名称
    * @param functionNameList
    */
    public void setFunctionNameList(List<String> functionNameList){
        this.functionNameList = functionNameList;
    }
    /**
    * 获取 标识符
    * @return functionIdentifierList
    */
    public List<String> getFunctionIdentifierList(){
        return this.functionIdentifierList;
    }

    /**
    * 设置 标识符
    * @param functionIdentifierList
    */
    public void setFunctionIdentifierList(List<String> functionIdentifierList){
        this.functionIdentifierList = functionIdentifierList;
    }
    /**
    * 获取 开始 事件类型，事件拥有1，信息2告警故障
    * @return eventTypeStart
    */
    public Integer getEventTypeStart(){
        return this.eventTypeStart;
    }

    /**
    * 设置 开始 事件类型，事件拥有1，信息2告警故障
    * @param eventTypeStart
    */
    public void setEventTypeStart(Integer eventTypeStart){
        this.eventTypeStart = eventTypeStart;
    }

    /**
    * 获取 结束 事件类型，事件拥有1，信息2告警故障
    * @return $eventTypeEnd
    */
    public Integer getEventTypeEnd(){
        return this.eventTypeEnd;
    }

    /**
    * 设置 结束 事件类型，事件拥有1，信息2告警故障
    * @param eventTypeEnd
    */
    public void setEventTypeEnd(Integer eventTypeEnd){
        this.eventTypeEnd = eventTypeEnd;
    }

    /**
    * 获取 增加 事件类型，事件拥有1，信息2告警故障
    * @return eventTypeIncrement
    */
    public Integer getEventTypeIncrement(){
        return this.eventTypeIncrement;
    }

    /**
    * 设置 增加 事件类型，事件拥有1，信息2告警故障
    * @param eventTypeIncrement
    */
    public void setEventTypeIncrement(Integer eventTypeIncrement){
        this.eventTypeIncrement = eventTypeIncrement;
    }

    /**
    * 获取 事件类型，事件拥有1，信息2告警故障
    * @return eventTypeList
    */
    public List<Integer> getEventTypeList(){
        return this.eventTypeList;
    }

    /**
    * 设置 事件类型，事件拥有1，信息2告警故障
    * @param eventTypeList
    */
    public void setEventTypeList(List<Integer> eventTypeList){
        this.eventTypeList = eventTypeList;
    }

    /**
    * 获取 开始 读写类型，属性拥有1，读写2只读
    * @return readOrWriteStart
    */
    public Integer getReadOrWriteStart(){
        return this.readOrWriteStart;
    }

    /**
    * 设置 开始 读写类型，属性拥有1，读写2只读
    * @param readOrWriteStart
    */
    public void setReadOrWriteStart(Integer readOrWriteStart){
        this.readOrWriteStart = readOrWriteStart;
    }

    /**
    * 获取 结束 读写类型，属性拥有1，读写2只读
    * @return $readOrWriteEnd
    */
    public Integer getReadOrWriteEnd(){
        return this.readOrWriteEnd;
    }

    /**
    * 设置 结束 读写类型，属性拥有1，读写2只读
    * @param readOrWriteEnd
    */
    public void setReadOrWriteEnd(Integer readOrWriteEnd){
        this.readOrWriteEnd = readOrWriteEnd;
    }

    /**
    * 获取 增加 读写类型，属性拥有1，读写2只读
    * @return readOrWriteIncrement
    */
    public Integer getReadOrWriteIncrement(){
        return this.readOrWriteIncrement;
    }

    /**
    * 设置 增加 读写类型，属性拥有1，读写2只读
    * @param readOrWriteIncrement
    */
    public void setReadOrWriteIncrement(Integer readOrWriteIncrement){
        this.readOrWriteIncrement = readOrWriteIncrement;
    }

    /**
    * 获取 读写类型，属性拥有1，读写2只读
    * @return readOrWriteList
    */
    public List<Integer> getReadOrWriteList(){
        return this.readOrWriteList;
    }

    /**
    * 设置 读写类型，属性拥有1，读写2只读
    * @param readOrWriteList
    */
    public void setReadOrWriteList(List<Integer> readOrWriteList){
        this.readOrWriteList = readOrWriteList;
    }

    /**
    * 获取 开始 调用方式，服用拥有1，同步2.异步
    * @return invokingTypeStart
    */
    public Integer getInvokingTypeStart(){
        return this.invokingTypeStart;
    }

    /**
    * 设置 开始 调用方式，服用拥有1，同步2.异步
    * @param invokingTypeStart
    */
    public void setInvokingTypeStart(Integer invokingTypeStart){
        this.invokingTypeStart = invokingTypeStart;
    }

    /**
    * 获取 结束 调用方式，服用拥有1，同步2.异步
    * @return $invokingTypeEnd
    */
    public Integer getInvokingTypeEnd(){
        return this.invokingTypeEnd;
    }

    /**
    * 设置 结束 调用方式，服用拥有1，同步2.异步
    * @param invokingTypeEnd
    */
    public void setInvokingTypeEnd(Integer invokingTypeEnd){
        this.invokingTypeEnd = invokingTypeEnd;
    }

    /**
    * 获取 增加 调用方式，服用拥有1，同步2.异步
    * @return invokingTypeIncrement
    */
    public Integer getInvokingTypeIncrement(){
        return this.invokingTypeIncrement;
    }

    /**
    * 设置 增加 调用方式，服用拥有1，同步2.异步
    * @param invokingTypeIncrement
    */
    public void setInvokingTypeIncrement(Integer invokingTypeIncrement){
        this.invokingTypeIncrement = invokingTypeIncrement;
    }

    /**
    * 获取 调用方式，服用拥有1，同步2.异步
    * @return invokingTypeList
    */
    public List<Integer> getInvokingTypeList(){
        return this.invokingTypeList;
    }

    /**
    * 设置 调用方式，服用拥有1，同步2.异步
    * @param invokingTypeList
    */
    public void setInvokingTypeList(List<Integer> invokingTypeList){
        this.invokingTypeList = invokingTypeList;
    }

    /**
    * 获取 开始 产品功能类型，1，属性2，事件3，服务
    * @return productFunctionTypeStart
    */
    public Integer getProductFunctionTypeStart(){
        return this.productFunctionTypeStart;
    }

    /**
    * 设置 开始 产品功能类型，1，属性2，事件3，服务
    * @param productFunctionTypeStart
    */
    public void setProductFunctionTypeStart(Integer productFunctionTypeStart){
        this.productFunctionTypeStart = productFunctionTypeStart;
    }

    /**
    * 获取 结束 产品功能类型，1，属性2，事件3，服务
    * @return $productFunctionTypeEnd
    */
    public Integer getProductFunctionTypeEnd(){
        return this.productFunctionTypeEnd;
    }

    /**
    * 设置 结束 产品功能类型，1，属性2，事件3，服务
    * @param productFunctionTypeEnd
    */
    public void setProductFunctionTypeEnd(Integer productFunctionTypeEnd){
        this.productFunctionTypeEnd = productFunctionTypeEnd;
    }

    /**
    * 获取 增加 产品功能类型，1，属性2，事件3，服务
    * @return productFunctionTypeIncrement
    */
    public Integer getProductFunctionTypeIncrement(){
        return this.productFunctionTypeIncrement;
    }

    /**
    * 设置 增加 产品功能类型，1，属性2，事件3，服务
    * @param productFunctionTypeIncrement
    */
    public void setProductFunctionTypeIncrement(Integer productFunctionTypeIncrement){
        this.productFunctionTypeIncrement = productFunctionTypeIncrement;
    }

    /**
    * 获取 产品功能类型，1，属性2，事件3，服务
    * @return productFunctionTypeList
    */
    public List<Integer> getProductFunctionTypeList(){
        return this.productFunctionTypeList;
    }

    /**
    * 设置 产品功能类型，1，属性2，事件3，服务
    * @param productFunctionTypeList
    */
    public void setProductFunctionTypeList(List<Integer> productFunctionTypeList){
        this.productFunctionTypeList = productFunctionTypeList;
    }

    /**
    * 获取 开始 产品ID
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品ID
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品ID
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品ID
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品ID
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品ID
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品ID
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品ID
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 productKey，平台为产品颁发的全局唯一标识符
    * @return productKeyList
    */
    public List<String> getProductKeyList(){
        return this.productKeyList;
    }

    /**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public void setProductKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
    }
    /**
    * 获取 开始 用户ID
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 用户ID
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 用户ID
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 用户ID
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 开始 发布状态，1，草稿2，发布3，废弃
    * @return productFunctionStatusStart
    */
    public Integer getProductFunctionStatusStart(){
        return this.productFunctionStatusStart;
    }

    /**
    * 设置 开始 发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatusStart
    */
    public void setProductFunctionStatusStart(Integer productFunctionStatusStart){
        this.productFunctionStatusStart = productFunctionStatusStart;
    }

    /**
    * 获取 结束 发布状态，1，草稿2，发布3，废弃
    * @return $productFunctionStatusEnd
    */
    public Integer getProductFunctionStatusEnd(){
        return this.productFunctionStatusEnd;
    }

    /**
    * 设置 结束 发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatusEnd
    */
    public void setProductFunctionStatusEnd(Integer productFunctionStatusEnd){
        this.productFunctionStatusEnd = productFunctionStatusEnd;
    }

    /**
    * 获取 增加 发布状态，1，草稿2，发布3，废弃
    * @return productFunctionStatusIncrement
    */
    public Integer getProductFunctionStatusIncrement(){
        return this.productFunctionStatusIncrement;
    }

    /**
    * 设置 增加 发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatusIncrement
    */
    public void setProductFunctionStatusIncrement(Integer productFunctionStatusIncrement){
        this.productFunctionStatusIncrement = productFunctionStatusIncrement;
    }

    /**
    * 获取 发布状态，1，草稿2，发布3，废弃
    * @return productFunctionStatusList
    */
    public List<Integer> getProductFunctionStatusList(){
        return this.productFunctionStatusList;
    }

    /**
    * 设置 发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatusList
    */
    public void setProductFunctionStatusList(List<Integer> productFunctionStatusList){
        this.productFunctionStatusList = productFunctionStatusList;
    }

    /**
    * 获取 请求方法
    * @return productFunctionMethodList
    */
    public List<String> getProductFunctionMethodList(){
        return this.productFunctionMethodList;
    }

    /**
    * 设置 请求方法
    * @param productFunctionMethodList
    */
    public void setProductFunctionMethodList(List<String> productFunctionMethodList){
        this.productFunctionMethodList = productFunctionMethodList;
    }
    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProductFunctionItemQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProductFunctionItemQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProductFunctionItemQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProductFunctionItemQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProductFunctionItemQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 功能名称
    * @param functionName
    */
    public ProductFunctionItemQuery functionName(String functionName){
        setFunctionName(functionName);
		return this;
    }

    /**
    * 设置 功能名称
    * @param functionNameList
    */
    public ProductFunctionItemQuery functionNameList(List<String> functionNameList){
        this.functionNameList = functionNameList;
		return this;
    }


	/**
    * 设置 标识符
    * @param functionIdentifier
    */
    public ProductFunctionItemQuery functionIdentifier(String functionIdentifier){
        setFunctionIdentifier(functionIdentifier);
		return this;
    }

    /**
    * 设置 标识符
    * @param functionIdentifierList
    */
    public ProductFunctionItemQuery functionIdentifierList(List<String> functionIdentifierList){
        this.functionIdentifierList = functionIdentifierList;
		return this;
    }

    /**
    * 设置  事件类型，事件拥有1，信息2告警故障
    * @param eventType
    */
    public ProductFunctionItemQuery eventType(Integer eventType){
	    setEventType(eventType);
		return this;
    }
	
	 /**
    * 设置 开始 事件类型，事件拥有1，信息2告警故障
    * @param eventTypeStart
    */
    public ProductFunctionItemQuery eventTypeStart(Integer eventTypeStart){
		this.eventTypeStart = eventTypeStart;
		return this;
    }

    /**
    * 设置 结束 事件类型，事件拥有1，信息2告警故障
    * @param eventTypeEnd
    */
    public ProductFunctionItemQuery eventTypeEnd(Integer eventTypeEnd){
		this.eventTypeEnd = eventTypeEnd;
		return this;
    }

    /**
    * 设置 增加 事件类型，事件拥有1，信息2告警故障
    * @param eventTypeIncrement
    */
    public ProductFunctionItemQuery eventTypeIncrement(Integer eventTypeIncrement){
		this.eventTypeIncrement = eventTypeIncrement;
		return this;
    }

    /**
    * 设置 事件类型，事件拥有1，信息2告警故障
    * @param eventTypeList
    */
    public ProductFunctionItemQuery eventTypeList(List<Integer> eventTypeList){
        this.eventTypeList = eventTypeList;
		return this;
        }

    /**
    * 设置  读写类型，属性拥有1，读写2只读
    * @param readOrWrite
    */
    public ProductFunctionItemQuery readOrWrite(Integer readOrWrite){
	    setReadOrWrite(readOrWrite);
		return this;
    }
	
	 /**
    * 设置 开始 读写类型，属性拥有1，读写2只读
    * @param readOrWriteStart
    */
    public ProductFunctionItemQuery readOrWriteStart(Integer readOrWriteStart){
		this.readOrWriteStart = readOrWriteStart;
		return this;
    }

    /**
    * 设置 结束 读写类型，属性拥有1，读写2只读
    * @param readOrWriteEnd
    */
    public ProductFunctionItemQuery readOrWriteEnd(Integer readOrWriteEnd){
		this.readOrWriteEnd = readOrWriteEnd;
		return this;
    }

    /**
    * 设置 增加 读写类型，属性拥有1，读写2只读
    * @param readOrWriteIncrement
    */
    public ProductFunctionItemQuery readOrWriteIncrement(Integer readOrWriteIncrement){
		this.readOrWriteIncrement = readOrWriteIncrement;
		return this;
    }

    /**
    * 设置 读写类型，属性拥有1，读写2只读
    * @param readOrWriteList
    */
    public ProductFunctionItemQuery readOrWriteList(List<Integer> readOrWriteList){
        this.readOrWriteList = readOrWriteList;
		return this;
        }

    /**
    * 设置  调用方式，服用拥有1，同步2.异步
    * @param invokingType
    */
    public ProductFunctionItemQuery invokingType(Integer invokingType){
	    setInvokingType(invokingType);
		return this;
    }
	
	 /**
    * 设置 开始 调用方式，服用拥有1，同步2.异步
    * @param invokingTypeStart
    */
    public ProductFunctionItemQuery invokingTypeStart(Integer invokingTypeStart){
		this.invokingTypeStart = invokingTypeStart;
		return this;
    }

    /**
    * 设置 结束 调用方式，服用拥有1，同步2.异步
    * @param invokingTypeEnd
    */
    public ProductFunctionItemQuery invokingTypeEnd(Integer invokingTypeEnd){
		this.invokingTypeEnd = invokingTypeEnd;
		return this;
    }

    /**
    * 设置 增加 调用方式，服用拥有1，同步2.异步
    * @param invokingTypeIncrement
    */
    public ProductFunctionItemQuery invokingTypeIncrement(Integer invokingTypeIncrement){
		this.invokingTypeIncrement = invokingTypeIncrement;
		return this;
    }

    /**
    * 设置 调用方式，服用拥有1，同步2.异步
    * @param invokingTypeList
    */
    public ProductFunctionItemQuery invokingTypeList(List<Integer> invokingTypeList){
        this.invokingTypeList = invokingTypeList;
		return this;
        }

    /**
    * 设置  产品功能类型，1，属性2，事件3，服务
    * @param productFunctionType
    */
    public ProductFunctionItemQuery productFunctionType(Integer productFunctionType){
	    setProductFunctionType(productFunctionType);
		return this;
    }
	
	 /**
    * 设置 开始 产品功能类型，1，属性2，事件3，服务
    * @param productFunctionTypeStart
    */
    public ProductFunctionItemQuery productFunctionTypeStart(Integer productFunctionTypeStart){
		this.productFunctionTypeStart = productFunctionTypeStart;
		return this;
    }

    /**
    * 设置 结束 产品功能类型，1，属性2，事件3，服务
    * @param productFunctionTypeEnd
    */
    public ProductFunctionItemQuery productFunctionTypeEnd(Integer productFunctionTypeEnd){
		this.productFunctionTypeEnd = productFunctionTypeEnd;
		return this;
    }

    /**
    * 设置 增加 产品功能类型，1，属性2，事件3，服务
    * @param productFunctionTypeIncrement
    */
    public ProductFunctionItemQuery productFunctionTypeIncrement(Integer productFunctionTypeIncrement){
		this.productFunctionTypeIncrement = productFunctionTypeIncrement;
		return this;
    }

    /**
    * 设置 产品功能类型，1，属性2，事件3，服务
    * @param productFunctionTypeList
    */
    public ProductFunctionItemQuery productFunctionTypeList(List<Integer> productFunctionTypeList){
        this.productFunctionTypeList = productFunctionTypeList;
		return this;
        }

    /**
    * 设置  产品ID
    * @param productId
    */
    public ProductFunctionItemQuery productId(Long productId){
	    setProductId(productId);
		return this;
    }
	
	 /**
    * 设置 开始 产品ID
    * @param productIdStart
    */
    public ProductFunctionItemQuery productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品ID
    * @param productIdEnd
    */
    public ProductFunctionItemQuery productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品ID
    * @param productIdIncrement
    */
    public ProductFunctionItemQuery productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品ID
    * @param productIdList
    */
    public ProductFunctionItemQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }




	/**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKey
    */
    public ProductFunctionItemQuery productKey(String productKey){
        setProductKey(productKey);
		return this;
    }

    /**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public ProductFunctionItemQuery productKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
		return this;
    }

    /**
    * 设置  用户ID
    * @param customerId
    */
    public ProductFunctionItemQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public ProductFunctionItemQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public ProductFunctionItemQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public ProductFunctionItemQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public ProductFunctionItemQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }

    /**
    * 设置  发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatus
    */
    public ProductFunctionItemQuery productFunctionStatus(Integer productFunctionStatus){
	    setProductFunctionStatus(productFunctionStatus);
		return this;
    }
	
	 /**
    * 设置 开始 发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatusStart
    */
    public ProductFunctionItemQuery productFunctionStatusStart(Integer productFunctionStatusStart){
		this.productFunctionStatusStart = productFunctionStatusStart;
		return this;
    }

    /**
    * 设置 结束 发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatusEnd
    */
    public ProductFunctionItemQuery productFunctionStatusEnd(Integer productFunctionStatusEnd){
		this.productFunctionStatusEnd = productFunctionStatusEnd;
		return this;
    }

    /**
    * 设置 增加 发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatusIncrement
    */
    public ProductFunctionItemQuery productFunctionStatusIncrement(Integer productFunctionStatusIncrement){
		this.productFunctionStatusIncrement = productFunctionStatusIncrement;
		return this;
    }

    /**
    * 设置 发布状态，1，草稿2，发布3，废弃
    * @param productFunctionStatusList
    */
    public ProductFunctionItemQuery productFunctionStatusList(List<Integer> productFunctionStatusList){
        this.productFunctionStatusList = productFunctionStatusList;
		return this;
        }


	/**
    * 设置 请求方法
    * @param productFunctionMethod
    */
    public ProductFunctionItemQuery productFunctionMethod(String productFunctionMethod){
        setProductFunctionMethod(productFunctionMethod);
		return this;
    }

    /**
    * 设置 请求方法
    * @param productFunctionMethodList
    */
    public ProductFunctionItemQuery productFunctionMethodList(List<String> productFunctionMethodList){
        this.productFunctionMethodList = productFunctionMethodList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProductFunctionItemQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProductFunctionItemQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProductFunctionItemQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProductFunctionItemQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}