package com.mortals.xhx.module.product.model;

import java.util.List;
import com.mortals.xhx.module.product.model.ProductEntity;
/**
* 产品查询对象
*
* @author zxfei
* @date 2021-11-09
*/
public class ProductQuery extends ProductEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 用户ID */
    private Long customerIdStart;

    /** 结束 用户ID */
    private Long customerIdEnd;

    /** 增加 用户ID */
    private Long customerIdIncrement;

    /** 用户ID列表 */
    private List <Long> customerIdList;

    /** 产品名称，为产品命名。产品名称在账号内具有唯一性。例如，可以填写为产品型号。支持中文、英文字母、日文、数字、下划线（_）、短划线（-）、at（@）和英文圆括号，长度限制4~30个字符。 */
    private List<String> productNameList;

    /** 开始 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。 */
    private Integer productTypeStart;

    /** 结束 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。 */
    private Integer productTypeEnd;

    /** 增加 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。 */
    private Integer productTypeIncrement;

    /** 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。列表 */
    private List <Integer> productTypeList;

    /** 开始 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。 */
    private Integer nodeTypeStart;

    /** 结束 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。 */
    private Integer nodeTypeEnd;

    /** 增加 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。 */
    private Integer nodeTypeIncrement;

    /** 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。列表 */
    private List <Integer> nodeTypeList;

    /** 开始 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。 */
    private Integer connGateProtocolStart;

    /** 结束 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。 */
    private Integer connGateProtocolEnd;

    /** 增加 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。 */
    private Integer connGateProtocolIncrement;

    /** 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。列表 */
    private List <Integer> connGateProtocolList;

    /** 开始 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他 */
    private Integer networkTypeStart;

    /** 结束 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他 */
    private Integer networkTypeEnd;

    /** 增加 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他 */
    private Integer networkTypeIncrement;

    /** 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他列表 */
    private List <Integer> networkTypeList;

    /** 入网凭证 */
    private List<String> networkProofList;

    /** 开始 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。 */
    private Integer dataTypeStart;

    /** 结束 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。 */
    private Integer dataTypeEnd;

    /** 增加 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。 */
    private Integer dataTypeIncrement;

    /** 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。列表 */
    private List <Integer> dataTypeList;

    /** 开始 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。 */
    private Integer checkTypeStart;

    /** 结束 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。 */
    private Integer checkTypeEnd;

    /** 增加 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。 */
    private Integer checkTypeIncrement;

    /** 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。列表 */
    private List <Integer> checkTypeList;

    /** 开始 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。 */
    private Integer authTypeStart;

    /** 结束 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。 */
    private Integer authTypeEnd;

    /** 增加 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。 */
    private Integer authTypeIncrement;

    /** 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。列表 */
    private List <Integer> authTypeList;

    /** 产品备注 */
    private List<String> productRemarkList;

    /** productKey，平台为产品颁发的全局唯一标识符 */
    private List<String> productKeyList;

    /** 开始 产品状态，1，开发中2，发布 */
    private Integer productStatusStart;

    /** 结束 产品状态，1，开发中2，发布 */
    private Integer productStatusEnd;

    /** 增加 产品状态，1，开发中2，发布 */
    private Integer productStatusIncrement;

    /** 产品状态，1，开发中2，发布列表 */
    private List <Integer> productStatusList;

    /** 产品下发布的物模型 */
    private List<String> productTSLList;

    /** 开始 qos */
    private Integer qosStart;

    /** 结束 qos */
    private Integer qosEnd;

    /** 增加 qos */
    private Integer qosIncrement;

    /** qos列表 */
    private List <Integer> qosList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProductQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProductQuery> andConditionList;

    public ProductQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 用户ID
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 用户ID
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 用户ID
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 用户ID
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 产品名称，为产品命名。产品名称在账号内具有唯一性。例如，可以填写为产品型号。支持中文、英文字母、日文、数字、下划线（_）、短划线（-）、at（@）和英文圆括号，长度限制4~30个字符。
    * @return productNameList
    */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
    * 设置 产品名称，为产品命名。产品名称在账号内具有唯一性。例如，可以填写为产品型号。支持中文、英文字母、日文、数字、下划线（_）、短划线（-）、at（@）和英文圆括号，长度限制4~30个字符。
    * @param productNameList
    */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }
    /**
    * 获取 开始 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @return productTypeStart
    */
    public Integer getProductTypeStart(){
        return this.productTypeStart;
    }

    /**
    * 设置 开始 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @param productTypeStart
    */
    public void setProductTypeStart(Integer productTypeStart){
        this.productTypeStart = productTypeStart;
    }

    /**
    * 获取 结束 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @return $productTypeEnd
    */
    public Integer getProductTypeEnd(){
        return this.productTypeEnd;
    }

    /**
    * 设置 结束 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @param productTypeEnd
    */
    public void setProductTypeEnd(Integer productTypeEnd){
        this.productTypeEnd = productTypeEnd;
    }

    /**
    * 获取 增加 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @return productTypeIncrement
    */
    public Integer getProductTypeIncrement(){
        return this.productTypeIncrement;
    }

    /**
    * 设置 增加 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @param productTypeIncrement
    */
    public void setProductTypeIncrement(Integer productTypeIncrement){
        this.productTypeIncrement = productTypeIncrement;
    }

    /**
    * 获取 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @return productTypeList
    */
    public List<Integer> getProductTypeList(){
        return this.productTypeList;
    }

    /**
    * 设置 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @param productTypeList
    */
    public void setProductTypeList(List<Integer> productTypeList){
        this.productTypeList = productTypeList;
    }

    /**
    * 获取 开始 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @return nodeTypeStart
    */
    public Integer getNodeTypeStart(){
        return this.nodeTypeStart;
    }

    /**
    * 设置 开始 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @param nodeTypeStart
    */
    public void setNodeTypeStart(Integer nodeTypeStart){
        this.nodeTypeStart = nodeTypeStart;
    }

    /**
    * 获取 结束 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @return $nodeTypeEnd
    */
    public Integer getNodeTypeEnd(){
        return this.nodeTypeEnd;
    }

    /**
    * 设置 结束 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @param nodeTypeEnd
    */
    public void setNodeTypeEnd(Integer nodeTypeEnd){
        this.nodeTypeEnd = nodeTypeEnd;
    }

    /**
    * 获取 增加 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @return nodeTypeIncrement
    */
    public Integer getNodeTypeIncrement(){
        return this.nodeTypeIncrement;
    }

    /**
    * 设置 增加 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @param nodeTypeIncrement
    */
    public void setNodeTypeIncrement(Integer nodeTypeIncrement){
        this.nodeTypeIncrement = nodeTypeIncrement;
    }

    /**
    * 获取 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @return nodeTypeList
    */
    public List<Integer> getNodeTypeList(){
        return this.nodeTypeList;
    }

    /**
    * 设置 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @param nodeTypeList
    */
    public void setNodeTypeList(List<Integer> nodeTypeList){
        this.nodeTypeList = nodeTypeList;
    }

    /**
    * 获取 开始 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @return connGateProtocolStart
    */
    public Integer getConnGateProtocolStart(){
        return this.connGateProtocolStart;
    }

    /**
    * 设置 开始 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @param connGateProtocolStart
    */
    public void setConnGateProtocolStart(Integer connGateProtocolStart){
        this.connGateProtocolStart = connGateProtocolStart;
    }

    /**
    * 获取 结束 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @return $connGateProtocolEnd
    */
    public Integer getConnGateProtocolEnd(){
        return this.connGateProtocolEnd;
    }

    /**
    * 设置 结束 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @param connGateProtocolEnd
    */
    public void setConnGateProtocolEnd(Integer connGateProtocolEnd){
        this.connGateProtocolEnd = connGateProtocolEnd;
    }

    /**
    * 获取 增加 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @return connGateProtocolIncrement
    */
    public Integer getConnGateProtocolIncrement(){
        return this.connGateProtocolIncrement;
    }

    /**
    * 设置 增加 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @param connGateProtocolIncrement
    */
    public void setConnGateProtocolIncrement(Integer connGateProtocolIncrement){
        this.connGateProtocolIncrement = connGateProtocolIncrement;
    }

    /**
    * 获取 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @return connGateProtocolList
    */
    public List<Integer> getConnGateProtocolList(){
        return this.connGateProtocolList;
    }

    /**
    * 设置 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @param connGateProtocolList
    */
    public void setConnGateProtocolList(List<Integer> connGateProtocolList){
        this.connGateProtocolList = connGateProtocolList;
    }

    /**
    * 获取 开始 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @return networkTypeStart
    */
    public Integer getNetworkTypeStart(){
        return this.networkTypeStart;
    }

    /**
    * 设置 开始 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @param networkTypeStart
    */
    public void setNetworkTypeStart(Integer networkTypeStart){
        this.networkTypeStart = networkTypeStart;
    }

    /**
    * 获取 结束 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @return $networkTypeEnd
    */
    public Integer getNetworkTypeEnd(){
        return this.networkTypeEnd;
    }

    /**
    * 设置 结束 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @param networkTypeEnd
    */
    public void setNetworkTypeEnd(Integer networkTypeEnd){
        this.networkTypeEnd = networkTypeEnd;
    }

    /**
    * 获取 增加 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @return networkTypeIncrement
    */
    public Integer getNetworkTypeIncrement(){
        return this.networkTypeIncrement;
    }

    /**
    * 设置 增加 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @param networkTypeIncrement
    */
    public void setNetworkTypeIncrement(Integer networkTypeIncrement){
        this.networkTypeIncrement = networkTypeIncrement;
    }

    /**
    * 获取 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @return networkTypeList
    */
    public List<Integer> getNetworkTypeList(){
        return this.networkTypeList;
    }

    /**
    * 设置 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @param networkTypeList
    */
    public void setNetworkTypeList(List<Integer> networkTypeList){
        this.networkTypeList = networkTypeList;
    }

    /**
    * 获取 入网凭证
    * @return networkProofList
    */
    public List<String> getNetworkProofList(){
        return this.networkProofList;
    }

    /**
    * 设置 入网凭证
    * @param networkProofList
    */
    public void setNetworkProofList(List<String> networkProofList){
        this.networkProofList = networkProofList;
    }
    /**
    * 获取 开始 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @return dataTypeStart
    */
    public Integer getDataTypeStart(){
        return this.dataTypeStart;
    }

    /**
    * 设置 开始 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @param dataTypeStart
    */
    public void setDataTypeStart(Integer dataTypeStart){
        this.dataTypeStart = dataTypeStart;
    }

    /**
    * 获取 结束 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @return $dataTypeEnd
    */
    public Integer getDataTypeEnd(){
        return this.dataTypeEnd;
    }

    /**
    * 设置 结束 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @param dataTypeEnd
    */
    public void setDataTypeEnd(Integer dataTypeEnd){
        this.dataTypeEnd = dataTypeEnd;
    }

    /**
    * 获取 增加 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @return dataTypeIncrement
    */
    public Integer getDataTypeIncrement(){
        return this.dataTypeIncrement;
    }

    /**
    * 设置 增加 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @param dataTypeIncrement
    */
    public void setDataTypeIncrement(Integer dataTypeIncrement){
        this.dataTypeIncrement = dataTypeIncrement;
    }

    /**
    * 获取 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @return dataTypeList
    */
    public List<Integer> getDataTypeList(){
        return this.dataTypeList;
    }

    /**
    * 设置 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @param dataTypeList
    */
    public void setDataTypeList(List<Integer> dataTypeList){
        this.dataTypeList = dataTypeList;
    }

    /**
    * 获取 开始 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @return checkTypeStart
    */
    public Integer getCheckTypeStart(){
        return this.checkTypeStart;
    }

    /**
    * 设置 开始 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @param checkTypeStart
    */
    public void setCheckTypeStart(Integer checkTypeStart){
        this.checkTypeStart = checkTypeStart;
    }

    /**
    * 获取 结束 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @return $checkTypeEnd
    */
    public Integer getCheckTypeEnd(){
        return this.checkTypeEnd;
    }

    /**
    * 设置 结束 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @param checkTypeEnd
    */
    public void setCheckTypeEnd(Integer checkTypeEnd){
        this.checkTypeEnd = checkTypeEnd;
    }

    /**
    * 获取 增加 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @return checkTypeIncrement
    */
    public Integer getCheckTypeIncrement(){
        return this.checkTypeIncrement;
    }

    /**
    * 设置 增加 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @param checkTypeIncrement
    */
    public void setCheckTypeIncrement(Integer checkTypeIncrement){
        this.checkTypeIncrement = checkTypeIncrement;
    }

    /**
    * 获取 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @return checkTypeList
    */
    public List<Integer> getCheckTypeList(){
        return this.checkTypeList;
    }

    /**
    * 设置 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @param checkTypeList
    */
    public void setCheckTypeList(List<Integer> checkTypeList){
        this.checkTypeList = checkTypeList;
    }

    /**
    * 获取 开始 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @return authTypeStart
    */
    public Integer getAuthTypeStart(){
        return this.authTypeStart;
    }

    /**
    * 设置 开始 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @param authTypeStart
    */
    public void setAuthTypeStart(Integer authTypeStart){
        this.authTypeStart = authTypeStart;
    }

    /**
    * 获取 结束 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @return $authTypeEnd
    */
    public Integer getAuthTypeEnd(){
        return this.authTypeEnd;
    }

    /**
    * 设置 结束 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @param authTypeEnd
    */
    public void setAuthTypeEnd(Integer authTypeEnd){
        this.authTypeEnd = authTypeEnd;
    }

    /**
    * 获取 增加 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @return authTypeIncrement
    */
    public Integer getAuthTypeIncrement(){
        return this.authTypeIncrement;
    }

    /**
    * 设置 增加 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @param authTypeIncrement
    */
    public void setAuthTypeIncrement(Integer authTypeIncrement){
        this.authTypeIncrement = authTypeIncrement;
    }

    /**
    * 获取 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @return authTypeList
    */
    public List<Integer> getAuthTypeList(){
        return this.authTypeList;
    }

    /**
    * 设置 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @param authTypeList
    */
    public void setAuthTypeList(List<Integer> authTypeList){
        this.authTypeList = authTypeList;
    }

    /**
    * 获取 产品备注
    * @return productRemarkList
    */
    public List<String> getProductRemarkList(){
        return this.productRemarkList;
    }

    /**
    * 设置 产品备注
    * @param productRemarkList
    */
    public void setProductRemarkList(List<String> productRemarkList){
        this.productRemarkList = productRemarkList;
    }
    /**
    * 获取 productKey，平台为产品颁发的全局唯一标识符
    * @return productKeyList
    */
    public List<String> getProductKeyList(){
        return this.productKeyList;
    }

    /**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public void setProductKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
    }
    /**
    * 获取 开始 产品状态，1，开发中2，发布
    * @return productStatusStart
    */
    public Integer getProductStatusStart(){
        return this.productStatusStart;
    }

    /**
    * 设置 开始 产品状态，1，开发中2，发布
    * @param productStatusStart
    */
    public void setProductStatusStart(Integer productStatusStart){
        this.productStatusStart = productStatusStart;
    }

    /**
    * 获取 结束 产品状态，1，开发中2，发布
    * @return $productStatusEnd
    */
    public Integer getProductStatusEnd(){
        return this.productStatusEnd;
    }

    /**
    * 设置 结束 产品状态，1，开发中2，发布
    * @param productStatusEnd
    */
    public void setProductStatusEnd(Integer productStatusEnd){
        this.productStatusEnd = productStatusEnd;
    }

    /**
    * 获取 增加 产品状态，1，开发中2，发布
    * @return productStatusIncrement
    */
    public Integer getProductStatusIncrement(){
        return this.productStatusIncrement;
    }

    /**
    * 设置 增加 产品状态，1，开发中2，发布
    * @param productStatusIncrement
    */
    public void setProductStatusIncrement(Integer productStatusIncrement){
        this.productStatusIncrement = productStatusIncrement;
    }

    /**
    * 获取 产品状态，1，开发中2，发布
    * @return productStatusList
    */
    public List<Integer> getProductStatusList(){
        return this.productStatusList;
    }

    /**
    * 设置 产品状态，1，开发中2，发布
    * @param productStatusList
    */
    public void setProductStatusList(List<Integer> productStatusList){
        this.productStatusList = productStatusList;
    }

    /**
    * 获取 产品下发布的物模型
    * @return productTSLList
    */
    public List<String> getProductTSLList(){
        return this.productTSLList;
    }

    /**
    * 设置 产品下发布的物模型
    * @param productTSLList
    */
    public void setProductTSLList(List<String> productTSLList){
        this.productTSLList = productTSLList;
    }
    /**
    * 获取 开始 qos
    * @return qosStart
    */
    public Integer getQosStart(){
        return this.qosStart;
    }

    /**
    * 设置 开始 qos
    * @param qosStart
    */
    public void setQosStart(Integer qosStart){
        this.qosStart = qosStart;
    }

    /**
    * 获取 结束 qos
    * @return $qosEnd
    */
    public Integer getQosEnd(){
        return this.qosEnd;
    }

    /**
    * 设置 结束 qos
    * @param qosEnd
    */
    public void setQosEnd(Integer qosEnd){
        this.qosEnd = qosEnd;
    }

    /**
    * 获取 增加 qos
    * @return qosIncrement
    */
    public Integer getQosIncrement(){
        return this.qosIncrement;
    }

    /**
    * 设置 增加 qos
    * @param qosIncrement
    */
    public void setQosIncrement(Integer qosIncrement){
        this.qosIncrement = qosIncrement;
    }

    /**
    * 获取 qos
    * @return qosList
    */
    public List<Integer> getQosList(){
        return this.qosList;
    }

    /**
    * 设置 qos
    * @param qosList
    */
    public void setQosList(List<Integer> qosList){
        this.qosList = qosList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProductQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProductQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProductQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProductQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProductQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  用户ID
    * @param customerId
    */
    public ProductQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public ProductQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public ProductQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public ProductQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public ProductQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }


	/**
    * 设置 产品名称，为产品命名。产品名称在账号内具有唯一性。例如，可以填写为产品型号。支持中文、英文字母、日文、数字、下划线（_）、短划线（-）、at（@）和英文圆括号，长度限制4~30个字符。
    * @param productName
    */
    public ProductQuery productName(String productName){
        setProductName(productName);
		return this;
    }

    /**
    * 设置 产品名称，为产品命名。产品名称在账号内具有唯一性。例如，可以填写为产品型号。支持中文、英文字母、日文、数字、下划线（_）、短划线（-）、at（@）和英文圆括号，长度限制4~30个字符。
    * @param productNameList
    */
    public ProductQuery productNameList(List<String> productNameList){
        this.productNameList = productNameList;
		return this;
    }

    /**
    * 设置  所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @param productType
    */
    public ProductQuery productType(Integer productType){
	    setProductType(productType);
		return this;
    }
	
	 /**
    * 设置 开始 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @param productTypeStart
    */
    public ProductQuery productTypeStart(Integer productTypeStart){
		this.productTypeStart = productTypeStart;
		return this;
    }

    /**
    * 设置 结束 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @param productTypeEnd
    */
    public ProductQuery productTypeEnd(Integer productTypeEnd){
		this.productTypeEnd = productTypeEnd;
		return this;
    }

    /**
    * 设置 增加 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @param productTypeIncrement
    */
    public ProductQuery productTypeIncrement(Integer productTypeIncrement){
		this.productTypeIncrement = productTypeIncrement;
		return this;
    }

    /**
    * 设置 所属品类，相当于产品模板。1，标准品类：平台已为标准品类预定义了功能模板。例如，能源管理 > 电表品类已预定义用电量、电压、电流、总累积量等电表标准功能。选择该品类，创建的产品具有预定义的功能。您可以在该产品的产品详情页功能定义页签下，编辑、修改、新增功能。2，自定义品类：产品创建成功后，需根据实际需要，自定义物模型。
    * @param productTypeList
    */
    public ProductQuery productTypeList(List<Integer> productTypeList){
        this.productTypeList = productTypeList;
		return this;
        }

    /**
    * 设置  节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @param nodeType
    */
    public ProductQuery nodeType(Integer nodeType){
	    setNodeType(nodeType);
		return this;
    }
	
	 /**
    * 设置 开始 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @param nodeTypeStart
    */
    public ProductQuery nodeTypeStart(Integer nodeTypeStart){
		this.nodeTypeStart = nodeTypeStart;
		return this;
    }

    /**
    * 设置 结束 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @param nodeTypeEnd
    */
    public ProductQuery nodeTypeEnd(Integer nodeTypeEnd){
		this.nodeTypeEnd = nodeTypeEnd;
		return this;
    }

    /**
    * 设置 增加 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @param nodeTypeIncrement
    */
    public ProductQuery nodeTypeIncrement(Integer nodeTypeIncrement){
		this.nodeTypeIncrement = nodeTypeIncrement;
		return this;
    }

    /**
    * 设置 节点类型，产品下设备的类型。1，直连设备：具有IP地址，可直接连接平台，且不能挂载子设备，但可作为子设备挂载到网关下的设备。2，网关子设备：不直接连接平台，而是通过网关设备接入平台的设备。3，网关设备：可以挂载子设备的直连设备。网关具有子设备管理模块，可以维持子设备的拓扑关系，将与子设备的拓扑关系同步到云端。
    * @param nodeTypeList
    */
    public ProductQuery nodeTypeList(List<Integer> nodeTypeList){
        this.nodeTypeList = nodeTypeList;
		return this;
        }

    /**
    * 设置  接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @param connGateProtocol
    */
    public ProductQuery connGateProtocol(Integer connGateProtocol){
	    setConnGateProtocol(connGateProtocol);
		return this;
    }
	
	 /**
    * 设置 开始 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @param connGateProtocolStart
    */
    public ProductQuery connGateProtocolStart(Integer connGateProtocolStart){
		this.connGateProtocolStart = connGateProtocolStart;
		return this;
    }

    /**
    * 设置 结束 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @param connGateProtocolEnd
    */
    public ProductQuery connGateProtocolEnd(Integer connGateProtocolEnd){
		this.connGateProtocolEnd = connGateProtocolEnd;
		return this;
    }

    /**
    * 设置 增加 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @param connGateProtocolIncrement
    */
    public ProductQuery connGateProtocolIncrement(Integer connGateProtocolIncrement){
		this.connGateProtocolIncrement = connGateProtocolIncrement;
		return this;
    }

    /**
    * 设置 接入网关协议，节点类型选择为网关子设备的参数。表示该产品下的设备作为子设备与网关的通讯协议类型。自定义：表示子设备和网关之间是其它标准或私有协议。1,Modbus：表示子设备和网关之间的通讯协议是Modbus。2,OPC UA：表示子设备和网关之间的通讯协议是OPC UA。3,ZigBee：表示子设备和网关之间的通讯协议是ZigBee。4,BLE：表示子设备和网关之间的通讯协议是BLE。
    * @param connGateProtocolList
    */
    public ProductQuery connGateProtocolList(List<Integer> connGateProtocolList){
        this.connGateProtocolList = connGateProtocolList;
		return this;
        }

    /**
    * 设置  连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @param networkType
    */
    public ProductQuery networkType(Integer networkType){
	    setNetworkType(networkType);
		return this;
    }
	
	 /**
    * 设置 开始 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @param networkTypeStart
    */
    public ProductQuery networkTypeStart(Integer networkTypeStart){
		this.networkTypeStart = networkTypeStart;
		return this;
    }

    /**
    * 设置 结束 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @param networkTypeEnd
    */
    public ProductQuery networkTypeEnd(Integer networkTypeEnd){
		this.networkTypeEnd = networkTypeEnd;
		return this;
    }

    /**
    * 设置 增加 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @param networkTypeIncrement
    */
    public ProductQuery networkTypeIncrement(Integer networkTypeIncrement){
		this.networkTypeIncrement = networkTypeIncrement;
		return this;
    }

    /**
    * 设置 连网方式，直连设备和网关设备的连网方式。1,Wi-Fi2,蜂窝（2G/3G/4G/5G）3,以太网4,LoRaWAN5,其他
    * @param networkTypeList
    */
    public ProductQuery networkTypeList(List<Integer> networkTypeList){
        this.networkTypeList = networkTypeList;
		return this;
        }


	/**
    * 设置 入网凭证
    * @param networkProof
    */
    public ProductQuery networkProof(String networkProof){
        setNetworkProof(networkProof);
		return this;
    }

    /**
    * 设置 入网凭证
    * @param networkProofList
    */
    public ProductQuery networkProofList(List<String> networkProofList){
        this.networkProofList = networkProofList;
		return this;
    }

    /**
    * 设置  数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @param dataType
    */
    public ProductQuery dataType(Integer dataType){
	    setDataType(dataType);
		return this;
    }
	
	 /**
    * 设置 开始 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @param dataTypeStart
    */
    public ProductQuery dataTypeStart(Integer dataTypeStart){
		this.dataTypeStart = dataTypeStart;
		return this;
    }

    /**
    * 设置 结束 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @param dataTypeEnd
    */
    public ProductQuery dataTypeEnd(Integer dataTypeEnd){
		this.dataTypeEnd = dataTypeEnd;
		return this;
    }

    /**
    * 设置 增加 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @param dataTypeIncrement
    */
    public ProductQuery dataTypeIncrement(Integer dataTypeIncrement){
		this.dataTypeIncrement = dataTypeIncrement;
		return this;
    }

    /**
    * 设置 数据格式，设备上下行的数据格式。1，标准数据格式：是平台为开发者提供的设备与云端的数据交换协议，采用JSON格式。2，透传/自定义：选择透传/自定义。需在定义数据解析脚本，将上行的自定义格式的数据转换为标准数据格式；将下行的标准数据格式数据解析为设备自定义格式，设备才能与云端进行通信。
    * @param dataTypeList
    */
    public ProductQuery dataTypeList(List<Integer> dataTypeList){
        this.dataTypeList = dataTypeList;
		return this;
        }

    /**
    * 设置  校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @param checkType
    */
    public ProductQuery checkType(Integer checkType){
	    setCheckType(checkType);
		return this;
    }
	
	 /**
    * 设置 开始 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @param checkTypeStart
    */
    public ProductQuery checkTypeStart(Integer checkTypeStart){
		this.checkTypeStart = checkTypeStart;
		return this;
    }

    /**
    * 设置 结束 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @param checkTypeEnd
    */
    public ProductQuery checkTypeEnd(Integer checkTypeEnd){
		this.checkTypeEnd = checkTypeEnd;
		return this;
    }

    /**
    * 设置 增加 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @param checkTypeIncrement
    */
    public ProductQuery checkTypeIncrement(Integer checkTypeIncrement){
		this.checkTypeIncrement = checkTypeIncrement;
		return this;
    }

    /**
    * 设置 校验类型，设备上报物模型数据时，平台将按设置的数据校验方式，根据物模型定义进行数据校验。1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据。
    * @param checkTypeList
    */
    public ProductQuery checkTypeList(List<Integer> checkTypeList){
        this.checkTypeList = checkTypeList;
		return this;
        }

    /**
    * 设置  认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @param authType
    */
    public ProductQuery authType(Integer authType){
	    setAuthType(authType);
		return this;
    }
	
	 /**
    * 设置 开始 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @param authTypeStart
    */
    public ProductQuery authTypeStart(Integer authTypeStart){
		this.authTypeStart = authTypeStart;
		return this;
    }

    /**
    * 设置 结束 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @param authTypeEnd
    */
    public ProductQuery authTypeEnd(Integer authTypeEnd){
		this.authTypeEnd = authTypeEnd;
		return this;
    }

    /**
    * 设置 增加 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @param authTypeIncrement
    */
    public ProductQuery authTypeIncrement(Integer authTypeIncrement){
		this.authTypeIncrement = authTypeIncrement;
		return this;
    }

    /**
    * 设置 认证方式，设备接入平台的安全认证方式。产品创建成功后，认证方式不可变更。1，设备密钥：使用物联网平台为设备生成的DeviceSecret进行设备认证签名计算。使用DeviceSecret签名计算，2，ID²：ID²认证提供设备与物联网平台的双向身份认证能力，通过建立轻量化的安全链路（iTLS）来保障数据的安全性。3，X.509证书：使用X.509数字证书进行设备身份认证。
    * @param authTypeList
    */
    public ProductQuery authTypeList(List<Integer> authTypeList){
        this.authTypeList = authTypeList;
		return this;
        }


	/**
    * 设置 产品备注
    * @param productRemark
    */
    public ProductQuery productRemark(String productRemark){
        setProductRemark(productRemark);
		return this;
    }

    /**
    * 设置 产品备注
    * @param productRemarkList
    */
    public ProductQuery productRemarkList(List<String> productRemarkList){
        this.productRemarkList = productRemarkList;
		return this;
    }


	/**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKey
    */
    public ProductQuery productKey(String productKey){
        setProductKey(productKey);
		return this;
    }

    /**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public ProductQuery productKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
		return this;
    }

    /**
    * 设置  产品状态，1，开发中2，发布
    * @param productStatus
    */
    public ProductQuery productStatus(Integer productStatus){
	    setProductStatus(productStatus);
		return this;
    }
	
	 /**
    * 设置 开始 产品状态，1，开发中2，发布
    * @param productStatusStart
    */
    public ProductQuery productStatusStart(Integer productStatusStart){
		this.productStatusStart = productStatusStart;
		return this;
    }

    /**
    * 设置 结束 产品状态，1，开发中2，发布
    * @param productStatusEnd
    */
    public ProductQuery productStatusEnd(Integer productStatusEnd){
		this.productStatusEnd = productStatusEnd;
		return this;
    }

    /**
    * 设置 增加 产品状态，1，开发中2，发布
    * @param productStatusIncrement
    */
    public ProductQuery productStatusIncrement(Integer productStatusIncrement){
		this.productStatusIncrement = productStatusIncrement;
		return this;
    }

    /**
    * 设置 产品状态，1，开发中2，发布
    * @param productStatusList
    */
    public ProductQuery productStatusList(List<Integer> productStatusList){
        this.productStatusList = productStatusList;
		return this;
        }


	/**
    * 设置 产品下发布的物模型
    * @param productTSL
    */
    public ProductQuery productTSL(String productTSL){
        setProductTSL(productTSL);
		return this;
    }

    /**
    * 设置 产品下发布的物模型
    * @param productTSLList
    */
    public ProductQuery productTSLList(List<String> productTSLList){
        this.productTSLList = productTSLList;
		return this;
    }

    /**
    * 设置  qos
    * @param qos
    */
    public ProductQuery qos(Integer qos){
	    setQos(qos);
		return this;
    }
	
	 /**
    * 设置 开始 qos
    * @param qosStart
    */
    public ProductQuery qosStart(Integer qosStart){
		this.qosStart = qosStart;
		return this;
    }

    /**
    * 设置 结束 qos
    * @param qosEnd
    */
    public ProductQuery qosEnd(Integer qosEnd){
		this.qosEnd = qosEnd;
		return this;
    }

    /**
    * 设置 增加 qos
    * @param qosIncrement
    */
    public ProductQuery qosIncrement(Integer qosIncrement){
		this.qosIncrement = qosIncrement;
		return this;
    }

    /**
    * 设置 qos
    * @param qosList
    */
    public ProductQuery qosList(List<Integer> qosList){
        this.qosList = qosList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProductQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProductQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProductQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProductQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}