package com.mortals.xhx.module.product.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.product.model.vo.ProductTopicLimitVo;
/**
* 产品topic类限制实体对象
*
* @author zxfei
* @date 2021-11-09
*/

public class ProductTopicLimitEntity extends ProductTopicLimitVo {
    private static final long serialVersionUID = 1L;

    /**
    * 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    */
    private Integer productCreateTopicNumLimit;
    /**
    * Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    */
    private Integer topicTopLimit;
    /**
    * 订阅数，一个订阅请求的最大订阅数。默认:8
    */
    private Integer deviceSubRequestMaxNumLimit;
    /**
    * 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    */
    private Integer deviceSubOrUnSubTimeLimit;



    public ProductTopicLimitEntity(){}
    /**
    * 获取 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @return Integer
    */
    public Integer getProductCreateTopicNumLimit(){
        return productCreateTopicNumLimit;
    }
    /**
    * 设置 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimit
    */
    public void setProductCreateTopicNumLimit(Integer productCreateTopicNumLimit){
        this.productCreateTopicNumLimit = productCreateTopicNumLimit;
    }
    /**
    * 获取 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @return Integer
    */
    public Integer getTopicTopLimit(){
        return topicTopLimit;
    }
    /**
    * 设置 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimit
    */
    public void setTopicTopLimit(Integer topicTopLimit){
        this.topicTopLimit = topicTopLimit;
    }
    /**
    * 获取 订阅数，一个订阅请求的最大订阅数。默认:8
    * @return Integer
    */
    public Integer getDeviceSubRequestMaxNumLimit(){
        return deviceSubRequestMaxNumLimit;
    }
    /**
    * 设置 订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimit
    */
    public void setDeviceSubRequestMaxNumLimit(Integer deviceSubRequestMaxNumLimit){
        this.deviceSubRequestMaxNumLimit = deviceSubRequestMaxNumLimit;
    }
    /**
    * 获取 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @return Integer
    */
    public Integer getDeviceSubOrUnSubTimeLimit(){
        return deviceSubOrUnSubTimeLimit;
    }
    /**
    * 设置 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimit
    */
    public void setDeviceSubOrUnSubTimeLimit(Integer deviceSubOrUnSubTimeLimit){
        this.deviceSubOrUnSubTimeLimit = deviceSubOrUnSubTimeLimit;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductTopicLimitEntity) {
            ProductTopicLimitEntity tmp = (ProductTopicLimitEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",productCreateTopicNumLimit:").append(getProductCreateTopicNumLimit());
        sb.append(",topicTopLimit:").append(getTopicTopLimit());
        sb.append(",deviceSubRequestMaxNumLimit:").append(getDeviceSubRequestMaxNumLimit());
        sb.append(",deviceSubOrUnSubTimeLimit:").append(getDeviceSubOrUnSubTimeLimit());
        return sb.toString();
    }

    public void initAttrValue(){
            this.productCreateTopicNumLimit = 50;
            this.topicTopLimit = 7;
            this.deviceSubRequestMaxNumLimit = 8;
            this.deviceSubOrUnSubTimeLimit = 10;
    }
}