package com.mortals.xhx.module.product.model;

import java.util.List;
import com.mortals.xhx.module.product.model.ProductTopicLimitEntity;
/**
* 产品topic类限制查询对象
*
* @author zxfei
* @date 2021-11-09
*/
public class ProductTopicLimitQuery extends ProductTopicLimitEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50 */
    private Integer productCreateTopicNumLimitStart;

    /** 结束 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50 */
    private Integer productCreateTopicNumLimitEnd;

    /** 增加 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50 */
    private Integer productCreateTopicNumLimitIncrement;

    /** 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50列表 */
    private List <Integer> productCreateTopicNumLimitList;

    /** 开始 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7 */
    private Integer topicTopLimitStart;

    /** 结束 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7 */
    private Integer topicTopLimitEnd;

    /** 增加 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7 */
    private Integer topicTopLimitIncrement;

    /** Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7列表 */
    private List <Integer> topicTopLimitList;

    /** 开始 订阅数，一个订阅请求的最大订阅数。默认:8 */
    private Integer deviceSubRequestMaxNumLimitStart;

    /** 结束 订阅数，一个订阅请求的最大订阅数。默认:8 */
    private Integer deviceSubRequestMaxNumLimitEnd;

    /** 增加 订阅数，一个订阅请求的最大订阅数。默认:8 */
    private Integer deviceSubRequestMaxNumLimitIncrement;

    /** 订阅数，一个订阅请求的最大订阅数。默认:8列表 */
    private List <Integer> deviceSubRequestMaxNumLimitList;

    /** 开始 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒 */
    private Integer deviceSubOrUnSubTimeLimitStart;

    /** 结束 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒 */
    private Integer deviceSubOrUnSubTimeLimitEnd;

    /** 增加 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒 */
    private Integer deviceSubOrUnSubTimeLimitIncrement;

    /** 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒列表 */
    private List <Integer> deviceSubOrUnSubTimeLimitList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProductTopicLimitQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProductTopicLimitQuery> andConditionList;

    public ProductTopicLimitQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @return productCreateTopicNumLimitStart
    */
    public Integer getProductCreateTopicNumLimitStart(){
        return this.productCreateTopicNumLimitStart;
    }

    /**
    * 设置 开始 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimitStart
    */
    public void setProductCreateTopicNumLimitStart(Integer productCreateTopicNumLimitStart){
        this.productCreateTopicNumLimitStart = productCreateTopicNumLimitStart;
    }

    /**
    * 获取 结束 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @return $productCreateTopicNumLimitEnd
    */
    public Integer getProductCreateTopicNumLimitEnd(){
        return this.productCreateTopicNumLimitEnd;
    }

    /**
    * 设置 结束 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimitEnd
    */
    public void setProductCreateTopicNumLimitEnd(Integer productCreateTopicNumLimitEnd){
        this.productCreateTopicNumLimitEnd = productCreateTopicNumLimitEnd;
    }

    /**
    * 获取 增加 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @return productCreateTopicNumLimitIncrement
    */
    public Integer getProductCreateTopicNumLimitIncrement(){
        return this.productCreateTopicNumLimitIncrement;
    }

    /**
    * 设置 增加 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimitIncrement
    */
    public void setProductCreateTopicNumLimitIncrement(Integer productCreateTopicNumLimitIncrement){
        this.productCreateTopicNumLimitIncrement = productCreateTopicNumLimitIncrement;
    }

    /**
    * 获取 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @return productCreateTopicNumLimitList
    */
    public List<Integer> getProductCreateTopicNumLimitList(){
        return this.productCreateTopicNumLimitList;
    }

    /**
    * 设置 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimitList
    */
    public void setProductCreateTopicNumLimitList(List<Integer> productCreateTopicNumLimitList){
        this.productCreateTopicNumLimitList = productCreateTopicNumLimitList;
    }

    /**
    * 获取 开始 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @return topicTopLimitStart
    */
    public Integer getTopicTopLimitStart(){
        return this.topicTopLimitStart;
    }

    /**
    * 设置 开始 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimitStart
    */
    public void setTopicTopLimitStart(Integer topicTopLimitStart){
        this.topicTopLimitStart = topicTopLimitStart;
    }

    /**
    * 获取 结束 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @return $topicTopLimitEnd
    */
    public Integer getTopicTopLimitEnd(){
        return this.topicTopLimitEnd;
    }

    /**
    * 设置 结束 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimitEnd
    */
    public void setTopicTopLimitEnd(Integer topicTopLimitEnd){
        this.topicTopLimitEnd = topicTopLimitEnd;
    }

    /**
    * 获取 增加 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @return topicTopLimitIncrement
    */
    public Integer getTopicTopLimitIncrement(){
        return this.topicTopLimitIncrement;
    }

    /**
    * 设置 增加 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimitIncrement
    */
    public void setTopicTopLimitIncrement(Integer topicTopLimitIncrement){
        this.topicTopLimitIncrement = topicTopLimitIncrement;
    }

    /**
    * 获取 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @return topicTopLimitList
    */
    public List<Integer> getTopicTopLimitList(){
        return this.topicTopLimitList;
    }

    /**
    * 设置 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimitList
    */
    public void setTopicTopLimitList(List<Integer> topicTopLimitList){
        this.topicTopLimitList = topicTopLimitList;
    }

    /**
    * 获取 开始 订阅数，一个订阅请求的最大订阅数。默认:8
    * @return deviceSubRequestMaxNumLimitStart
    */
    public Integer getDeviceSubRequestMaxNumLimitStart(){
        return this.deviceSubRequestMaxNumLimitStart;
    }

    /**
    * 设置 开始 订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimitStart
    */
    public void setDeviceSubRequestMaxNumLimitStart(Integer deviceSubRequestMaxNumLimitStart){
        this.deviceSubRequestMaxNumLimitStart = deviceSubRequestMaxNumLimitStart;
    }

    /**
    * 获取 结束 订阅数，一个订阅请求的最大订阅数。默认:8
    * @return $deviceSubRequestMaxNumLimitEnd
    */
    public Integer getDeviceSubRequestMaxNumLimitEnd(){
        return this.deviceSubRequestMaxNumLimitEnd;
    }

    /**
    * 设置 结束 订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimitEnd
    */
    public void setDeviceSubRequestMaxNumLimitEnd(Integer deviceSubRequestMaxNumLimitEnd){
        this.deviceSubRequestMaxNumLimitEnd = deviceSubRequestMaxNumLimitEnd;
    }

    /**
    * 获取 增加 订阅数，一个订阅请求的最大订阅数。默认:8
    * @return deviceSubRequestMaxNumLimitIncrement
    */
    public Integer getDeviceSubRequestMaxNumLimitIncrement(){
        return this.deviceSubRequestMaxNumLimitIncrement;
    }

    /**
    * 设置 增加 订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimitIncrement
    */
    public void setDeviceSubRequestMaxNumLimitIncrement(Integer deviceSubRequestMaxNumLimitIncrement){
        this.deviceSubRequestMaxNumLimitIncrement = deviceSubRequestMaxNumLimitIncrement;
    }

    /**
    * 获取 订阅数，一个订阅请求的最大订阅数。默认:8
    * @return deviceSubRequestMaxNumLimitList
    */
    public List<Integer> getDeviceSubRequestMaxNumLimitList(){
        return this.deviceSubRequestMaxNumLimitList;
    }

    /**
    * 设置 订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimitList
    */
    public void setDeviceSubRequestMaxNumLimitList(List<Integer> deviceSubRequestMaxNumLimitList){
        this.deviceSubRequestMaxNumLimitList = deviceSubRequestMaxNumLimitList;
    }

    /**
    * 获取 开始 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @return deviceSubOrUnSubTimeLimitStart
    */
    public Integer getDeviceSubOrUnSubTimeLimitStart(){
        return this.deviceSubOrUnSubTimeLimitStart;
    }

    /**
    * 设置 开始 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimitStart
    */
    public void setDeviceSubOrUnSubTimeLimitStart(Integer deviceSubOrUnSubTimeLimitStart){
        this.deviceSubOrUnSubTimeLimitStart = deviceSubOrUnSubTimeLimitStart;
    }

    /**
    * 获取 结束 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @return $deviceSubOrUnSubTimeLimitEnd
    */
    public Integer getDeviceSubOrUnSubTimeLimitEnd(){
        return this.deviceSubOrUnSubTimeLimitEnd;
    }

    /**
    * 设置 结束 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimitEnd
    */
    public void setDeviceSubOrUnSubTimeLimitEnd(Integer deviceSubOrUnSubTimeLimitEnd){
        this.deviceSubOrUnSubTimeLimitEnd = deviceSubOrUnSubTimeLimitEnd;
    }

    /**
    * 获取 增加 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @return deviceSubOrUnSubTimeLimitIncrement
    */
    public Integer getDeviceSubOrUnSubTimeLimitIncrement(){
        return this.deviceSubOrUnSubTimeLimitIncrement;
    }

    /**
    * 设置 增加 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimitIncrement
    */
    public void setDeviceSubOrUnSubTimeLimitIncrement(Integer deviceSubOrUnSubTimeLimitIncrement){
        this.deviceSubOrUnSubTimeLimitIncrement = deviceSubOrUnSubTimeLimitIncrement;
    }

    /**
    * 获取 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @return deviceSubOrUnSubTimeLimitList
    */
    public List<Integer> getDeviceSubOrUnSubTimeLimitList(){
        return this.deviceSubOrUnSubTimeLimitList;
    }

    /**
    * 设置 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimitList
    */
    public void setDeviceSubOrUnSubTimeLimitList(List<Integer> deviceSubOrUnSubTimeLimitList){
        this.deviceSubOrUnSubTimeLimitList = deviceSubOrUnSubTimeLimitList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProductTopicLimitQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProductTopicLimitQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProductTopicLimitQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProductTopicLimitQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProductTopicLimitQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimit
    */
    public ProductTopicLimitQuery productCreateTopicNumLimit(Integer productCreateTopicNumLimit){
	    setProductCreateTopicNumLimit(productCreateTopicNumLimit);
		return this;
    }
	
	 /**
    * 设置 开始 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimitStart
    */
    public ProductTopicLimitQuery productCreateTopicNumLimitStart(Integer productCreateTopicNumLimitStart){
		this.productCreateTopicNumLimitStart = productCreateTopicNumLimitStart;
		return this;
    }

    /**
    * 设置 结束 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimitEnd
    */
    public ProductTopicLimitQuery productCreateTopicNumLimitEnd(Integer productCreateTopicNumLimitEnd){
		this.productCreateTopicNumLimitEnd = productCreateTopicNumLimitEnd;
		return this;
    }

    /**
    * 设置 增加 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimitIncrement
    */
    public ProductTopicLimitQuery productCreateTopicNumLimitIncrement(Integer productCreateTopicNumLimitIncrement){
		this.productCreateTopicNumLimitIncrement = productCreateTopicNumLimitIncrement;
		return this;
    }

    /**
    * 设置 自定义Topic类数量，一个产品最多可以定义50个Topic类。默认:50
    * @param productCreateTopicNumLimitList
    */
    public ProductTopicLimitQuery productCreateTopicNumLimitList(List<Integer> productCreateTopicNumLimitList){
        this.productCreateTopicNumLimitList = productCreateTopicNumLimitList;
		return this;
        }

    /**
    * 设置  Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimit
    */
    public ProductTopicLimitQuery topicTopLimit(Integer topicTopLimit){
	    setTopicTopLimit(topicTopLimit);
		return this;
    }
	
	 /**
    * 设置 开始 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimitStart
    */
    public ProductTopicLimitQuery topicTopLimitStart(Integer topicTopLimitStart){
		this.topicTopLimitStart = topicTopLimitStart;
		return this;
    }

    /**
    * 设置 结束 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimitEnd
    */
    public ProductTopicLimitQuery topicTopLimitEnd(Integer topicTopLimitEnd){
		this.topicTopLimitEnd = topicTopLimitEnd;
		return this;
    }

    /**
    * 设置 增加 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimitIncrement
    */
    public ProductTopicLimitQuery topicTopLimitIncrement(Integer topicTopLimitIncrement){
		this.topicTopLimitIncrement = topicTopLimitIncrement;
		return this;
    }

    /**
    * 设置 Topic类目，一个Topic中最多可包含多少个层级类目，即Topic中斜杠的最大数量。默认:7
    * @param topicTopLimitList
    */
    public ProductTopicLimitQuery topicTopLimitList(List<Integer> topicTopLimitList){
        this.topicTopLimitList = topicTopLimitList;
		return this;
        }

    /**
    * 设置  订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimit
    */
    public ProductTopicLimitQuery deviceSubRequestMaxNumLimit(Integer deviceSubRequestMaxNumLimit){
	    setDeviceSubRequestMaxNumLimit(deviceSubRequestMaxNumLimit);
		return this;
    }
	
	 /**
    * 设置 开始 订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimitStart
    */
    public ProductTopicLimitQuery deviceSubRequestMaxNumLimitStart(Integer deviceSubRequestMaxNumLimitStart){
		this.deviceSubRequestMaxNumLimitStart = deviceSubRequestMaxNumLimitStart;
		return this;
    }

    /**
    * 设置 结束 订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimitEnd
    */
    public ProductTopicLimitQuery deviceSubRequestMaxNumLimitEnd(Integer deviceSubRequestMaxNumLimitEnd){
		this.deviceSubRequestMaxNumLimitEnd = deviceSubRequestMaxNumLimitEnd;
		return this;
    }

    /**
    * 设置 增加 订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimitIncrement
    */
    public ProductTopicLimitQuery deviceSubRequestMaxNumLimitIncrement(Integer deviceSubRequestMaxNumLimitIncrement){
		this.deviceSubRequestMaxNumLimitIncrement = deviceSubRequestMaxNumLimitIncrement;
		return this;
    }

    /**
    * 设置 订阅数，一个订阅请求的最大订阅数。默认:8
    * @param deviceSubRequestMaxNumLimitList
    */
    public ProductTopicLimitQuery deviceSubRequestMaxNumLimitList(List<Integer> deviceSubRequestMaxNumLimitList){
        this.deviceSubRequestMaxNumLimitList = deviceSubRequestMaxNumLimitList;
		return this;
        }

    /**
    * 设置  订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimit
    */
    public ProductTopicLimitQuery deviceSubOrUnSubTimeLimit(Integer deviceSubOrUnSubTimeLimit){
	    setDeviceSubOrUnSubTimeLimit(deviceSubOrUnSubTimeLimit);
		return this;
    }
	
	 /**
    * 设置 开始 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimitStart
    */
    public ProductTopicLimitQuery deviceSubOrUnSubTimeLimitStart(Integer deviceSubOrUnSubTimeLimitStart){
		this.deviceSubOrUnSubTimeLimitStart = deviceSubOrUnSubTimeLimitStart;
		return this;
    }

    /**
    * 设置 结束 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimitEnd
    */
    public ProductTopicLimitQuery deviceSubOrUnSubTimeLimitEnd(Integer deviceSubOrUnSubTimeLimitEnd){
		this.deviceSubOrUnSubTimeLimitEnd = deviceSubOrUnSubTimeLimitEnd;
		return this;
    }

    /**
    * 设置 增加 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimitIncrement
    */
    public ProductTopicLimitQuery deviceSubOrUnSubTimeLimitIncrement(Integer deviceSubOrUnSubTimeLimitIncrement){
		this.deviceSubOrUnSubTimeLimitIncrement = deviceSubOrUnSubTimeLimitIncrement;
		return this;
    }

    /**
    * 设置 订阅操作生效时间，订阅和取消订阅都是操作10秒后生效，一次订阅永久生效。默认:10秒
    * @param deviceSubOrUnSubTimeLimitList
    */
    public ProductTopicLimitQuery deviceSubOrUnSubTimeLimitList(List<Integer> deviceSubOrUnSubTimeLimitList){
        this.deviceSubOrUnSubTimeLimitList = deviceSubOrUnSubTimeLimitList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProductTopicLimitQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProductTopicLimitQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProductTopicLimitQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProductTopicLimitQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}