package com.mortals.xhx.module.product.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.product.model.vo.ProductTslLimitVo;
/**
* 物模型功能限制实体对象
*
* @author zxfei
* @date 2021-11-09
*/

public class ProductTslLimitEntity extends ProductTslLimitVo {
    private static final long serialVersionUID = 1L;

    /**
    * 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    */
    private Integer productTSLNum;
    /**
    * 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    */
    private Integer TSLFunctionNum;
    /**
    * Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    */
    private Integer TSLStructParameterNum;
    /**
    * enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    */
    private Integer TSLDataTpyeEnumNum;
    /**
    * 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    */
    private Integer TSLDataTpyeTextLength;
    /**
    * 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    */
    private Integer TSLDataTpyeArrayNum;
    /**
    * 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    */
    private Integer TSLServiceEventParameterNum;
    /**
    * 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    */
    private Integer TSLServiceInParameterNum;
    /**
    * 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    */
    private Integer TSLServiceOutParameterNum;
    /**
    * 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    */
    private Integer TSLEventOutParameterNum;
    /**
    * 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    */
    private Integer TSLDraftVersionNum;
    /**
    * 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    */
    private Integer TSLExportJsonFileSize;
    /**
    * 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    */
    private Integer TSLExportMoreJsonFileSize;



    public ProductTslLimitEntity(){}
    /**
    * 获取 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @return Integer
    */
    public Integer getProductTSLNum(){
        return productTSLNum;
    }
    /**
    * 设置 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNum
    */
    public void setProductTSLNum(Integer productTSLNum){
        this.productTSLNum = productTSLNum;
    }
    /**
    * 获取 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @return Integer
    */
    public Integer getTSLFunctionNum(){
        return TSLFunctionNum;
    }
    /**
    * 设置 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNum
    */
    public void setTSLFunctionNum(Integer TSLFunctionNum){
        this.TSLFunctionNum = TSLFunctionNum;
    }
    /**
    * 获取 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @return Integer
    */
    public Integer getTSLStructParameterNum(){
        return TSLStructParameterNum;
    }
    /**
    * 设置 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNum
    */
    public void setTSLStructParameterNum(Integer TSLStructParameterNum){
        this.TSLStructParameterNum = TSLStructParameterNum;
    }
    /**
    * 获取 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @return Integer
    */
    public Integer getTSLDataTpyeEnumNum(){
        return TSLDataTpyeEnumNum;
    }
    /**
    * 设置 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNum
    */
    public void setTSLDataTpyeEnumNum(Integer TSLDataTpyeEnumNum){
        this.TSLDataTpyeEnumNum = TSLDataTpyeEnumNum;
    }
    /**
    * 获取 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @return Integer
    */
    public Integer getTSLDataTpyeTextLength(){
        return TSLDataTpyeTextLength;
    }
    /**
    * 设置 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLength
    */
    public void setTSLDataTpyeTextLength(Integer TSLDataTpyeTextLength){
        this.TSLDataTpyeTextLength = TSLDataTpyeTextLength;
    }
    /**
    * 获取 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @return Integer
    */
    public Integer getTSLDataTpyeArrayNum(){
        return TSLDataTpyeArrayNum;
    }
    /**
    * 设置 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNum
    */
    public void setTSLDataTpyeArrayNum(Integer TSLDataTpyeArrayNum){
        this.TSLDataTpyeArrayNum = TSLDataTpyeArrayNum;
    }
    /**
    * 获取 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @return Integer
    */
    public Integer getTSLServiceEventParameterNum(){
        return TSLServiceEventParameterNum;
    }
    /**
    * 设置 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNum
    */
    public void setTSLServiceEventParameterNum(Integer TSLServiceEventParameterNum){
        this.TSLServiceEventParameterNum = TSLServiceEventParameterNum;
    }
    /**
    * 获取 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @return Integer
    */
    public Integer getTSLServiceInParameterNum(){
        return TSLServiceInParameterNum;
    }
    /**
    * 设置 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNum
    */
    public void setTSLServiceInParameterNum(Integer TSLServiceInParameterNum){
        this.TSLServiceInParameterNum = TSLServiceInParameterNum;
    }
    /**
    * 获取 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @return Integer
    */
    public Integer getTSLServiceOutParameterNum(){
        return TSLServiceOutParameterNum;
    }
    /**
    * 设置 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNum
    */
    public void setTSLServiceOutParameterNum(Integer TSLServiceOutParameterNum){
        this.TSLServiceOutParameterNum = TSLServiceOutParameterNum;
    }
    /**
    * 获取 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @return Integer
    */
    public Integer getTSLEventOutParameterNum(){
        return TSLEventOutParameterNum;
    }
    /**
    * 设置 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNum
    */
    public void setTSLEventOutParameterNum(Integer TSLEventOutParameterNum){
        this.TSLEventOutParameterNum = TSLEventOutParameterNum;
    }
    /**
    * 获取 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @return Integer
    */
    public Integer getTSLDraftVersionNum(){
        return TSLDraftVersionNum;
    }
    /**
    * 设置 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNum
    */
    public void setTSLDraftVersionNum(Integer TSLDraftVersionNum){
        this.TSLDraftVersionNum = TSLDraftVersionNum;
    }
    /**
    * 获取 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @return Integer
    */
    public Integer getTSLExportJsonFileSize(){
        return TSLExportJsonFileSize;
    }
    /**
    * 设置 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSize
    */
    public void setTSLExportJsonFileSize(Integer TSLExportJsonFileSize){
        this.TSLExportJsonFileSize = TSLExportJsonFileSize;
    }
    /**
    * 获取 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @return Integer
    */
    public Integer getTSLExportMoreJsonFileSize(){
        return TSLExportMoreJsonFileSize;
    }
    /**
    * 设置 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSize
    */
    public void setTSLExportMoreJsonFileSize(Integer TSLExportMoreJsonFileSize){
        this.TSLExportMoreJsonFileSize = TSLExportMoreJsonFileSize;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductTslLimitEntity) {
            ProductTslLimitEntity tmp = (ProductTslLimitEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",productTSLNum:").append(getProductTSLNum());
        sb.append(",TSLFunctionNum:").append(getTSLFunctionNum());
        sb.append(",TSLStructParameterNum:").append(getTSLStructParameterNum());
        sb.append(",TSLDataTpyeEnumNum:").append(getTSLDataTpyeEnumNum());
        sb.append(",TSLDataTpyeTextLength:").append(getTSLDataTpyeTextLength());
        sb.append(",TSLDataTpyeArrayNum:").append(getTSLDataTpyeArrayNum());
        sb.append(",TSLServiceEventParameterNum:").append(getTSLServiceEventParameterNum());
        sb.append(",TSLServiceInParameterNum:").append(getTSLServiceInParameterNum());
        sb.append(",TSLServiceOutParameterNum:").append(getTSLServiceOutParameterNum());
        sb.append(",TSLEventOutParameterNum:").append(getTSLEventOutParameterNum());
        sb.append(",TSLDraftVersionNum:").append(getTSLDraftVersionNum());
        sb.append(",TSLExportJsonFileSize:").append(getTSLExportJsonFileSize());
        sb.append(",TSLExportMoreJsonFileSize:").append(getTSLExportMoreJsonFileSize());
        return sb.toString();
    }

    public void initAttrValue(){
            this.productTSLNum = 10;
            this.TSLFunctionNum = 300;
            this.TSLStructParameterNum = 300;
            this.TSLDataTpyeEnumNum = 100;
            this.TSLDataTpyeTextLength = 10240;
            this.TSLDataTpyeArrayNum = 512;
            this.TSLServiceEventParameterNum = 300;
            this.TSLServiceInParameterNum = 100;
            this.TSLServiceOutParameterNum = 100;
            this.TSLEventOutParameterNum = 300;
            this.TSLDraftVersionNum = 10;
            this.TSLExportJsonFileSize = 256;
            this.TSLExportMoreJsonFileSize = 2;
    }
}