package com.mortals.xhx.module.product.model;

import java.util.List;
import com.mortals.xhx.module.product.model.ProductTslLimitEntity;
/**
* 物模型功能限制查询对象
*
* @author zxfei
* @date 2021-11-09
*/
public class ProductTslLimitQuery extends ProductTslLimitEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10 */
    private Integer productTSLNumStart;

    /** 结束 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10 */
    private Integer productTSLNumEnd;

    /** 增加 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10 */
    private Integer productTSLNumIncrement;

    /** 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10列表 */
    private List <Integer> productTSLNumList;

    /** 开始 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300 */
    private Integer TSLFunctionNumStart;

    /** 结束 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300 */
    private Integer TSLFunctionNumEnd;

    /** 增加 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300 */
    private Integer TSLFunctionNumIncrement;

    /** 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300列表 */
    private List <Integer> TSLFunctionNumList;

    /** 开始 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300 */
    private Integer TSLStructParameterNumStart;

    /** 结束 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300 */
    private Integer TSLStructParameterNumEnd;

    /** 增加 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300 */
    private Integer TSLStructParameterNumIncrement;

    /** Struct参数个数，struct类的属性最多可添加的参数个数，默认:300列表 */
    private List <Integer> TSLStructParameterNumList;

    /** 开始 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100 */
    private Integer TSLDataTpyeEnumNumStart;

    /** 结束 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100 */
    private Integer TSLDataTpyeEnumNumEnd;

    /** 增加 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100 */
    private Integer TSLDataTpyeEnumNumIncrement;

    /** enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100列表 */
    private List <Integer> TSLDataTpyeEnumNumList;

    /** 开始 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符 */
    private Integer TSLDataTpyeTextLengthStart;

    /** 结束 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符 */
    private Integer TSLDataTpyeTextLengthEnd;

    /** 增加 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符 */
    private Integer TSLDataTpyeTextLengthIncrement;

    /** 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符列表 */
    private List <Integer> TSLDataTpyeTextLengthList;

    /** 开始 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个 */
    private Integer TSLDataTpyeArrayNumStart;

    /** 结束 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个 */
    private Integer TSLDataTpyeArrayNumEnd;

    /** 增加 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个 */
    private Integer TSLDataTpyeArrayNumIncrement;

    /** 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个列表 */
    private List <Integer> TSLDataTpyeArrayNumList;

    /** 开始 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个 */
    private Integer TSLServiceEventParameterNumStart;

    /** 结束 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个 */
    private Integer TSLServiceEventParameterNumEnd;

    /** 增加 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个 */
    private Integer TSLServiceEventParameterNumIncrement;

    /** 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个列表 */
    private List <Integer> TSLServiceEventParameterNumList;

    /** 开始 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个 */
    private Integer TSLServiceInParameterNumStart;

    /** 结束 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个 */
    private Integer TSLServiceInParameterNumEnd;

    /** 增加 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个 */
    private Integer TSLServiceInParameterNumIncrement;

    /** 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个列表 */
    private List <Integer> TSLServiceInParameterNumList;

    /** 开始 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个 */
    private Integer TSLServiceOutParameterNumStart;

    /** 结束 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个 */
    private Integer TSLServiceOutParameterNumEnd;

    /** 增加 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个 */
    private Integer TSLServiceOutParameterNumIncrement;

    /** 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个列表 */
    private List <Integer> TSLServiceOutParameterNumList;

    /** 开始 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个 */
    private Integer TSLEventOutParameterNumStart;

    /** 结束 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个 */
    private Integer TSLEventOutParameterNumEnd;

    /** 增加 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个 */
    private Integer TSLEventOutParameterNumIncrement;

    /** 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个列表 */
    private List <Integer> TSLEventOutParameterNumList;

    /** 开始 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个 */
    private Integer TSLDraftVersionNumStart;

    /** 结束 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个 */
    private Integer TSLDraftVersionNumEnd;

    /** 增加 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个 */
    private Integer TSLDraftVersionNumIncrement;

    /** 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个列表 */
    private List <Integer> TSLDraftVersionNumList;

    /** 开始 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K */
    private Integer TSLExportJsonFileSizeStart;

    /** 结束 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K */
    private Integer TSLExportJsonFileSizeEnd;

    /** 增加 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K */
    private Integer TSLExportJsonFileSizeIncrement;

    /** 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K列表 */
    private List <Integer> TSLExportJsonFileSizeList;

    /** 开始 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M */
    private Integer TSLExportMoreJsonFileSizeStart;

    /** 结束 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M */
    private Integer TSLExportMoreJsonFileSizeEnd;

    /** 增加 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M */
    private Integer TSLExportMoreJsonFileSizeIncrement;

    /** 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M列表 */
    private List <Integer> TSLExportMoreJsonFileSizeList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProductTslLimitQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProductTslLimitQuery> andConditionList;

    public ProductTslLimitQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @return productTSLNumStart
    */
    public Integer getProductTSLNumStart(){
        return this.productTSLNumStart;
    }

    /**
    * 设置 开始 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNumStart
    */
    public void setProductTSLNumStart(Integer productTSLNumStart){
        this.productTSLNumStart = productTSLNumStart;
    }

    /**
    * 获取 结束 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @return $productTSLNumEnd
    */
    public Integer getProductTSLNumEnd(){
        return this.productTSLNumEnd;
    }

    /**
    * 设置 结束 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNumEnd
    */
    public void setProductTSLNumEnd(Integer productTSLNumEnd){
        this.productTSLNumEnd = productTSLNumEnd;
    }

    /**
    * 获取 增加 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @return productTSLNumIncrement
    */
    public Integer getProductTSLNumIncrement(){
        return this.productTSLNumIncrement;
    }

    /**
    * 设置 增加 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNumIncrement
    */
    public void setProductTSLNumIncrement(Integer productTSLNumIncrement){
        this.productTSLNumIncrement = productTSLNumIncrement;
    }

    /**
    * 获取 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @return productTSLNumList
    */
    public List<Integer> getProductTSLNumList(){
        return this.productTSLNumList;
    }

    /**
    * 设置 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNumList
    */
    public void setProductTSLNumList(List<Integer> productTSLNumList){
        this.productTSLNumList = productTSLNumList;
    }

    /**
    * 获取 开始 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @return TSLFunctionNumStart
    */
    public Integer getTSLFunctionNumStart(){
        return this.TSLFunctionNumStart;
    }

    /**
    * 设置 开始 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNumStart
    */
    public void setTSLFunctionNumStart(Integer TSLFunctionNumStart){
        this.TSLFunctionNumStart = TSLFunctionNumStart;
    }

    /**
    * 获取 结束 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @return $TSLFunctionNumEnd
    */
    public Integer getTSLFunctionNumEnd(){
        return this.TSLFunctionNumEnd;
    }

    /**
    * 设置 结束 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNumEnd
    */
    public void setTSLFunctionNumEnd(Integer TSLFunctionNumEnd){
        this.TSLFunctionNumEnd = TSLFunctionNumEnd;
    }

    /**
    * 获取 增加 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @return TSLFunctionNumIncrement
    */
    public Integer getTSLFunctionNumIncrement(){
        return this.TSLFunctionNumIncrement;
    }

    /**
    * 设置 增加 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNumIncrement
    */
    public void setTSLFunctionNumIncrement(Integer TSLFunctionNumIncrement){
        this.TSLFunctionNumIncrement = TSLFunctionNumIncrement;
    }

    /**
    * 获取 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @return TSLFunctionNumList
    */
    public List<Integer> getTSLFunctionNumList(){
        return this.TSLFunctionNumList;
    }

    /**
    * 设置 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNumList
    */
    public void setTSLFunctionNumList(List<Integer> TSLFunctionNumList){
        this.TSLFunctionNumList = TSLFunctionNumList;
    }

    /**
    * 获取 开始 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @return TSLStructParameterNumStart
    */
    public Integer getTSLStructParameterNumStart(){
        return this.TSLStructParameterNumStart;
    }

    /**
    * 设置 开始 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNumStart
    */
    public void setTSLStructParameterNumStart(Integer TSLStructParameterNumStart){
        this.TSLStructParameterNumStart = TSLStructParameterNumStart;
    }

    /**
    * 获取 结束 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @return $TSLStructParameterNumEnd
    */
    public Integer getTSLStructParameterNumEnd(){
        return this.TSLStructParameterNumEnd;
    }

    /**
    * 设置 结束 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNumEnd
    */
    public void setTSLStructParameterNumEnd(Integer TSLStructParameterNumEnd){
        this.TSLStructParameterNumEnd = TSLStructParameterNumEnd;
    }

    /**
    * 获取 增加 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @return TSLStructParameterNumIncrement
    */
    public Integer getTSLStructParameterNumIncrement(){
        return this.TSLStructParameterNumIncrement;
    }

    /**
    * 设置 增加 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNumIncrement
    */
    public void setTSLStructParameterNumIncrement(Integer TSLStructParameterNumIncrement){
        this.TSLStructParameterNumIncrement = TSLStructParameterNumIncrement;
    }

    /**
    * 获取 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @return TSLStructParameterNumList
    */
    public List<Integer> getTSLStructParameterNumList(){
        return this.TSLStructParameterNumList;
    }

    /**
    * 设置 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNumList
    */
    public void setTSLStructParameterNumList(List<Integer> TSLStructParameterNumList){
        this.TSLStructParameterNumList = TSLStructParameterNumList;
    }

    /**
    * 获取 开始 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @return TSLDataTpyeEnumNumStart
    */
    public Integer getTSLDataTpyeEnumNumStart(){
        return this.TSLDataTpyeEnumNumStart;
    }

    /**
    * 设置 开始 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNumStart
    */
    public void setTSLDataTpyeEnumNumStart(Integer TSLDataTpyeEnumNumStart){
        this.TSLDataTpyeEnumNumStart = TSLDataTpyeEnumNumStart;
    }

    /**
    * 获取 结束 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @return $TSLDataTpyeEnumNumEnd
    */
    public Integer getTSLDataTpyeEnumNumEnd(){
        return this.TSLDataTpyeEnumNumEnd;
    }

    /**
    * 设置 结束 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNumEnd
    */
    public void setTSLDataTpyeEnumNumEnd(Integer TSLDataTpyeEnumNumEnd){
        this.TSLDataTpyeEnumNumEnd = TSLDataTpyeEnumNumEnd;
    }

    /**
    * 获取 增加 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @return TSLDataTpyeEnumNumIncrement
    */
    public Integer getTSLDataTpyeEnumNumIncrement(){
        return this.TSLDataTpyeEnumNumIncrement;
    }

    /**
    * 设置 增加 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNumIncrement
    */
    public void setTSLDataTpyeEnumNumIncrement(Integer TSLDataTpyeEnumNumIncrement){
        this.TSLDataTpyeEnumNumIncrement = TSLDataTpyeEnumNumIncrement;
    }

    /**
    * 获取 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @return TSLDataTpyeEnumNumList
    */
    public List<Integer> getTSLDataTpyeEnumNumList(){
        return this.TSLDataTpyeEnumNumList;
    }

    /**
    * 设置 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNumList
    */
    public void setTSLDataTpyeEnumNumList(List<Integer> TSLDataTpyeEnumNumList){
        this.TSLDataTpyeEnumNumList = TSLDataTpyeEnumNumList;
    }

    /**
    * 获取 开始 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @return TSLDataTpyeTextLengthStart
    */
    public Integer getTSLDataTpyeTextLengthStart(){
        return this.TSLDataTpyeTextLengthStart;
    }

    /**
    * 设置 开始 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLengthStart
    */
    public void setTSLDataTpyeTextLengthStart(Integer TSLDataTpyeTextLengthStart){
        this.TSLDataTpyeTextLengthStart = TSLDataTpyeTextLengthStart;
    }

    /**
    * 获取 结束 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @return $TSLDataTpyeTextLengthEnd
    */
    public Integer getTSLDataTpyeTextLengthEnd(){
        return this.TSLDataTpyeTextLengthEnd;
    }

    /**
    * 设置 结束 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLengthEnd
    */
    public void setTSLDataTpyeTextLengthEnd(Integer TSLDataTpyeTextLengthEnd){
        this.TSLDataTpyeTextLengthEnd = TSLDataTpyeTextLengthEnd;
    }

    /**
    * 获取 增加 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @return TSLDataTpyeTextLengthIncrement
    */
    public Integer getTSLDataTpyeTextLengthIncrement(){
        return this.TSLDataTpyeTextLengthIncrement;
    }

    /**
    * 设置 增加 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLengthIncrement
    */
    public void setTSLDataTpyeTextLengthIncrement(Integer TSLDataTpyeTextLengthIncrement){
        this.TSLDataTpyeTextLengthIncrement = TSLDataTpyeTextLengthIncrement;
    }

    /**
    * 获取 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @return TSLDataTpyeTextLengthList
    */
    public List<Integer> getTSLDataTpyeTextLengthList(){
        return this.TSLDataTpyeTextLengthList;
    }

    /**
    * 设置 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLengthList
    */
    public void setTSLDataTpyeTextLengthList(List<Integer> TSLDataTpyeTextLengthList){
        this.TSLDataTpyeTextLengthList = TSLDataTpyeTextLengthList;
    }

    /**
    * 获取 开始 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @return TSLDataTpyeArrayNumStart
    */
    public Integer getTSLDataTpyeArrayNumStart(){
        return this.TSLDataTpyeArrayNumStart;
    }

    /**
    * 设置 开始 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNumStart
    */
    public void setTSLDataTpyeArrayNumStart(Integer TSLDataTpyeArrayNumStart){
        this.TSLDataTpyeArrayNumStart = TSLDataTpyeArrayNumStart;
    }

    /**
    * 获取 结束 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @return $TSLDataTpyeArrayNumEnd
    */
    public Integer getTSLDataTpyeArrayNumEnd(){
        return this.TSLDataTpyeArrayNumEnd;
    }

    /**
    * 设置 结束 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNumEnd
    */
    public void setTSLDataTpyeArrayNumEnd(Integer TSLDataTpyeArrayNumEnd){
        this.TSLDataTpyeArrayNumEnd = TSLDataTpyeArrayNumEnd;
    }

    /**
    * 获取 增加 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @return TSLDataTpyeArrayNumIncrement
    */
    public Integer getTSLDataTpyeArrayNumIncrement(){
        return this.TSLDataTpyeArrayNumIncrement;
    }

    /**
    * 设置 增加 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNumIncrement
    */
    public void setTSLDataTpyeArrayNumIncrement(Integer TSLDataTpyeArrayNumIncrement){
        this.TSLDataTpyeArrayNumIncrement = TSLDataTpyeArrayNumIncrement;
    }

    /**
    * 获取 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @return TSLDataTpyeArrayNumList
    */
    public List<Integer> getTSLDataTpyeArrayNumList(){
        return this.TSLDataTpyeArrayNumList;
    }

    /**
    * 设置 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNumList
    */
    public void setTSLDataTpyeArrayNumList(List<Integer> TSLDataTpyeArrayNumList){
        this.TSLDataTpyeArrayNumList = TSLDataTpyeArrayNumList;
    }

    /**
    * 获取 开始 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @return TSLServiceEventParameterNumStart
    */
    public Integer getTSLServiceEventParameterNumStart(){
        return this.TSLServiceEventParameterNumStart;
    }

    /**
    * 设置 开始 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNumStart
    */
    public void setTSLServiceEventParameterNumStart(Integer TSLServiceEventParameterNumStart){
        this.TSLServiceEventParameterNumStart = TSLServiceEventParameterNumStart;
    }

    /**
    * 获取 结束 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @return $TSLServiceEventParameterNumEnd
    */
    public Integer getTSLServiceEventParameterNumEnd(){
        return this.TSLServiceEventParameterNumEnd;
    }

    /**
    * 设置 结束 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNumEnd
    */
    public void setTSLServiceEventParameterNumEnd(Integer TSLServiceEventParameterNumEnd){
        this.TSLServiceEventParameterNumEnd = TSLServiceEventParameterNumEnd;
    }

    /**
    * 获取 增加 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @return TSLServiceEventParameterNumIncrement
    */
    public Integer getTSLServiceEventParameterNumIncrement(){
        return this.TSLServiceEventParameterNumIncrement;
    }

    /**
    * 设置 增加 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNumIncrement
    */
    public void setTSLServiceEventParameterNumIncrement(Integer TSLServiceEventParameterNumIncrement){
        this.TSLServiceEventParameterNumIncrement = TSLServiceEventParameterNumIncrement;
    }

    /**
    * 获取 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @return TSLServiceEventParameterNumList
    */
    public List<Integer> getTSLServiceEventParameterNumList(){
        return this.TSLServiceEventParameterNumList;
    }

    /**
    * 设置 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNumList
    */
    public void setTSLServiceEventParameterNumList(List<Integer> TSLServiceEventParameterNumList){
        this.TSLServiceEventParameterNumList = TSLServiceEventParameterNumList;
    }

    /**
    * 获取 开始 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @return TSLServiceInParameterNumStart
    */
    public Integer getTSLServiceInParameterNumStart(){
        return this.TSLServiceInParameterNumStart;
    }

    /**
    * 设置 开始 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNumStart
    */
    public void setTSLServiceInParameterNumStart(Integer TSLServiceInParameterNumStart){
        this.TSLServiceInParameterNumStart = TSLServiceInParameterNumStart;
    }

    /**
    * 获取 结束 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @return $TSLServiceInParameterNumEnd
    */
    public Integer getTSLServiceInParameterNumEnd(){
        return this.TSLServiceInParameterNumEnd;
    }

    /**
    * 设置 结束 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNumEnd
    */
    public void setTSLServiceInParameterNumEnd(Integer TSLServiceInParameterNumEnd){
        this.TSLServiceInParameterNumEnd = TSLServiceInParameterNumEnd;
    }

    /**
    * 获取 增加 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @return TSLServiceInParameterNumIncrement
    */
    public Integer getTSLServiceInParameterNumIncrement(){
        return this.TSLServiceInParameterNumIncrement;
    }

    /**
    * 设置 增加 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNumIncrement
    */
    public void setTSLServiceInParameterNumIncrement(Integer TSLServiceInParameterNumIncrement){
        this.TSLServiceInParameterNumIncrement = TSLServiceInParameterNumIncrement;
    }

    /**
    * 获取 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @return TSLServiceInParameterNumList
    */
    public List<Integer> getTSLServiceInParameterNumList(){
        return this.TSLServiceInParameterNumList;
    }

    /**
    * 设置 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNumList
    */
    public void setTSLServiceInParameterNumList(List<Integer> TSLServiceInParameterNumList){
        this.TSLServiceInParameterNumList = TSLServiceInParameterNumList;
    }

    /**
    * 获取 开始 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @return TSLServiceOutParameterNumStart
    */
    public Integer getTSLServiceOutParameterNumStart(){
        return this.TSLServiceOutParameterNumStart;
    }

    /**
    * 设置 开始 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNumStart
    */
    public void setTSLServiceOutParameterNumStart(Integer TSLServiceOutParameterNumStart){
        this.TSLServiceOutParameterNumStart = TSLServiceOutParameterNumStart;
    }

    /**
    * 获取 结束 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @return $TSLServiceOutParameterNumEnd
    */
    public Integer getTSLServiceOutParameterNumEnd(){
        return this.TSLServiceOutParameterNumEnd;
    }

    /**
    * 设置 结束 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNumEnd
    */
    public void setTSLServiceOutParameterNumEnd(Integer TSLServiceOutParameterNumEnd){
        this.TSLServiceOutParameterNumEnd = TSLServiceOutParameterNumEnd;
    }

    /**
    * 获取 增加 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @return TSLServiceOutParameterNumIncrement
    */
    public Integer getTSLServiceOutParameterNumIncrement(){
        return this.TSLServiceOutParameterNumIncrement;
    }

    /**
    * 设置 增加 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNumIncrement
    */
    public void setTSLServiceOutParameterNumIncrement(Integer TSLServiceOutParameterNumIncrement){
        this.TSLServiceOutParameterNumIncrement = TSLServiceOutParameterNumIncrement;
    }

    /**
    * 获取 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @return TSLServiceOutParameterNumList
    */
    public List<Integer> getTSLServiceOutParameterNumList(){
        return this.TSLServiceOutParameterNumList;
    }

    /**
    * 设置 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNumList
    */
    public void setTSLServiceOutParameterNumList(List<Integer> TSLServiceOutParameterNumList){
        this.TSLServiceOutParameterNumList = TSLServiceOutParameterNumList;
    }

    /**
    * 获取 开始 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @return TSLEventOutParameterNumStart
    */
    public Integer getTSLEventOutParameterNumStart(){
        return this.TSLEventOutParameterNumStart;
    }

    /**
    * 设置 开始 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNumStart
    */
    public void setTSLEventOutParameterNumStart(Integer TSLEventOutParameterNumStart){
        this.TSLEventOutParameterNumStart = TSLEventOutParameterNumStart;
    }

    /**
    * 获取 结束 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @return $TSLEventOutParameterNumEnd
    */
    public Integer getTSLEventOutParameterNumEnd(){
        return this.TSLEventOutParameterNumEnd;
    }

    /**
    * 设置 结束 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNumEnd
    */
    public void setTSLEventOutParameterNumEnd(Integer TSLEventOutParameterNumEnd){
        this.TSLEventOutParameterNumEnd = TSLEventOutParameterNumEnd;
    }

    /**
    * 获取 增加 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @return TSLEventOutParameterNumIncrement
    */
    public Integer getTSLEventOutParameterNumIncrement(){
        return this.TSLEventOutParameterNumIncrement;
    }

    /**
    * 设置 增加 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNumIncrement
    */
    public void setTSLEventOutParameterNumIncrement(Integer TSLEventOutParameterNumIncrement){
        this.TSLEventOutParameterNumIncrement = TSLEventOutParameterNumIncrement;
    }

    /**
    * 获取 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @return TSLEventOutParameterNumList
    */
    public List<Integer> getTSLEventOutParameterNumList(){
        return this.TSLEventOutParameterNumList;
    }

    /**
    * 设置 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNumList
    */
    public void setTSLEventOutParameterNumList(List<Integer> TSLEventOutParameterNumList){
        this.TSLEventOutParameterNumList = TSLEventOutParameterNumList;
    }

    /**
    * 获取 开始 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @return TSLDraftVersionNumStart
    */
    public Integer getTSLDraftVersionNumStart(){
        return this.TSLDraftVersionNumStart;
    }

    /**
    * 设置 开始 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNumStart
    */
    public void setTSLDraftVersionNumStart(Integer TSLDraftVersionNumStart){
        this.TSLDraftVersionNumStart = TSLDraftVersionNumStart;
    }

    /**
    * 获取 结束 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @return $TSLDraftVersionNumEnd
    */
    public Integer getTSLDraftVersionNumEnd(){
        return this.TSLDraftVersionNumEnd;
    }

    /**
    * 设置 结束 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNumEnd
    */
    public void setTSLDraftVersionNumEnd(Integer TSLDraftVersionNumEnd){
        this.TSLDraftVersionNumEnd = TSLDraftVersionNumEnd;
    }

    /**
    * 获取 增加 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @return TSLDraftVersionNumIncrement
    */
    public Integer getTSLDraftVersionNumIncrement(){
        return this.TSLDraftVersionNumIncrement;
    }

    /**
    * 设置 增加 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNumIncrement
    */
    public void setTSLDraftVersionNumIncrement(Integer TSLDraftVersionNumIncrement){
        this.TSLDraftVersionNumIncrement = TSLDraftVersionNumIncrement;
    }

    /**
    * 获取 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @return TSLDraftVersionNumList
    */
    public List<Integer> getTSLDraftVersionNumList(){
        return this.TSLDraftVersionNumList;
    }

    /**
    * 设置 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNumList
    */
    public void setTSLDraftVersionNumList(List<Integer> TSLDraftVersionNumList){
        this.TSLDraftVersionNumList = TSLDraftVersionNumList;
    }

    /**
    * 获取 开始 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @return TSLExportJsonFileSizeStart
    */
    public Integer getTSLExportJsonFileSizeStart(){
        return this.TSLExportJsonFileSizeStart;
    }

    /**
    * 设置 开始 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSizeStart
    */
    public void setTSLExportJsonFileSizeStart(Integer TSLExportJsonFileSizeStart){
        this.TSLExportJsonFileSizeStart = TSLExportJsonFileSizeStart;
    }

    /**
    * 获取 结束 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @return $TSLExportJsonFileSizeEnd
    */
    public Integer getTSLExportJsonFileSizeEnd(){
        return this.TSLExportJsonFileSizeEnd;
    }

    /**
    * 设置 结束 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSizeEnd
    */
    public void setTSLExportJsonFileSizeEnd(Integer TSLExportJsonFileSizeEnd){
        this.TSLExportJsonFileSizeEnd = TSLExportJsonFileSizeEnd;
    }

    /**
    * 获取 增加 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @return TSLExportJsonFileSizeIncrement
    */
    public Integer getTSLExportJsonFileSizeIncrement(){
        return this.TSLExportJsonFileSizeIncrement;
    }

    /**
    * 设置 增加 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSizeIncrement
    */
    public void setTSLExportJsonFileSizeIncrement(Integer TSLExportJsonFileSizeIncrement){
        this.TSLExportJsonFileSizeIncrement = TSLExportJsonFileSizeIncrement;
    }

    /**
    * 获取 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @return TSLExportJsonFileSizeList
    */
    public List<Integer> getTSLExportJsonFileSizeList(){
        return this.TSLExportJsonFileSizeList;
    }

    /**
    * 设置 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSizeList
    */
    public void setTSLExportJsonFileSizeList(List<Integer> TSLExportJsonFileSizeList){
        this.TSLExportJsonFileSizeList = TSLExportJsonFileSizeList;
    }

    /**
    * 获取 开始 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @return TSLExportMoreJsonFileSizeStart
    */
    public Integer getTSLExportMoreJsonFileSizeStart(){
        return this.TSLExportMoreJsonFileSizeStart;
    }

    /**
    * 设置 开始 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSizeStart
    */
    public void setTSLExportMoreJsonFileSizeStart(Integer TSLExportMoreJsonFileSizeStart){
        this.TSLExportMoreJsonFileSizeStart = TSLExportMoreJsonFileSizeStart;
    }

    /**
    * 获取 结束 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @return $TSLExportMoreJsonFileSizeEnd
    */
    public Integer getTSLExportMoreJsonFileSizeEnd(){
        return this.TSLExportMoreJsonFileSizeEnd;
    }

    /**
    * 设置 结束 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSizeEnd
    */
    public void setTSLExportMoreJsonFileSizeEnd(Integer TSLExportMoreJsonFileSizeEnd){
        this.TSLExportMoreJsonFileSizeEnd = TSLExportMoreJsonFileSizeEnd;
    }

    /**
    * 获取 增加 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @return TSLExportMoreJsonFileSizeIncrement
    */
    public Integer getTSLExportMoreJsonFileSizeIncrement(){
        return this.TSLExportMoreJsonFileSizeIncrement;
    }

    /**
    * 设置 增加 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSizeIncrement
    */
    public void setTSLExportMoreJsonFileSizeIncrement(Integer TSLExportMoreJsonFileSizeIncrement){
        this.TSLExportMoreJsonFileSizeIncrement = TSLExportMoreJsonFileSizeIncrement;
    }

    /**
    * 获取 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @return TSLExportMoreJsonFileSizeList
    */
    public List<Integer> getTSLExportMoreJsonFileSizeList(){
        return this.TSLExportMoreJsonFileSizeList;
    }

    /**
    * 设置 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSizeList
    */
    public void setTSLExportMoreJsonFileSizeList(List<Integer> TSLExportMoreJsonFileSizeList){
        this.TSLExportMoreJsonFileSizeList = TSLExportMoreJsonFileSizeList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProductTslLimitQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProductTslLimitQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProductTslLimitQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProductTslLimitQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProductTslLimitQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNum
    */
    public ProductTslLimitQuery productTSLNum(Integer productTSLNum){
	    setProductTSLNum(productTSLNum);
		return this;
    }
	
	 /**
    * 设置 开始 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNumStart
    */
    public ProductTslLimitQuery productTSLNumStart(Integer productTSLNumStart){
		this.productTSLNumStart = productTSLNumStart;
		return this;
    }

    /**
    * 设置 结束 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNumEnd
    */
    public ProductTslLimitQuery productTSLNumEnd(Integer productTSLNumEnd){
		this.productTSLNumEnd = productTSLNumEnd;
		return this;
    }

    /**
    * 设置 增加 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNumIncrement
    */
    public ProductTslLimitQuery productTSLNumIncrement(Integer productTSLNumIncrement){
		this.productTSLNumIncrement = productTSLNumIncrement;
		return this;
    }

    /**
    * 设置 产品下物模型的个数，一个产品最多可包含物模型模块（默认模块和自定义模块）总数。默认:10
    * @param productTSLNumList
    */
    public ProductTslLimitQuery productTSLNumList(List<Integer> productTSLNumList){
        this.productTSLNumList = productTSLNumList;
		return this;
        }

    /**
    * 设置  一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNum
    */
    public ProductTslLimitQuery TSLFunctionNum(Integer TSLFunctionNum){
	    setTSLFunctionNum(TSLFunctionNum);
		return this;
    }
	
	 /**
    * 设置 开始 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNumStart
    */
    public ProductTslLimitQuery TSLFunctionNumStart(Integer TSLFunctionNumStart){
		this.TSLFunctionNumStart = TSLFunctionNumStart;
		return this;
    }

    /**
    * 设置 结束 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNumEnd
    */
    public ProductTslLimitQuery TSLFunctionNumEnd(Integer TSLFunctionNumEnd){
		this.TSLFunctionNumEnd = TSLFunctionNumEnd;
		return this;
    }

    /**
    * 设置 增加 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNumIncrement
    */
    public ProductTslLimitQuery TSLFunctionNumIncrement(Integer TSLFunctionNumIncrement){
		this.TSLFunctionNumIncrement = TSLFunctionNumIncrement;
		return this;
    }

    /**
    * 设置 一个TSL的功能数，一个物模型模块最多可添加的功能总数。（属性，服务，事件的总和），默认:300
    * @param TSLFunctionNumList
    */
    public ProductTslLimitQuery TSLFunctionNumList(List<Integer> TSLFunctionNumList){
        this.TSLFunctionNumList = TSLFunctionNumList;
		return this;
        }

    /**
    * 设置  Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNum
    */
    public ProductTslLimitQuery TSLStructParameterNum(Integer TSLStructParameterNum){
	    setTSLStructParameterNum(TSLStructParameterNum);
		return this;
    }
	
	 /**
    * 设置 开始 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNumStart
    */
    public ProductTslLimitQuery TSLStructParameterNumStart(Integer TSLStructParameterNumStart){
		this.TSLStructParameterNumStart = TSLStructParameterNumStart;
		return this;
    }

    /**
    * 设置 结束 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNumEnd
    */
    public ProductTslLimitQuery TSLStructParameterNumEnd(Integer TSLStructParameterNumEnd){
		this.TSLStructParameterNumEnd = TSLStructParameterNumEnd;
		return this;
    }

    /**
    * 设置 增加 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNumIncrement
    */
    public ProductTslLimitQuery TSLStructParameterNumIncrement(Integer TSLStructParameterNumIncrement){
		this.TSLStructParameterNumIncrement = TSLStructParameterNumIncrement;
		return this;
    }

    /**
    * 设置 Struct参数个数，struct类的属性最多可添加的参数个数，默认:300
    * @param TSLStructParameterNumList
    */
    public ProductTslLimitQuery TSLStructParameterNumList(List<Integer> TSLStructParameterNumList){
        this.TSLStructParameterNumList = TSLStructParameterNumList;
		return this;
        }

    /**
    * 设置  enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNum
    */
    public ProductTslLimitQuery TSLDataTpyeEnumNum(Integer TSLDataTpyeEnumNum){
	    setTSLDataTpyeEnumNum(TSLDataTpyeEnumNum);
		return this;
    }
	
	 /**
    * 设置 开始 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNumStart
    */
    public ProductTslLimitQuery TSLDataTpyeEnumNumStart(Integer TSLDataTpyeEnumNumStart){
		this.TSLDataTpyeEnumNumStart = TSLDataTpyeEnumNumStart;
		return this;
    }

    /**
    * 设置 结束 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNumEnd
    */
    public ProductTslLimitQuery TSLDataTpyeEnumNumEnd(Integer TSLDataTpyeEnumNumEnd){
		this.TSLDataTpyeEnumNumEnd = TSLDataTpyeEnumNumEnd;
		return this;
    }

    /**
    * 设置 增加 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNumIncrement
    */
    public ProductTslLimitQuery TSLDataTpyeEnumNumIncrement(Integer TSLDataTpyeEnumNumIncrement){
		this.TSLDataTpyeEnumNumIncrement = TSLDataTpyeEnumNumIncrement;
		return this;
    }

    /**
    * 设置 enum个数，当功能的数据类型为enum时，枚举项的最多个数。默认:100
    * @param TSLDataTpyeEnumNumList
    */
    public ProductTslLimitQuery TSLDataTpyeEnumNumList(List<Integer> TSLDataTpyeEnumNumList){
        this.TSLDataTpyeEnumNumList = TSLDataTpyeEnumNumList;
		return this;
        }

    /**
    * 设置  文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLength
    */
    public ProductTslLimitQuery TSLDataTpyeTextLength(Integer TSLDataTpyeTextLength){
	    setTSLDataTpyeTextLength(TSLDataTpyeTextLength);
		return this;
    }
	
	 /**
    * 设置 开始 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLengthStart
    */
    public ProductTslLimitQuery TSLDataTpyeTextLengthStart(Integer TSLDataTpyeTextLengthStart){
		this.TSLDataTpyeTextLengthStart = TSLDataTpyeTextLengthStart;
		return this;
    }

    /**
    * 设置 结束 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLengthEnd
    */
    public ProductTslLimitQuery TSLDataTpyeTextLengthEnd(Integer TSLDataTpyeTextLengthEnd){
		this.TSLDataTpyeTextLengthEnd = TSLDataTpyeTextLengthEnd;
		return this;
    }

    /**
    * 设置 增加 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLengthIncrement
    */
    public ProductTslLimitQuery TSLDataTpyeTextLengthIncrement(Integer TSLDataTpyeTextLengthIncrement){
		this.TSLDataTpyeTextLengthIncrement = TSLDataTpyeTextLengthIncrement;
		return this;
    }

    /**
    * 设置 文本长度，当功能的数据类型为text时，数据最大长度。默认:10240字符
    * @param TSLDataTpyeTextLengthList
    */
    public ProductTslLimitQuery TSLDataTpyeTextLengthList(List<Integer> TSLDataTpyeTextLengthList){
        this.TSLDataTpyeTextLengthList = TSLDataTpyeTextLengthList;
		return this;
        }

    /**
    * 设置  数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNum
    */
    public ProductTslLimitQuery TSLDataTpyeArrayNum(Integer TSLDataTpyeArrayNum){
	    setTSLDataTpyeArrayNum(TSLDataTpyeArrayNum);
		return this;
    }
	
	 /**
    * 设置 开始 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNumStart
    */
    public ProductTslLimitQuery TSLDataTpyeArrayNumStart(Integer TSLDataTpyeArrayNumStart){
		this.TSLDataTpyeArrayNumStart = TSLDataTpyeArrayNumStart;
		return this;
    }

    /**
    * 设置 结束 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNumEnd
    */
    public ProductTslLimitQuery TSLDataTpyeArrayNumEnd(Integer TSLDataTpyeArrayNumEnd){
		this.TSLDataTpyeArrayNumEnd = TSLDataTpyeArrayNumEnd;
		return this;
    }

    /**
    * 设置 增加 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNumIncrement
    */
    public ProductTslLimitQuery TSLDataTpyeArrayNumIncrement(Integer TSLDataTpyeArrayNumIncrement){
		this.TSLDataTpyeArrayNumIncrement = TSLDataTpyeArrayNumIncrement;
		return this;
    }

    /**
    * 设置 数组长度，当功能的数据类型为array时，数组内的元素最多个数。默认:512个
    * @param TSLDataTpyeArrayNumList
    */
    public ProductTslLimitQuery TSLDataTpyeArrayNumList(List<Integer> TSLDataTpyeArrayNumList){
        this.TSLDataTpyeArrayNumList = TSLDataTpyeArrayNumList;
		return this;
        }

    /**
    * 设置  所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNum
    */
    public ProductTslLimitQuery TSLServiceEventParameterNum(Integer TSLServiceEventParameterNum){
	    setTSLServiceEventParameterNum(TSLServiceEventParameterNum);
		return this;
    }
	
	 /**
    * 设置 开始 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNumStart
    */
    public ProductTslLimitQuery TSLServiceEventParameterNumStart(Integer TSLServiceEventParameterNumStart){
		this.TSLServiceEventParameterNumStart = TSLServiceEventParameterNumStart;
		return this;
    }

    /**
    * 设置 结束 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNumEnd
    */
    public ProductTslLimitQuery TSLServiceEventParameterNumEnd(Integer TSLServiceEventParameterNumEnd){
		this.TSLServiceEventParameterNumEnd = TSLServiceEventParameterNumEnd;
		return this;
    }

    /**
    * 设置 增加 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNumIncrement
    */
    public ProductTslLimitQuery TSLServiceEventParameterNumIncrement(Integer TSLServiceEventParameterNumIncrement){
		this.TSLServiceEventParameterNumIncrement = TSLServiceEventParameterNumIncrement;
		return this;
    }

    /**
    * 设置 所有服务和事件入参和出参的参数总个数，所有服务和事件中最多可添加入参和出参的总数。默认:300个
    * @param TSLServiceEventParameterNumList
    */
    public ProductTslLimitQuery TSLServiceEventParameterNumList(List<Integer> TSLServiceEventParameterNumList){
        this.TSLServiceEventParameterNumList = TSLServiceEventParameterNumList;
		return this;
        }

    /**
    * 设置  一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNum
    */
    public ProductTslLimitQuery TSLServiceInParameterNum(Integer TSLServiceInParameterNum){
	    setTSLServiceInParameterNum(TSLServiceInParameterNum);
		return this;
    }
	
	 /**
    * 设置 开始 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNumStart
    */
    public ProductTslLimitQuery TSLServiceInParameterNumStart(Integer TSLServiceInParameterNumStart){
		this.TSLServiceInParameterNumStart = TSLServiceInParameterNumStart;
		return this;
    }

    /**
    * 设置 结束 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNumEnd
    */
    public ProductTslLimitQuery TSLServiceInParameterNumEnd(Integer TSLServiceInParameterNumEnd){
		this.TSLServiceInParameterNumEnd = TSLServiceInParameterNumEnd;
		return this;
    }

    /**
    * 设置 增加 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNumIncrement
    */
    public ProductTslLimitQuery TSLServiceInParameterNumIncrement(Integer TSLServiceInParameterNumIncrement){
		this.TSLServiceInParameterNumIncrement = TSLServiceInParameterNumIncrement;
		return this;
    }

    /**
    * 设置 一个服务入参数个数，一个服务中最多可添加的入参个数。默认:100个
    * @param TSLServiceInParameterNumList
    */
    public ProductTslLimitQuery TSLServiceInParameterNumList(List<Integer> TSLServiceInParameterNumList){
        this.TSLServiceInParameterNumList = TSLServiceInParameterNumList;
		return this;
        }

    /**
    * 设置  一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNum
    */
    public ProductTslLimitQuery TSLServiceOutParameterNum(Integer TSLServiceOutParameterNum){
	    setTSLServiceOutParameterNum(TSLServiceOutParameterNum);
		return this;
    }
	
	 /**
    * 设置 开始 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNumStart
    */
    public ProductTslLimitQuery TSLServiceOutParameterNumStart(Integer TSLServiceOutParameterNumStart){
		this.TSLServiceOutParameterNumStart = TSLServiceOutParameterNumStart;
		return this;
    }

    /**
    * 设置 结束 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNumEnd
    */
    public ProductTslLimitQuery TSLServiceOutParameterNumEnd(Integer TSLServiceOutParameterNumEnd){
		this.TSLServiceOutParameterNumEnd = TSLServiceOutParameterNumEnd;
		return this;
    }

    /**
    * 设置 增加 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNumIncrement
    */
    public ProductTslLimitQuery TSLServiceOutParameterNumIncrement(Integer TSLServiceOutParameterNumIncrement){
		this.TSLServiceOutParameterNumIncrement = TSLServiceOutParameterNumIncrement;
		return this;
    }

    /**
    * 设置 一个服务出参数个数，一个服务中最多可添加的出参个数。默认:100个
    * @param TSLServiceOutParameterNumList
    */
    public ProductTslLimitQuery TSLServiceOutParameterNumList(List<Integer> TSLServiceOutParameterNumList){
        this.TSLServiceOutParameterNumList = TSLServiceOutParameterNumList;
		return this;
        }

    /**
    * 设置  一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNum
    */
    public ProductTslLimitQuery TSLEventOutParameterNum(Integer TSLEventOutParameterNum){
	    setTSLEventOutParameterNum(TSLEventOutParameterNum);
		return this;
    }
	
	 /**
    * 设置 开始 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNumStart
    */
    public ProductTslLimitQuery TSLEventOutParameterNumStart(Integer TSLEventOutParameterNumStart){
		this.TSLEventOutParameterNumStart = TSLEventOutParameterNumStart;
		return this;
    }

    /**
    * 设置 结束 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNumEnd
    */
    public ProductTslLimitQuery TSLEventOutParameterNumEnd(Integer TSLEventOutParameterNumEnd){
		this.TSLEventOutParameterNumEnd = TSLEventOutParameterNumEnd;
		return this;
    }

    /**
    * 设置 增加 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNumIncrement
    */
    public ProductTslLimitQuery TSLEventOutParameterNumIncrement(Integer TSLEventOutParameterNumIncrement){
		this.TSLEventOutParameterNumIncrement = TSLEventOutParameterNumIncrement;
		return this;
    }

    /**
    * 设置 一个事件出参个数，一个事件中最多可添加的出参个数。默认:300个
    * @param TSLEventOutParameterNumList
    */
    public ProductTslLimitQuery TSLEventOutParameterNumList(List<Integer> TSLEventOutParameterNumList){
        this.TSLEventOutParameterNumList = TSLEventOutParameterNumList;
		return this;
        }

    /**
    * 设置  单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNum
    */
    public ProductTslLimitQuery TSLDraftVersionNum(Integer TSLDraftVersionNum){
	    setTSLDraftVersionNum(TSLDraftVersionNum);
		return this;
    }
	
	 /**
    * 设置 开始 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNumStart
    */
    public ProductTslLimitQuery TSLDraftVersionNumStart(Integer TSLDraftVersionNumStart){
		this.TSLDraftVersionNumStart = TSLDraftVersionNumStart;
		return this;
    }

    /**
    * 设置 结束 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNumEnd
    */
    public ProductTslLimitQuery TSLDraftVersionNumEnd(Integer TSLDraftVersionNumEnd){
		this.TSLDraftVersionNumEnd = TSLDraftVersionNumEnd;
		return this;
    }

    /**
    * 设置 增加 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNumIncrement
    */
    public ProductTslLimitQuery TSLDraftVersionNumIncrement(Integer TSLDraftVersionNumIncrement){
		this.TSLDraftVersionNumIncrement = TSLDraftVersionNumIncrement;
		return this;
    }

    /**
    * 设置 单个TSL保存的草稿数，一个物模型最多保存最近版本的个数。默认:10个
    * @param TSLDraftVersionNumList
    */
    public ProductTslLimitQuery TSLDraftVersionNumList(List<Integer> TSLDraftVersionNumList){
        this.TSLDraftVersionNumList = TSLDraftVersionNumList;
		return this;
        }

    /**
    * 设置  导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSize
    */
    public ProductTslLimitQuery TSLExportJsonFileSize(Integer TSLExportJsonFileSize){
	    setTSLExportJsonFileSize(TSLExportJsonFileSize);
		return this;
    }
	
	 /**
    * 设置 开始 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSizeStart
    */
    public ProductTslLimitQuery TSLExportJsonFileSizeStart(Integer TSLExportJsonFileSizeStart){
		this.TSLExportJsonFileSizeStart = TSLExportJsonFileSizeStart;
		return this;
    }

    /**
    * 设置 结束 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSizeEnd
    */
    public ProductTslLimitQuery TSLExportJsonFileSizeEnd(Integer TSLExportJsonFileSizeEnd){
		this.TSLExportJsonFileSizeEnd = TSLExportJsonFileSizeEnd;
		return this;
    }

    /**
    * 设置 增加 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSizeIncrement
    */
    public ProductTslLimitQuery TSLExportJsonFileSizeIncrement(Integer TSLExportJsonFileSizeIncrement){
		this.TSLExportJsonFileSizeIncrement = TSLExportJsonFileSizeIncrement;
		return this;
    }

    /**
    * 设置 导入一个文件大小，一个物模型最多保存最近版本的个数。默认:256K
    * @param TSLExportJsonFileSizeList
    */
    public ProductTslLimitQuery TSLExportJsonFileSizeList(List<Integer> TSLExportJsonFileSizeList){
        this.TSLExportJsonFileSizeList = TSLExportJsonFileSizeList;
		return this;
        }

    /**
    * 设置  导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSize
    */
    public ProductTslLimitQuery TSLExportMoreJsonFileSize(Integer TSLExportMoreJsonFileSize){
	    setTSLExportMoreJsonFileSize(TSLExportMoreJsonFileSize);
		return this;
    }
	
	 /**
    * 设置 开始 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSizeStart
    */
    public ProductTslLimitQuery TSLExportMoreJsonFileSizeStart(Integer TSLExportMoreJsonFileSizeStart){
		this.TSLExportMoreJsonFileSizeStart = TSLExportMoreJsonFileSizeStart;
		return this;
    }

    /**
    * 设置 结束 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSizeEnd
    */
    public ProductTslLimitQuery TSLExportMoreJsonFileSizeEnd(Integer TSLExportMoreJsonFileSizeEnd){
		this.TSLExportMoreJsonFileSizeEnd = TSLExportMoreJsonFileSizeEnd;
		return this;
    }

    /**
    * 设置 增加 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSizeIncrement
    */
    public ProductTslLimitQuery TSLExportMoreJsonFileSizeIncrement(Integer TSLExportMoreJsonFileSizeIncrement){
		this.TSLExportMoreJsonFileSizeIncrement = TSLExportMoreJsonFileSizeIncrement;
		return this;
    }

    /**
    * 设置 导入多个文件大小，导入物模型时，多个JSON格式文件压缩的ZIP文件大小的上限。默认:2.5M
    * @param TSLExportMoreJsonFileSizeList
    */
    public ProductTslLimitQuery TSLExportMoreJsonFileSizeList(List<Integer> TSLExportMoreJsonFileSizeList){
        this.TSLExportMoreJsonFileSizeList = TSLExportMoreJsonFileSizeList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProductTslLimitQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProductTslLimitQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProductTslLimitQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProductTslLimitQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}