package com.mortals.xhx.module.product.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.DbOrderKind;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.product.model.ProductTslLimitEntity;
import com.mortals.xhx.module.product.service.ProductTslLimitService;

import java.util.HashMap;
import java.util.Map;
/**
* ProductTslLimitController
*
* 物模型功能限制 控制器
*
* @author zxfei
* @date 2021-11-09
*/
@RestController
@RequestMapping("product/tsl/limit")
public class ProductTslLimitController extends BaseCRUDJsonMappingController<ProductTslLimitService,ProductTslLimitForm,ProductTslLimitEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ProductTslLimitController(){
        super.setFormClass(ProductTslLimitForm.class);
        super.setModuleDesc( "物模型功能限制");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, ProductTslLimitForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }

    @Override
    protected void doListBefore(HttpServletRequest request, HttpServletResponse response, ProductTslLimitForm form, Map<String, Object> model, Context context) throws AppException {
        Map<String, String> orderCols = new HashMap<>();
        orderCols.put("id", DbOrderKind.DESC.name());
        form.getQuery().setOrderCols(orderCols);
        super.doListBefore(request, response, form, model, context);
    }
}