package com.mortals.xhx.module.service.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.service.model.vo.ServiceSubAmqpLimitVo;
/**
* AMQP服务端订阅限制实体对象
*
* @author zxfei
* @date 2021-11-09
*/

public class ServiceSubAmqpLimitEntity extends ServiceSubAmqpLimitVo {
    private static final long serialVersionUID = 1L;

    /**
    * 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    */
    private Integer authTimeout;
    /**
    * 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    */
    private Integer messageTimeout;
    /**
    * 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    */
    private Integer consumerGroupMessageStorageMaxLimit;
    /**
    * 消息保存时长，消息保存时长。默认:1天
    */
    private Integer messageStorageTimeLimit;
    /**
    * 实时消息推送限流，一个连接限流，默认:1000 TPS
    */
    private Integer pushMessageLimit;
    /**
    * 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    */
    private Integer pushHeapUpMessageLimit;
    /**
    * 产品可关联的消费组数量，默认:10
    */
    private Integer productConsumerGroupNumLimit;
    /**
    * 消费组可关联的产品数，默认:100
    */
    private Integer consumerGroupProductNumLimit;
    /**
    * 消费组个数限制，默认:1000
    */
    private Integer customerConsumerGroupNumLimit;
    /**
    * 消费端个数限制，默认:64
    */
    private Integer consumerGroupHaveConsumerNumLimit;
    /**
    * 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    */
    private Integer consumerGroupConsumerConNumLimit;



    public ServiceSubAmqpLimitEntity(){}
    /**
    * 获取 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @return Integer
    */
    public Integer getAuthTimeout(){
        return authTimeout;
    }
    /**
    * 设置 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeout
    */
    public void setAuthTimeout(Integer authTimeout){
        this.authTimeout = authTimeout;
    }
    /**
    * 获取 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @return Integer
    */
    public Integer getMessageTimeout(){
        return messageTimeout;
    }
    /**
    * 设置 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeout
    */
    public void setMessageTimeout(Integer messageTimeout){
        this.messageTimeout = messageTimeout;
    }
    /**
    * 获取 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @return Integer
    */
    public Integer getConsumerGroupMessageStorageMaxLimit(){
        return consumerGroupMessageStorageMaxLimit;
    }
    /**
    * 设置 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimit
    */
    public void setConsumerGroupMessageStorageMaxLimit(Integer consumerGroupMessageStorageMaxLimit){
        this.consumerGroupMessageStorageMaxLimit = consumerGroupMessageStorageMaxLimit;
    }
    /**
    * 获取 消息保存时长，消息保存时长。默认:1天
    * @return Integer
    */
    public Integer getMessageStorageTimeLimit(){
        return messageStorageTimeLimit;
    }
    /**
    * 设置 消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimit
    */
    public void setMessageStorageTimeLimit(Integer messageStorageTimeLimit){
        this.messageStorageTimeLimit = messageStorageTimeLimit;
    }
    /**
    * 获取 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @return Integer
    */
    public Integer getPushMessageLimit(){
        return pushMessageLimit;
    }
    /**
    * 设置 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimit
    */
    public void setPushMessageLimit(Integer pushMessageLimit){
        this.pushMessageLimit = pushMessageLimit;
    }
    /**
    * 获取 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @return Integer
    */
    public Integer getPushHeapUpMessageLimit(){
        return pushHeapUpMessageLimit;
    }
    /**
    * 设置 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimit
    */
    public void setPushHeapUpMessageLimit(Integer pushHeapUpMessageLimit){
        this.pushHeapUpMessageLimit = pushHeapUpMessageLimit;
    }
    /**
    * 获取 产品可关联的消费组数量，默认:10
    * @return Integer
    */
    public Integer getProductConsumerGroupNumLimit(){
        return productConsumerGroupNumLimit;
    }
    /**
    * 设置 产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimit
    */
    public void setProductConsumerGroupNumLimit(Integer productConsumerGroupNumLimit){
        this.productConsumerGroupNumLimit = productConsumerGroupNumLimit;
    }
    /**
    * 获取 消费组可关联的产品数，默认:100
    * @return Integer
    */
    public Integer getConsumerGroupProductNumLimit(){
        return consumerGroupProductNumLimit;
    }
    /**
    * 设置 消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimit
    */
    public void setConsumerGroupProductNumLimit(Integer consumerGroupProductNumLimit){
        this.consumerGroupProductNumLimit = consumerGroupProductNumLimit;
    }
    /**
    * 获取 消费组个数限制，默认:1000
    * @return Integer
    */
    public Integer getCustomerConsumerGroupNumLimit(){
        return customerConsumerGroupNumLimit;
    }
    /**
    * 设置 消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimit
    */
    public void setCustomerConsumerGroupNumLimit(Integer customerConsumerGroupNumLimit){
        this.customerConsumerGroupNumLimit = customerConsumerGroupNumLimit;
    }
    /**
    * 获取 消费端个数限制，默认:64
    * @return Integer
    */
    public Integer getConsumerGroupHaveConsumerNumLimit(){
        return consumerGroupHaveConsumerNumLimit;
    }
    /**
    * 设置 消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimit
    */
    public void setConsumerGroupHaveConsumerNumLimit(Integer consumerGroupHaveConsumerNumLimit){
        this.consumerGroupHaveConsumerNumLimit = consumerGroupHaveConsumerNumLimit;
    }
    /**
    * 获取 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @return Integer
    */
    public Integer getConsumerGroupConsumerConNumLimit(){
        return consumerGroupConsumerConNumLimit;
    }
    /**
    * 设置 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimit
    */
    public void setConsumerGroupConsumerConNumLimit(Integer consumerGroupConsumerConNumLimit){
        this.consumerGroupConsumerConNumLimit = consumerGroupConsumerConNumLimit;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ServiceSubAmqpLimitEntity) {
            ServiceSubAmqpLimitEntity tmp = (ServiceSubAmqpLimitEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",authTimeout:").append(getAuthTimeout());
        sb.append(",messageTimeout:").append(getMessageTimeout());
        sb.append(",consumerGroupMessageStorageMaxLimit:").append(getConsumerGroupMessageStorageMaxLimit());
        sb.append(",messageStorageTimeLimit:").append(getMessageStorageTimeLimit());
        sb.append(",pushMessageLimit:").append(getPushMessageLimit());
        sb.append(",pushHeapUpMessageLimit:").append(getPushHeapUpMessageLimit());
        sb.append(",productConsumerGroupNumLimit:").append(getProductConsumerGroupNumLimit());
        sb.append(",consumerGroupProductNumLimit:").append(getConsumerGroupProductNumLimit());
        sb.append(",customerConsumerGroupNumLimit:").append(getCustomerConsumerGroupNumLimit());
        sb.append(",consumerGroupHaveConsumerNumLimit:").append(getConsumerGroupHaveConsumerNumLimit());
        sb.append(",consumerGroupConsumerConNumLimit:").append(getConsumerGroupConsumerConNumLimit());
        return sb.toString();
    }

    public void initAttrValue(){
            this.authTimeout = 15;
            this.messageTimeout = 300;
            this.consumerGroupMessageStorageMaxLimit = 1000000;
            this.messageStorageTimeLimit = 1;
            this.pushMessageLimit = 1000;
            this.pushHeapUpMessageLimit = 200;
            this.productConsumerGroupNumLimit = 10;
            this.consumerGroupProductNumLimit = 100;
            this.customerConsumerGroupNumLimit = 1000;
            this.consumerGroupHaveConsumerNumLimit = 64;
            this.consumerGroupConsumerConNumLimit = 100;
    }
}