package com.mortals.xhx.module.service.model;

import java.util.List;
import com.mortals.xhx.module.service.model.ServiceSubAmqpLimitEntity;
/**
* AMQP服务端订阅限制查询对象
*
* @author zxfei
* @date 2021-11-09
*/
public class ServiceSubAmqpLimitQuery extends ServiceSubAmqpLimitEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒 */
    private Integer authTimeoutStart;

    /** 结束 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒 */
    private Integer authTimeoutEnd;

    /** 增加 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒 */
    private Integer authTimeoutIncrement;

    /** 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒列表 */
    private List <Integer> authTimeoutList;

    /** 开始 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒 */
    private Integer messageTimeoutStart;

    /** 结束 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒 */
    private Integer messageTimeoutEnd;

    /** 增加 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒 */
    private Integer messageTimeoutIncrement;

    /** 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒列表 */
    private List <Integer> messageTimeoutList;

    /** 开始 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000 */
    private Integer consumerGroupMessageStorageMaxLimitStart;

    /** 结束 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000 */
    private Integer consumerGroupMessageStorageMaxLimitEnd;

    /** 增加 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000 */
    private Integer consumerGroupMessageStorageMaxLimitIncrement;

    /** 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000列表 */
    private List <Integer> consumerGroupMessageStorageMaxLimitList;

    /** 开始 消息保存时长，消息保存时长。默认:1天 */
    private Integer messageStorageTimeLimitStart;

    /** 结束 消息保存时长，消息保存时长。默认:1天 */
    private Integer messageStorageTimeLimitEnd;

    /** 增加 消息保存时长，消息保存时长。默认:1天 */
    private Integer messageStorageTimeLimitIncrement;

    /** 消息保存时长，消息保存时长。默认:1天列表 */
    private List <Integer> messageStorageTimeLimitList;

    /** 开始 实时消息推送限流，一个连接限流，默认:1000 TPS */
    private Integer pushMessageLimitStart;

    /** 结束 实时消息推送限流，一个连接限流，默认:1000 TPS */
    private Integer pushMessageLimitEnd;

    /** 增加 实时消息推送限流，一个连接限流，默认:1000 TPS */
    private Integer pushMessageLimitIncrement;

    /** 实时消息推送限流，一个连接限流，默认:1000 TPS列表 */
    private List <Integer> pushMessageLimitList;

    /** 开始 堆积消息推送限流，一个消费组限流，默认:200 TPS。 */
    private Integer pushHeapUpMessageLimitStart;

    /** 结束 堆积消息推送限流，一个消费组限流，默认:200 TPS。 */
    private Integer pushHeapUpMessageLimitEnd;

    /** 增加 堆积消息推送限流，一个消费组限流，默认:200 TPS。 */
    private Integer pushHeapUpMessageLimitIncrement;

    /** 堆积消息推送限流，一个消费组限流，默认:200 TPS。列表 */
    private List <Integer> pushHeapUpMessageLimitList;

    /** 开始 产品可关联的消费组数量，默认:10 */
    private Integer productConsumerGroupNumLimitStart;

    /** 结束 产品可关联的消费组数量，默认:10 */
    private Integer productConsumerGroupNumLimitEnd;

    /** 增加 产品可关联的消费组数量，默认:10 */
    private Integer productConsumerGroupNumLimitIncrement;

    /** 产品可关联的消费组数量，默认:10列表 */
    private List <Integer> productConsumerGroupNumLimitList;

    /** 开始 消费组可关联的产品数，默认:100 */
    private Integer consumerGroupProductNumLimitStart;

    /** 结束 消费组可关联的产品数，默认:100 */
    private Integer consumerGroupProductNumLimitEnd;

    /** 增加 消费组可关联的产品数，默认:100 */
    private Integer consumerGroupProductNumLimitIncrement;

    /** 消费组可关联的产品数，默认:100列表 */
    private List <Integer> consumerGroupProductNumLimitList;

    /** 开始 消费组个数限制，默认:1000 */
    private Integer customerConsumerGroupNumLimitStart;

    /** 结束 消费组个数限制，默认:1000 */
    private Integer customerConsumerGroupNumLimitEnd;

    /** 增加 消费组个数限制，默认:1000 */
    private Integer customerConsumerGroupNumLimitIncrement;

    /** 消费组个数限制，默认:1000列表 */
    private List <Integer> customerConsumerGroupNumLimitList;

    /** 开始 消费端个数限制，默认:64 */
    private Integer consumerGroupHaveConsumerNumLimitStart;

    /** 结束 消费端个数限制，默认:64 */
    private Integer consumerGroupHaveConsumerNumLimitEnd;

    /** 增加 消费端个数限制，默认:64 */
    private Integer consumerGroupHaveConsumerNumLimitIncrement;

    /** 消费端个数限制，默认:64列表 */
    private List <Integer> consumerGroupHaveConsumerNumLimitList;

    /** 开始 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100 */
    private Integer consumerGroupConsumerConNumLimitStart;

    /** 结束 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100 */
    private Integer consumerGroupConsumerConNumLimitEnd;

    /** 增加 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100 */
    private Integer consumerGroupConsumerConNumLimitIncrement;

    /** 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100列表 */
    private List <Integer> consumerGroupConsumerConNumLimitList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ServiceSubAmqpLimitQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ServiceSubAmqpLimitQuery> andConditionList;

    public ServiceSubAmqpLimitQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @return authTimeoutStart
    */
    public Integer getAuthTimeoutStart(){
        return this.authTimeoutStart;
    }

    /**
    * 设置 开始 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeoutStart
    */
    public void setAuthTimeoutStart(Integer authTimeoutStart){
        this.authTimeoutStart = authTimeoutStart;
    }

    /**
    * 获取 结束 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @return $authTimeoutEnd
    */
    public Integer getAuthTimeoutEnd(){
        return this.authTimeoutEnd;
    }

    /**
    * 设置 结束 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeoutEnd
    */
    public void setAuthTimeoutEnd(Integer authTimeoutEnd){
        this.authTimeoutEnd = authTimeoutEnd;
    }

    /**
    * 获取 增加 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @return authTimeoutIncrement
    */
    public Integer getAuthTimeoutIncrement(){
        return this.authTimeoutIncrement;
    }

    /**
    * 设置 增加 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeoutIncrement
    */
    public void setAuthTimeoutIncrement(Integer authTimeoutIncrement){
        this.authTimeoutIncrement = authTimeoutIncrement;
    }

    /**
    * 获取 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @return authTimeoutList
    */
    public List<Integer> getAuthTimeoutList(){
        return this.authTimeoutList;
    }

    /**
    * 设置 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeoutList
    */
    public void setAuthTimeoutList(List<Integer> authTimeoutList){
        this.authTimeoutList = authTimeoutList;
    }

    /**
    * 获取 开始 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @return messageTimeoutStart
    */
    public Integer getMessageTimeoutStart(){
        return this.messageTimeoutStart;
    }

    /**
    * 设置 开始 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeoutStart
    */
    public void setMessageTimeoutStart(Integer messageTimeoutStart){
        this.messageTimeoutStart = messageTimeoutStart;
    }

    /**
    * 获取 结束 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @return $messageTimeoutEnd
    */
    public Integer getMessageTimeoutEnd(){
        return this.messageTimeoutEnd;
    }

    /**
    * 设置 结束 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeoutEnd
    */
    public void setMessageTimeoutEnd(Integer messageTimeoutEnd){
        this.messageTimeoutEnd = messageTimeoutEnd;
    }

    /**
    * 获取 增加 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @return messageTimeoutIncrement
    */
    public Integer getMessageTimeoutIncrement(){
        return this.messageTimeoutIncrement;
    }

    /**
    * 设置 增加 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeoutIncrement
    */
    public void setMessageTimeoutIncrement(Integer messageTimeoutIncrement){
        this.messageTimeoutIncrement = messageTimeoutIncrement;
    }

    /**
    * 获取 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @return messageTimeoutList
    */
    public List<Integer> getMessageTimeoutList(){
        return this.messageTimeoutList;
    }

    /**
    * 设置 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeoutList
    */
    public void setMessageTimeoutList(List<Integer> messageTimeoutList){
        this.messageTimeoutList = messageTimeoutList;
    }

    /**
    * 获取 开始 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @return consumerGroupMessageStorageMaxLimitStart
    */
    public Integer getConsumerGroupMessageStorageMaxLimitStart(){
        return this.consumerGroupMessageStorageMaxLimitStart;
    }

    /**
    * 设置 开始 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimitStart
    */
    public void setConsumerGroupMessageStorageMaxLimitStart(Integer consumerGroupMessageStorageMaxLimitStart){
        this.consumerGroupMessageStorageMaxLimitStart = consumerGroupMessageStorageMaxLimitStart;
    }

    /**
    * 获取 结束 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @return $consumerGroupMessageStorageMaxLimitEnd
    */
    public Integer getConsumerGroupMessageStorageMaxLimitEnd(){
        return this.consumerGroupMessageStorageMaxLimitEnd;
    }

    /**
    * 设置 结束 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimitEnd
    */
    public void setConsumerGroupMessageStorageMaxLimitEnd(Integer consumerGroupMessageStorageMaxLimitEnd){
        this.consumerGroupMessageStorageMaxLimitEnd = consumerGroupMessageStorageMaxLimitEnd;
    }

    /**
    * 获取 增加 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @return consumerGroupMessageStorageMaxLimitIncrement
    */
    public Integer getConsumerGroupMessageStorageMaxLimitIncrement(){
        return this.consumerGroupMessageStorageMaxLimitIncrement;
    }

    /**
    * 设置 增加 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimitIncrement
    */
    public void setConsumerGroupMessageStorageMaxLimitIncrement(Integer consumerGroupMessageStorageMaxLimitIncrement){
        this.consumerGroupMessageStorageMaxLimitIncrement = consumerGroupMessageStorageMaxLimitIncrement;
    }

    /**
    * 获取 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @return consumerGroupMessageStorageMaxLimitList
    */
    public List<Integer> getConsumerGroupMessageStorageMaxLimitList(){
        return this.consumerGroupMessageStorageMaxLimitList;
    }

    /**
    * 设置 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimitList
    */
    public void setConsumerGroupMessageStorageMaxLimitList(List<Integer> consumerGroupMessageStorageMaxLimitList){
        this.consumerGroupMessageStorageMaxLimitList = consumerGroupMessageStorageMaxLimitList;
    }

    /**
    * 获取 开始 消息保存时长，消息保存时长。默认:1天
    * @return messageStorageTimeLimitStart
    */
    public Integer getMessageStorageTimeLimitStart(){
        return this.messageStorageTimeLimitStart;
    }

    /**
    * 设置 开始 消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimitStart
    */
    public void setMessageStorageTimeLimitStart(Integer messageStorageTimeLimitStart){
        this.messageStorageTimeLimitStart = messageStorageTimeLimitStart;
    }

    /**
    * 获取 结束 消息保存时长，消息保存时长。默认:1天
    * @return $messageStorageTimeLimitEnd
    */
    public Integer getMessageStorageTimeLimitEnd(){
        return this.messageStorageTimeLimitEnd;
    }

    /**
    * 设置 结束 消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimitEnd
    */
    public void setMessageStorageTimeLimitEnd(Integer messageStorageTimeLimitEnd){
        this.messageStorageTimeLimitEnd = messageStorageTimeLimitEnd;
    }

    /**
    * 获取 增加 消息保存时长，消息保存时长。默认:1天
    * @return messageStorageTimeLimitIncrement
    */
    public Integer getMessageStorageTimeLimitIncrement(){
        return this.messageStorageTimeLimitIncrement;
    }

    /**
    * 设置 增加 消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimitIncrement
    */
    public void setMessageStorageTimeLimitIncrement(Integer messageStorageTimeLimitIncrement){
        this.messageStorageTimeLimitIncrement = messageStorageTimeLimitIncrement;
    }

    /**
    * 获取 消息保存时长，消息保存时长。默认:1天
    * @return messageStorageTimeLimitList
    */
    public List<Integer> getMessageStorageTimeLimitList(){
        return this.messageStorageTimeLimitList;
    }

    /**
    * 设置 消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimitList
    */
    public void setMessageStorageTimeLimitList(List<Integer> messageStorageTimeLimitList){
        this.messageStorageTimeLimitList = messageStorageTimeLimitList;
    }

    /**
    * 获取 开始 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @return pushMessageLimitStart
    */
    public Integer getPushMessageLimitStart(){
        return this.pushMessageLimitStart;
    }

    /**
    * 设置 开始 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimitStart
    */
    public void setPushMessageLimitStart(Integer pushMessageLimitStart){
        this.pushMessageLimitStart = pushMessageLimitStart;
    }

    /**
    * 获取 结束 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @return $pushMessageLimitEnd
    */
    public Integer getPushMessageLimitEnd(){
        return this.pushMessageLimitEnd;
    }

    /**
    * 设置 结束 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimitEnd
    */
    public void setPushMessageLimitEnd(Integer pushMessageLimitEnd){
        this.pushMessageLimitEnd = pushMessageLimitEnd;
    }

    /**
    * 获取 增加 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @return pushMessageLimitIncrement
    */
    public Integer getPushMessageLimitIncrement(){
        return this.pushMessageLimitIncrement;
    }

    /**
    * 设置 增加 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimitIncrement
    */
    public void setPushMessageLimitIncrement(Integer pushMessageLimitIncrement){
        this.pushMessageLimitIncrement = pushMessageLimitIncrement;
    }

    /**
    * 获取 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @return pushMessageLimitList
    */
    public List<Integer> getPushMessageLimitList(){
        return this.pushMessageLimitList;
    }

    /**
    * 设置 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimitList
    */
    public void setPushMessageLimitList(List<Integer> pushMessageLimitList){
        this.pushMessageLimitList = pushMessageLimitList;
    }

    /**
    * 获取 开始 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @return pushHeapUpMessageLimitStart
    */
    public Integer getPushHeapUpMessageLimitStart(){
        return this.pushHeapUpMessageLimitStart;
    }

    /**
    * 设置 开始 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimitStart
    */
    public void setPushHeapUpMessageLimitStart(Integer pushHeapUpMessageLimitStart){
        this.pushHeapUpMessageLimitStart = pushHeapUpMessageLimitStart;
    }

    /**
    * 获取 结束 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @return $pushHeapUpMessageLimitEnd
    */
    public Integer getPushHeapUpMessageLimitEnd(){
        return this.pushHeapUpMessageLimitEnd;
    }

    /**
    * 设置 结束 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimitEnd
    */
    public void setPushHeapUpMessageLimitEnd(Integer pushHeapUpMessageLimitEnd){
        this.pushHeapUpMessageLimitEnd = pushHeapUpMessageLimitEnd;
    }

    /**
    * 获取 增加 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @return pushHeapUpMessageLimitIncrement
    */
    public Integer getPushHeapUpMessageLimitIncrement(){
        return this.pushHeapUpMessageLimitIncrement;
    }

    /**
    * 设置 增加 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimitIncrement
    */
    public void setPushHeapUpMessageLimitIncrement(Integer pushHeapUpMessageLimitIncrement){
        this.pushHeapUpMessageLimitIncrement = pushHeapUpMessageLimitIncrement;
    }

    /**
    * 获取 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @return pushHeapUpMessageLimitList
    */
    public List<Integer> getPushHeapUpMessageLimitList(){
        return this.pushHeapUpMessageLimitList;
    }

    /**
    * 设置 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimitList
    */
    public void setPushHeapUpMessageLimitList(List<Integer> pushHeapUpMessageLimitList){
        this.pushHeapUpMessageLimitList = pushHeapUpMessageLimitList;
    }

    /**
    * 获取 开始 产品可关联的消费组数量，默认:10
    * @return productConsumerGroupNumLimitStart
    */
    public Integer getProductConsumerGroupNumLimitStart(){
        return this.productConsumerGroupNumLimitStart;
    }

    /**
    * 设置 开始 产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimitStart
    */
    public void setProductConsumerGroupNumLimitStart(Integer productConsumerGroupNumLimitStart){
        this.productConsumerGroupNumLimitStart = productConsumerGroupNumLimitStart;
    }

    /**
    * 获取 结束 产品可关联的消费组数量，默认:10
    * @return $productConsumerGroupNumLimitEnd
    */
    public Integer getProductConsumerGroupNumLimitEnd(){
        return this.productConsumerGroupNumLimitEnd;
    }

    /**
    * 设置 结束 产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimitEnd
    */
    public void setProductConsumerGroupNumLimitEnd(Integer productConsumerGroupNumLimitEnd){
        this.productConsumerGroupNumLimitEnd = productConsumerGroupNumLimitEnd;
    }

    /**
    * 获取 增加 产品可关联的消费组数量，默认:10
    * @return productConsumerGroupNumLimitIncrement
    */
    public Integer getProductConsumerGroupNumLimitIncrement(){
        return this.productConsumerGroupNumLimitIncrement;
    }

    /**
    * 设置 增加 产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimitIncrement
    */
    public void setProductConsumerGroupNumLimitIncrement(Integer productConsumerGroupNumLimitIncrement){
        this.productConsumerGroupNumLimitIncrement = productConsumerGroupNumLimitIncrement;
    }

    /**
    * 获取 产品可关联的消费组数量，默认:10
    * @return productConsumerGroupNumLimitList
    */
    public List<Integer> getProductConsumerGroupNumLimitList(){
        return this.productConsumerGroupNumLimitList;
    }

    /**
    * 设置 产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimitList
    */
    public void setProductConsumerGroupNumLimitList(List<Integer> productConsumerGroupNumLimitList){
        this.productConsumerGroupNumLimitList = productConsumerGroupNumLimitList;
    }

    /**
    * 获取 开始 消费组可关联的产品数，默认:100
    * @return consumerGroupProductNumLimitStart
    */
    public Integer getConsumerGroupProductNumLimitStart(){
        return this.consumerGroupProductNumLimitStart;
    }

    /**
    * 设置 开始 消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimitStart
    */
    public void setConsumerGroupProductNumLimitStart(Integer consumerGroupProductNumLimitStart){
        this.consumerGroupProductNumLimitStart = consumerGroupProductNumLimitStart;
    }

    /**
    * 获取 结束 消费组可关联的产品数，默认:100
    * @return $consumerGroupProductNumLimitEnd
    */
    public Integer getConsumerGroupProductNumLimitEnd(){
        return this.consumerGroupProductNumLimitEnd;
    }

    /**
    * 设置 结束 消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimitEnd
    */
    public void setConsumerGroupProductNumLimitEnd(Integer consumerGroupProductNumLimitEnd){
        this.consumerGroupProductNumLimitEnd = consumerGroupProductNumLimitEnd;
    }

    /**
    * 获取 增加 消费组可关联的产品数，默认:100
    * @return consumerGroupProductNumLimitIncrement
    */
    public Integer getConsumerGroupProductNumLimitIncrement(){
        return this.consumerGroupProductNumLimitIncrement;
    }

    /**
    * 设置 增加 消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimitIncrement
    */
    public void setConsumerGroupProductNumLimitIncrement(Integer consumerGroupProductNumLimitIncrement){
        this.consumerGroupProductNumLimitIncrement = consumerGroupProductNumLimitIncrement;
    }

    /**
    * 获取 消费组可关联的产品数，默认:100
    * @return consumerGroupProductNumLimitList
    */
    public List<Integer> getConsumerGroupProductNumLimitList(){
        return this.consumerGroupProductNumLimitList;
    }

    /**
    * 设置 消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimitList
    */
    public void setConsumerGroupProductNumLimitList(List<Integer> consumerGroupProductNumLimitList){
        this.consumerGroupProductNumLimitList = consumerGroupProductNumLimitList;
    }

    /**
    * 获取 开始 消费组个数限制，默认:1000
    * @return customerConsumerGroupNumLimitStart
    */
    public Integer getCustomerConsumerGroupNumLimitStart(){
        return this.customerConsumerGroupNumLimitStart;
    }

    /**
    * 设置 开始 消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimitStart
    */
    public void setCustomerConsumerGroupNumLimitStart(Integer customerConsumerGroupNumLimitStart){
        this.customerConsumerGroupNumLimitStart = customerConsumerGroupNumLimitStart;
    }

    /**
    * 获取 结束 消费组个数限制，默认:1000
    * @return $customerConsumerGroupNumLimitEnd
    */
    public Integer getCustomerConsumerGroupNumLimitEnd(){
        return this.customerConsumerGroupNumLimitEnd;
    }

    /**
    * 设置 结束 消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimitEnd
    */
    public void setCustomerConsumerGroupNumLimitEnd(Integer customerConsumerGroupNumLimitEnd){
        this.customerConsumerGroupNumLimitEnd = customerConsumerGroupNumLimitEnd;
    }

    /**
    * 获取 增加 消费组个数限制，默认:1000
    * @return customerConsumerGroupNumLimitIncrement
    */
    public Integer getCustomerConsumerGroupNumLimitIncrement(){
        return this.customerConsumerGroupNumLimitIncrement;
    }

    /**
    * 设置 增加 消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimitIncrement
    */
    public void setCustomerConsumerGroupNumLimitIncrement(Integer customerConsumerGroupNumLimitIncrement){
        this.customerConsumerGroupNumLimitIncrement = customerConsumerGroupNumLimitIncrement;
    }

    /**
    * 获取 消费组个数限制，默认:1000
    * @return customerConsumerGroupNumLimitList
    */
    public List<Integer> getCustomerConsumerGroupNumLimitList(){
        return this.customerConsumerGroupNumLimitList;
    }

    /**
    * 设置 消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimitList
    */
    public void setCustomerConsumerGroupNumLimitList(List<Integer> customerConsumerGroupNumLimitList){
        this.customerConsumerGroupNumLimitList = customerConsumerGroupNumLimitList;
    }

    /**
    * 获取 开始 消费端个数限制，默认:64
    * @return consumerGroupHaveConsumerNumLimitStart
    */
    public Integer getConsumerGroupHaveConsumerNumLimitStart(){
        return this.consumerGroupHaveConsumerNumLimitStart;
    }

    /**
    * 设置 开始 消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimitStart
    */
    public void setConsumerGroupHaveConsumerNumLimitStart(Integer consumerGroupHaveConsumerNumLimitStart){
        this.consumerGroupHaveConsumerNumLimitStart = consumerGroupHaveConsumerNumLimitStart;
    }

    /**
    * 获取 结束 消费端个数限制，默认:64
    * @return $consumerGroupHaveConsumerNumLimitEnd
    */
    public Integer getConsumerGroupHaveConsumerNumLimitEnd(){
        return this.consumerGroupHaveConsumerNumLimitEnd;
    }

    /**
    * 设置 结束 消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimitEnd
    */
    public void setConsumerGroupHaveConsumerNumLimitEnd(Integer consumerGroupHaveConsumerNumLimitEnd){
        this.consumerGroupHaveConsumerNumLimitEnd = consumerGroupHaveConsumerNumLimitEnd;
    }

    /**
    * 获取 增加 消费端个数限制，默认:64
    * @return consumerGroupHaveConsumerNumLimitIncrement
    */
    public Integer getConsumerGroupHaveConsumerNumLimitIncrement(){
        return this.consumerGroupHaveConsumerNumLimitIncrement;
    }

    /**
    * 设置 增加 消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimitIncrement
    */
    public void setConsumerGroupHaveConsumerNumLimitIncrement(Integer consumerGroupHaveConsumerNumLimitIncrement){
        this.consumerGroupHaveConsumerNumLimitIncrement = consumerGroupHaveConsumerNumLimitIncrement;
    }

    /**
    * 获取 消费端个数限制，默认:64
    * @return consumerGroupHaveConsumerNumLimitList
    */
    public List<Integer> getConsumerGroupHaveConsumerNumLimitList(){
        return this.consumerGroupHaveConsumerNumLimitList;
    }

    /**
    * 设置 消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimitList
    */
    public void setConsumerGroupHaveConsumerNumLimitList(List<Integer> consumerGroupHaveConsumerNumLimitList){
        this.consumerGroupHaveConsumerNumLimitList = consumerGroupHaveConsumerNumLimitList;
    }

    /**
    * 获取 开始 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @return consumerGroupConsumerConNumLimitStart
    */
    public Integer getConsumerGroupConsumerConNumLimitStart(){
        return this.consumerGroupConsumerConNumLimitStart;
    }

    /**
    * 设置 开始 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimitStart
    */
    public void setConsumerGroupConsumerConNumLimitStart(Integer consumerGroupConsumerConNumLimitStart){
        this.consumerGroupConsumerConNumLimitStart = consumerGroupConsumerConNumLimitStart;
    }

    /**
    * 获取 结束 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @return $consumerGroupConsumerConNumLimitEnd
    */
    public Integer getConsumerGroupConsumerConNumLimitEnd(){
        return this.consumerGroupConsumerConNumLimitEnd;
    }

    /**
    * 设置 结束 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimitEnd
    */
    public void setConsumerGroupConsumerConNumLimitEnd(Integer consumerGroupConsumerConNumLimitEnd){
        this.consumerGroupConsumerConNumLimitEnd = consumerGroupConsumerConNumLimitEnd;
    }

    /**
    * 获取 增加 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @return consumerGroupConsumerConNumLimitIncrement
    */
    public Integer getConsumerGroupConsumerConNumLimitIncrement(){
        return this.consumerGroupConsumerConNumLimitIncrement;
    }

    /**
    * 设置 增加 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimitIncrement
    */
    public void setConsumerGroupConsumerConNumLimitIncrement(Integer consumerGroupConsumerConNumLimitIncrement){
        this.consumerGroupConsumerConNumLimitIncrement = consumerGroupConsumerConNumLimitIncrement;
    }

    /**
    * 获取 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @return consumerGroupConsumerConNumLimitList
    */
    public List<Integer> getConsumerGroupConsumerConNumLimitList(){
        return this.consumerGroupConsumerConNumLimitList;
    }

    /**
    * 设置 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimitList
    */
    public void setConsumerGroupConsumerConNumLimitList(List<Integer> consumerGroupConsumerConNumLimitList){
        this.consumerGroupConsumerConNumLimitList = consumerGroupConsumerConNumLimitList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ServiceSubAmqpLimitQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ServiceSubAmqpLimitQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ServiceSubAmqpLimitQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ServiceSubAmqpLimitQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ServiceSubAmqpLimitQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeout
    */
    public ServiceSubAmqpLimitQuery authTimeout(Integer authTimeout){
	    setAuthTimeout(authTimeout);
		return this;
    }
	
	 /**
    * 设置 开始 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeoutStart
    */
    public ServiceSubAmqpLimitQuery authTimeoutStart(Integer authTimeoutStart){
		this.authTimeoutStart = authTimeoutStart;
		return this;
    }

    /**
    * 设置 结束 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeoutEnd
    */
    public ServiceSubAmqpLimitQuery authTimeoutEnd(Integer authTimeoutEnd){
		this.authTimeoutEnd = authTimeoutEnd;
		return this;
    }

    /**
    * 设置 增加 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeoutIncrement
    */
    public ServiceSubAmqpLimitQuery authTimeoutIncrement(Integer authTimeoutIncrement){
		this.authTimeoutIncrement = authTimeoutIncrement;
		return this;
    }

    /**
    * 设置 认证超时，建立连接之后，需要立刻发送认证请求。如果15秒内没有认证成功，服务器将主动关闭连接。默认:15秒
    * @param authTimeoutList
    */
    public ServiceSubAmqpLimitQuery authTimeoutList(List<Integer> authTimeoutList){
        this.authTimeoutList = authTimeoutList;
		return this;
        }

    /**
    * 设置  数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeout
    */
    public ServiceSubAmqpLimitQuery messageTimeout(Integer messageTimeout){
	    setMessageTimeout(messageTimeout);
		return this;
    }
	
	 /**
    * 设置 开始 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeoutStart
    */
    public ServiceSubAmqpLimitQuery messageTimeoutStart(Integer messageTimeoutStart){
		this.messageTimeoutStart = messageTimeoutStart;
		return this;
    }

    /**
    * 设置 结束 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeoutEnd
    */
    public ServiceSubAmqpLimitQuery messageTimeoutEnd(Integer messageTimeoutEnd){
		this.messageTimeoutEnd = messageTimeoutEnd;
		return this;
    }

    /**
    * 设置 增加 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeoutIncrement
    */
    public ServiceSubAmqpLimitQuery messageTimeoutIncrement(Integer messageTimeoutIncrement){
		this.messageTimeoutIncrement = messageTimeoutIncrement;
		return this;
    }

    /**
    * 设置 数据超时，服务端与物联网平台建立连接时，需传入心跳时间（AMQP协议参数idle-timeout），取值范围为30~300秒。 如果超过心跳时间，连接上无任何帧通信，物联网平台将关闭连接。建立连接后，用户服务端需在心跳时间内发送PING包来维持连接。若没有在心跳时间内发送PING包，物联网平台将断开连接默认:300秒
    * @param messageTimeoutList
    */
    public ServiceSubAmqpLimitQuery messageTimeoutList(List<Integer> messageTimeoutList){
        this.messageTimeoutList = messageTimeoutList;
		return this;
        }

    /**
    * 设置  消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimit
    */
    public ServiceSubAmqpLimitQuery consumerGroupMessageStorageMaxLimit(Integer consumerGroupMessageStorageMaxLimit){
	    setConsumerGroupMessageStorageMaxLimit(consumerGroupMessageStorageMaxLimit);
		return this;
    }
	
	 /**
    * 设置 开始 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimitStart
    */
    public ServiceSubAmqpLimitQuery consumerGroupMessageStorageMaxLimitStart(Integer consumerGroupMessageStorageMaxLimitStart){
		this.consumerGroupMessageStorageMaxLimitStart = consumerGroupMessageStorageMaxLimitStart;
		return this;
    }

    /**
    * 设置 结束 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimitEnd
    */
    public ServiceSubAmqpLimitQuery consumerGroupMessageStorageMaxLimitEnd(Integer consumerGroupMessageStorageMaxLimitEnd){
		this.consumerGroupMessageStorageMaxLimitEnd = consumerGroupMessageStorageMaxLimitEnd;
		return this;
    }

    /**
    * 设置 增加 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimitIncrement
    */
    public ServiceSubAmqpLimitQuery consumerGroupMessageStorageMaxLimitIncrement(Integer consumerGroupMessageStorageMaxLimitIncrement){
		this.consumerGroupMessageStorageMaxLimitIncrement = consumerGroupMessageStorageMaxLimitIncrement;
		return this;
    }

    /**
    * 设置 消息保存条数，一个消费组最多可堆积消息条数。默认:1000000
    * @param consumerGroupMessageStorageMaxLimitList
    */
    public ServiceSubAmqpLimitQuery consumerGroupMessageStorageMaxLimitList(List<Integer> consumerGroupMessageStorageMaxLimitList){
        this.consumerGroupMessageStorageMaxLimitList = consumerGroupMessageStorageMaxLimitList;
		return this;
        }

    /**
    * 设置  消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimit
    */
    public ServiceSubAmqpLimitQuery messageStorageTimeLimit(Integer messageStorageTimeLimit){
	    setMessageStorageTimeLimit(messageStorageTimeLimit);
		return this;
    }
	
	 /**
    * 设置 开始 消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimitStart
    */
    public ServiceSubAmqpLimitQuery messageStorageTimeLimitStart(Integer messageStorageTimeLimitStart){
		this.messageStorageTimeLimitStart = messageStorageTimeLimitStart;
		return this;
    }

    /**
    * 设置 结束 消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimitEnd
    */
    public ServiceSubAmqpLimitQuery messageStorageTimeLimitEnd(Integer messageStorageTimeLimitEnd){
		this.messageStorageTimeLimitEnd = messageStorageTimeLimitEnd;
		return this;
    }

    /**
    * 设置 增加 消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimitIncrement
    */
    public ServiceSubAmqpLimitQuery messageStorageTimeLimitIncrement(Integer messageStorageTimeLimitIncrement){
		this.messageStorageTimeLimitIncrement = messageStorageTimeLimitIncrement;
		return this;
    }

    /**
    * 设置 消息保存时长，消息保存时长。默认:1天
    * @param messageStorageTimeLimitList
    */
    public ServiceSubAmqpLimitQuery messageStorageTimeLimitList(List<Integer> messageStorageTimeLimitList){
        this.messageStorageTimeLimitList = messageStorageTimeLimitList;
		return this;
        }

    /**
    * 设置  实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimit
    */
    public ServiceSubAmqpLimitQuery pushMessageLimit(Integer pushMessageLimit){
	    setPushMessageLimit(pushMessageLimit);
		return this;
    }
	
	 /**
    * 设置 开始 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimitStart
    */
    public ServiceSubAmqpLimitQuery pushMessageLimitStart(Integer pushMessageLimitStart){
		this.pushMessageLimitStart = pushMessageLimitStart;
		return this;
    }

    /**
    * 设置 结束 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimitEnd
    */
    public ServiceSubAmqpLimitQuery pushMessageLimitEnd(Integer pushMessageLimitEnd){
		this.pushMessageLimitEnd = pushMessageLimitEnd;
		return this;
    }

    /**
    * 设置 增加 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimitIncrement
    */
    public ServiceSubAmqpLimitQuery pushMessageLimitIncrement(Integer pushMessageLimitIncrement){
		this.pushMessageLimitIncrement = pushMessageLimitIncrement;
		return this;
    }

    /**
    * 设置 实时消息推送限流，一个连接限流，默认:1000 TPS
    * @param pushMessageLimitList
    */
    public ServiceSubAmqpLimitQuery pushMessageLimitList(List<Integer> pushMessageLimitList){
        this.pushMessageLimitList = pushMessageLimitList;
		return this;
        }

    /**
    * 设置  堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimit
    */
    public ServiceSubAmqpLimitQuery pushHeapUpMessageLimit(Integer pushHeapUpMessageLimit){
	    setPushHeapUpMessageLimit(pushHeapUpMessageLimit);
		return this;
    }
	
	 /**
    * 设置 开始 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimitStart
    */
    public ServiceSubAmqpLimitQuery pushHeapUpMessageLimitStart(Integer pushHeapUpMessageLimitStart){
		this.pushHeapUpMessageLimitStart = pushHeapUpMessageLimitStart;
		return this;
    }

    /**
    * 设置 结束 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimitEnd
    */
    public ServiceSubAmqpLimitQuery pushHeapUpMessageLimitEnd(Integer pushHeapUpMessageLimitEnd){
		this.pushHeapUpMessageLimitEnd = pushHeapUpMessageLimitEnd;
		return this;
    }

    /**
    * 设置 增加 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimitIncrement
    */
    public ServiceSubAmqpLimitQuery pushHeapUpMessageLimitIncrement(Integer pushHeapUpMessageLimitIncrement){
		this.pushHeapUpMessageLimitIncrement = pushHeapUpMessageLimitIncrement;
		return this;
    }

    /**
    * 设置 堆积消息推送限流，一个消费组限流，默认:200 TPS。
    * @param pushHeapUpMessageLimitList
    */
    public ServiceSubAmqpLimitQuery pushHeapUpMessageLimitList(List<Integer> pushHeapUpMessageLimitList){
        this.pushHeapUpMessageLimitList = pushHeapUpMessageLimitList;
		return this;
        }

    /**
    * 设置  产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimit
    */
    public ServiceSubAmqpLimitQuery productConsumerGroupNumLimit(Integer productConsumerGroupNumLimit){
	    setProductConsumerGroupNumLimit(productConsumerGroupNumLimit);
		return this;
    }
	
	 /**
    * 设置 开始 产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimitStart
    */
    public ServiceSubAmqpLimitQuery productConsumerGroupNumLimitStart(Integer productConsumerGroupNumLimitStart){
		this.productConsumerGroupNumLimitStart = productConsumerGroupNumLimitStart;
		return this;
    }

    /**
    * 设置 结束 产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimitEnd
    */
    public ServiceSubAmqpLimitQuery productConsumerGroupNumLimitEnd(Integer productConsumerGroupNumLimitEnd){
		this.productConsumerGroupNumLimitEnd = productConsumerGroupNumLimitEnd;
		return this;
    }

    /**
    * 设置 增加 产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimitIncrement
    */
    public ServiceSubAmqpLimitQuery productConsumerGroupNumLimitIncrement(Integer productConsumerGroupNumLimitIncrement){
		this.productConsumerGroupNumLimitIncrement = productConsumerGroupNumLimitIncrement;
		return this;
    }

    /**
    * 设置 产品可关联的消费组数量，默认:10
    * @param productConsumerGroupNumLimitList
    */
    public ServiceSubAmqpLimitQuery productConsumerGroupNumLimitList(List<Integer> productConsumerGroupNumLimitList){
        this.productConsumerGroupNumLimitList = productConsumerGroupNumLimitList;
		return this;
        }

    /**
    * 设置  消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimit
    */
    public ServiceSubAmqpLimitQuery consumerGroupProductNumLimit(Integer consumerGroupProductNumLimit){
	    setConsumerGroupProductNumLimit(consumerGroupProductNumLimit);
		return this;
    }
	
	 /**
    * 设置 开始 消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimitStart
    */
    public ServiceSubAmqpLimitQuery consumerGroupProductNumLimitStart(Integer consumerGroupProductNumLimitStart){
		this.consumerGroupProductNumLimitStart = consumerGroupProductNumLimitStart;
		return this;
    }

    /**
    * 设置 结束 消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimitEnd
    */
    public ServiceSubAmqpLimitQuery consumerGroupProductNumLimitEnd(Integer consumerGroupProductNumLimitEnd){
		this.consumerGroupProductNumLimitEnd = consumerGroupProductNumLimitEnd;
		return this;
    }

    /**
    * 设置 增加 消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimitIncrement
    */
    public ServiceSubAmqpLimitQuery consumerGroupProductNumLimitIncrement(Integer consumerGroupProductNumLimitIncrement){
		this.consumerGroupProductNumLimitIncrement = consumerGroupProductNumLimitIncrement;
		return this;
    }

    /**
    * 设置 消费组可关联的产品数，默认:100
    * @param consumerGroupProductNumLimitList
    */
    public ServiceSubAmqpLimitQuery consumerGroupProductNumLimitList(List<Integer> consumerGroupProductNumLimitList){
        this.consumerGroupProductNumLimitList = consumerGroupProductNumLimitList;
		return this;
        }

    /**
    * 设置  消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimit
    */
    public ServiceSubAmqpLimitQuery customerConsumerGroupNumLimit(Integer customerConsumerGroupNumLimit){
	    setCustomerConsumerGroupNumLimit(customerConsumerGroupNumLimit);
		return this;
    }
	
	 /**
    * 设置 开始 消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimitStart
    */
    public ServiceSubAmqpLimitQuery customerConsumerGroupNumLimitStart(Integer customerConsumerGroupNumLimitStart){
		this.customerConsumerGroupNumLimitStart = customerConsumerGroupNumLimitStart;
		return this;
    }

    /**
    * 设置 结束 消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimitEnd
    */
    public ServiceSubAmqpLimitQuery customerConsumerGroupNumLimitEnd(Integer customerConsumerGroupNumLimitEnd){
		this.customerConsumerGroupNumLimitEnd = customerConsumerGroupNumLimitEnd;
		return this;
    }

    /**
    * 设置 增加 消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimitIncrement
    */
    public ServiceSubAmqpLimitQuery customerConsumerGroupNumLimitIncrement(Integer customerConsumerGroupNumLimitIncrement){
		this.customerConsumerGroupNumLimitIncrement = customerConsumerGroupNumLimitIncrement;
		return this;
    }

    /**
    * 设置 消费组个数限制，默认:1000
    * @param customerConsumerGroupNumLimitList
    */
    public ServiceSubAmqpLimitQuery customerConsumerGroupNumLimitList(List<Integer> customerConsumerGroupNumLimitList){
        this.customerConsumerGroupNumLimitList = customerConsumerGroupNumLimitList;
		return this;
        }

    /**
    * 设置  消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimit
    */
    public ServiceSubAmqpLimitQuery consumerGroupHaveConsumerNumLimit(Integer consumerGroupHaveConsumerNumLimit){
	    setConsumerGroupHaveConsumerNumLimit(consumerGroupHaveConsumerNumLimit);
		return this;
    }
	
	 /**
    * 设置 开始 消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimitStart
    */
    public ServiceSubAmqpLimitQuery consumerGroupHaveConsumerNumLimitStart(Integer consumerGroupHaveConsumerNumLimitStart){
		this.consumerGroupHaveConsumerNumLimitStart = consumerGroupHaveConsumerNumLimitStart;
		return this;
    }

    /**
    * 设置 结束 消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimitEnd
    */
    public ServiceSubAmqpLimitQuery consumerGroupHaveConsumerNumLimitEnd(Integer consumerGroupHaveConsumerNumLimitEnd){
		this.consumerGroupHaveConsumerNumLimitEnd = consumerGroupHaveConsumerNumLimitEnd;
		return this;
    }

    /**
    * 设置 增加 消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimitIncrement
    */
    public ServiceSubAmqpLimitQuery consumerGroupHaveConsumerNumLimitIncrement(Integer consumerGroupHaveConsumerNumLimitIncrement){
		this.consumerGroupHaveConsumerNumLimitIncrement = consumerGroupHaveConsumerNumLimitIncrement;
		return this;
    }

    /**
    * 设置 消费端个数限制，默认:64
    * @param consumerGroupHaveConsumerNumLimitList
    */
    public ServiceSubAmqpLimitQuery consumerGroupHaveConsumerNumLimitList(List<Integer> consumerGroupHaveConsumerNumLimitList){
        this.consumerGroupHaveConsumerNumLimitList = consumerGroupHaveConsumerNumLimitList;
		return this;
        }

    /**
    * 设置  连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimit
    */
    public ServiceSubAmqpLimitQuery consumerGroupConsumerConNumLimit(Integer consumerGroupConsumerConNumLimit){
	    setConsumerGroupConsumerConNumLimit(consumerGroupConsumerConNumLimit);
		return this;
    }
	
	 /**
    * 设置 开始 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimitStart
    */
    public ServiceSubAmqpLimitQuery consumerGroupConsumerConNumLimitStart(Integer consumerGroupConsumerConNumLimitStart){
		this.consumerGroupConsumerConNumLimitStart = consumerGroupConsumerConNumLimitStart;
		return this;
    }

    /**
    * 设置 结束 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimitEnd
    */
    public ServiceSubAmqpLimitQuery consumerGroupConsumerConNumLimitEnd(Integer consumerGroupConsumerConNumLimitEnd){
		this.consumerGroupConsumerConNumLimitEnd = consumerGroupConsumerConNumLimitEnd;
		return this;
    }

    /**
    * 设置 增加 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimitIncrement
    */
    public ServiceSubAmqpLimitQuery consumerGroupConsumerConNumLimitIncrement(Integer consumerGroupConsumerConNumLimitIncrement){
		this.consumerGroupConsumerConNumLimitIncrement = consumerGroupConsumerConNumLimitIncrement;
		return this;
    }

    /**
    * 设置 连接次数限制，一个消费组1分钟内，消费端请求连接不超过100次。默认:100
    * @param consumerGroupConsumerConNumLimitList
    */
    public ServiceSubAmqpLimitQuery consumerGroupConsumerConNumLimitList(List<Integer> consumerGroupConsumerConNumLimitList){
        this.consumerGroupConsumerConNumLimitList = consumerGroupConsumerConNumLimitList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ServiceSubAmqpLimitQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ServiceSubAmqpLimitQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ServiceSubAmqpLimitQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ServiceSubAmqpLimitQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}