package com.mortals.xhx.module.service.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.DbOrderKind;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.service.model.ServiceSubAmqpLimitEntity;
import com.mortals.xhx.module.service.service.ServiceSubAmqpLimitService;

import java.util.HashMap;
import java.util.Map;
/**
* ServiceSubAmqpLimitController
*
* AMQP服务端订阅限制 控制器
*
* @author zxfei
* @date 2021-11-09
*/
@RestController
@RequestMapping("service/sub/amqp/limit")
public class ServiceSubAmqpLimitController extends BaseCRUDJsonMappingController<ServiceSubAmqpLimitService,ServiceSubAmqpLimitForm,ServiceSubAmqpLimitEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ServiceSubAmqpLimitController(){
        super.setFormClass(ServiceSubAmqpLimitForm.class);
        super.setModuleDesc( "AMQP服务端订阅限制");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, ServiceSubAmqpLimitForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }

    @Override
    protected void doListBefore(HttpServletRequest request, HttpServletResponse response, ServiceSubAmqpLimitForm form, Map<String, Object> model, Context context) throws AppException {
        Map<String, String> orderCols = new HashMap<>();
        orderCols.put("id", DbOrderKind.DESC.name());
        form.getQuery().setOrderCols(orderCols);
        super.doListBefore(request, response, form, model, context);
    }
}