package com.mortals.xhx.service.app.model;

/**
 * App端http请求 调用服务 消息包装类
 */
public class AppInvokeServiceReq extends AppMsgBaseReq {

	private static final long serialVersionUID = -8634916996774268983L;
	
	/** 系统规定参数。取值：InvokeService */
    private String action;
    
    /**要启用服务的入参信息
     * 数据格式为JSON String，例如Args={"param1":1}。
	 * 若此参数为空时，需传入 Args={}  
	*/
    private String args;
    
    /** 服务的标识符 */
    private String identifier;
    
    /** 要调用服务的设备所隶属的产品ProductKey */
    private String productKey;
    
    /** 要调用服务所属设备的DeviceName */
    private String deviceName;

	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	public String getArgs() {
		return args;
	}

	public void setArgs(String args) {
		this.args = args;
	}

	public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	public String getProductKey() {
		return productKey;
	}

	public void setProductKey(String productKey) {
		this.productKey = productKey;
	}

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	@Override
	public String toString() {
		return "AppInvokeServiceReq [action=" + action + ", args=" + args + ", identifier=" + identifier
				+ ", productKey=" + productKey + ", deviceName=" + deviceName + "]";
	}
}
