package com.mortals.xhx.service.app.model;

import java.io.Serializable;

/**
 * App端http请求消息公共参数包装类
 */
public class AppMsgBaseReq implements Serializable {

	private static final long serialVersionUID = -2113580212225465946L;
	
	/** API版本号 */
    private String version;
    
    /** 颁发给用户的访问服务所用的密钥 */
    private String accessKey;
    
    /** 签名结果串 */
    private String sign;
    
    /** 请求的时间戳,单位：毫秒 */
    private Long time = System.currentTimeMillis();
    
    /** 协议类型：{@link MsgProtocolType}  */
    private int protocolType;
    
    /**
     * 由mall返回给业务系统的msgId
     * 响应消息就带接受到的msgId
     * 请求消息就传0
     */
    private String msgId;
    
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public String getAccessKey() {
		return accessKey;
	}
	public void setAccessKey(String accessKey) {
		this.accessKey = accessKey;
	}
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}
	public Long getTime() {
		return time;
	}
	public void setTime(Long time) {
		this.time = time;
	}
	public int getProtocolType() {
		return protocolType;
	}
	public void setProtocolType(int protocolType) {
		this.protocolType = protocolType;
	}
	@Override
	public String toString() {
		return "AppMsgBaseReq [version=" + version + ", accessKey=" + accessKey + ", sign=" + sign + ", time=" + time
				+ ", protocolType=" + protocolType + "]";
	}
}
