package com.mortals.xhx.service.app.model;

import java.io.Serializable;

/**
 * App端http响应消息包装类
 */
public class AppMsgRsp implements Serializable {

    private static final long serialVersionUID = -2393457685653195515L;
    /** 响应编码：{@link AppMsgRspCode} */
    private int code = AppMsgRspCode.SUCCESS.getValue();
    /** 响应结果描述：失败原因等 */
    private String msg;
    /**云端向设备下发服务调用的消息ID
     * 由mall平台收到业务系统提交的消息后生成，并返回给业务系统 
     */
    private String msgId;
    /** 响应数据 */
    private Object data;

    public AppMsgRsp() {
    }

    public AppMsgRsp(int code, String msg, String data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

	public String getMsgId() {
		return msgId;
	}

	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}

	@Override
	public String toString() {
		return "AppMsgRsp [code=" + code + ", msg=" + msg + ", msgId=" + msgId + ", data=" + data + "]";
	}
}
