package com.mortals.xhx.service.common.code;

import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 数据类型
 * @author shaosheng
 * @date 2021/5/14 下午3:57
 */
public enum DataTypeEnum implements IBaseEnum {
    TSL_INT_32(1, "int32"),
    TSL_FLOAT(2, "float"),
    TSL_DOUBLE(3, "double"),
    TSL_ENUM(4, "enum"),
    TSL_BOOL(5, "bool"),
    TSL_TEXT(6, "text"),
    TSL_DATE(7, "date"),
    TSL_STRUCT(8, "struct"),
    TSL_ARRAY(9, "array");

    private int value;
    private String desc;

    DataTypeEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }


    public static DataTypeEnum getByValue(int value) {
        for (DataTypeEnum e : DataTypeEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap();
        for (DataTypeEnum item : DataTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
