package com.mortals.xhx.service.common.code;

/**
 * kafka key
 */
public interface KafkaKey {

    /** 上行命令待解码队列topic：Cust_UpDecode_产品全局唯一标识符(productKey) 每个产品一个topic */
    static String CustUpDecodeTopicName = "Cust_UpDecode_%s";
    
    /** 上行命令已解码队列topic：Cust_UpDecoded_产品全局唯一标识符(productKey)；每个产品一个topic */
    static String CustUpDecodedTopicName = "Cust_UpDecoded_%s";
    
    /** 下行命令已编码队列topic：Cust_DwEncoded_产品全局唯一标识符(productKey)；每个产品一个topic */
    static String CustDwEncodedTopicName = "Cust_DwEncoded_%s";
    
    /** 系统类的上行消息 */
    static String SysUpTopicName = "Sys_UP_Topic";
    
    /** 系统类的下行通知消息 */
    static String SysDwTopicName = "Sys_Dw_Topic";

    /** 上行命令待解码队列topic */
    public static String getUpDecodeTopicName(String productKey) {
        return String.format(KafkaKey.CustUpDecodeTopicName, productKey);
    }

    /** 上行命令已解码队列topic */
    public static String getUpDecodedTopicName(String productKey) {
        return String.format(KafkaKey.CustUpDecodedTopicName, productKey);
    }

    /** 下行命令已编码队列topic */
    public static String getDwEncodedTopicName(String productKey) {
    	return String.format(KafkaKey.CustDwEncodedTopicName, productKey);
    }
}
