package com.mortals.xhx.service.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 消息结果信息枚举
 */
public enum MsgCodeEnum {

    /** 请求参数错误 */
	PARAM_ERROR(460, "request parameter error"),
	/** 数据类型错误 */
	DATA_TYPE_ERROR(6306, "data type error"),
    /** 子设备会话不存在 */
	SESSION_ERROR(520, "device no session"),
    /** 成功 */
    SUCCESS(200, "success"),
    /** 签名校验失败 */
    AUTH_ERROR(401, "request auth error"),
    /** 设备不存在 */
    DEVICE_ERROR(6100, "device not found"),
    /** 上报的子设备的名称不符规范，设备名称支持英文字母、数字、连接号（-）、at符号（@）、_点号（.）和冒号（:），长度限制4~32 */
    DEVICENAME_ERROR(6280, "devicename not meet specs"),
    /** 事件标识错误 */
    EVENT_IDENTI_ERROR(6307, "event Identifier error"),
    ;

    private int value;
    private String msg;

    MsgCodeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public String getMsg() {
        return msg;
    }
    
    public static MsgCodeEnum getByValue(int value) {
        for (MsgCodeEnum examStatus : MsgCodeEnum.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }
    
    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        MsgCodeEnum[] contractTypeEnums = MsgCodeEnum.values();
        for (MsgCodeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
