package com.mortals.xhx.service.common.code;

import java.io.Serializable;

/**
 * 通信协议类型
 */
public enum MsgProtocolType implements Serializable {


    /** SYSTEM */
    SYSTEM(0, "SYSTEM"),
    /** MQTT */
    MQTT(1, "MQTT"),
    /** COAP */
    COAP(2, "COAP"),
    /** LWM2M */
    LWM2M(3, "LWM2M"),
    /** HTTP */
    HTTP(4, "HTTP");

    private int value;
    private String desc;

    MsgProtocolType(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    public static MsgProtocolType getByValue(int value) {
        for (MsgProtocolType examStatus : MsgProtocolType.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }

}
