package com.mortals.xhx.service.common.code;

import java.io.Serializable;

/**
 * broker<--->Mall之间异步消息类型<br/>
 * 规则：<br/>
 * broker -> mall ：00-49<br/>
 * mall -> broker：50-99<br/>
 */
public enum MsgType implements Serializable {

    /** broker -> mall */
    /** broker -> mall：透传设备原始上行数据 */
    UpCmd(10, "透传设备原始上行数据"),
    /** broker提交连接断开 */
    ConnClose(14, "设备连接断开"),
    /** broker提交连接创建 */
    ConnCreate(1, "设备连接创建"),

    /** mall -> broker */
    /** mall -> broker：透传设备原始下行数据 */
    DwCmd(50, "透传设备原始下行数据"),
    /** mall -> broker：透传设备原始下行数据 */
    PubCmd(3, "发布消息"),
    /** mall -> broker：透传设备原始下行数据 */
    SubCmd(8, "订阅消息"),
    ;

    private int value;
    private String desc;

    MsgType(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    public static MsgType getByValue(int value) {
        for (MsgType examStatus : MsgType.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }

}
