package com.mortals.xhx.service.common.code;

import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 物模型的发布状态
 * @author shaosheng
 * @date 2021/5/20 下午3:07
 */
public enum ProductFunctionStatusEnum implements IBaseEnum {

    FUNCTION_STATUS_DRAFT(1, "date"),
    FUNCTION_STATUS_PUB(2, "struct");

    private int value;
    private String desc;

    ProductFunctionStatusEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }


    public static ProductFunctionStatusEnum getByValue(int value) {
        for (ProductFunctionStatusEnum e : ProductFunctionStatusEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap();
        for (ProductFunctionStatusEnum item : ProductFunctionStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
