package com.mortals.xhx.service.common.code;

/**
 * redis key
 */
public interface RedisKeys {

    /** 设备topic与clientId的关系 */
    static String DEVICE_TOPIC_BROKER = "DevTopic:";
    
    /** broker缓存的设备在线状态key */
    static String BROKER_DEVICE_STSTUS = "Broker:DevStatus";
    
    /** Broker节点需要的设备缓存信息 */
    static String BROKER_DEVICE_INFO = "Broker:DeviceInfo";

    /** 设备topic与clientId的关系 */
    public static String getDeviceTopicBrokerKey(String clientId) {
        return RedisKeys.DEVICE_TOPIC_BROKER + clientId;
    }
    
    /** broker缓存的设备在线状态key */
    public static String getDeviceStatusBrokerKey() {
        return RedisKeys.BROKER_DEVICE_STSTUS;
    }
    
    /** Broker节点需要的设备缓存信息 */
    public static String getBrokerDeviceInfoKey() {
        return RedisKeys.BROKER_DEVICE_INFO;
    }
}
