package com.mortals.xhx.service.msgcodec.consumer;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.Executors;
import java.util.concurrent.ThreadPoolExecutor;

public final class ThreadPools {

    /** 消息处理线程池map，key:protocolCode, value:线程池 */
    private static Map<String, ThreadPoolExecutor> poolMap = new ConcurrentHashMap<>();

    /**
     * 根据topic获取线程池，如无对应线程池，则先创建再返回,默认5个线程
     * @param poolKey
     * @return
     */
    public static ThreadPoolExecutor getPool(String poolKey) {
        return getPool(poolKey, 5);
    }

    /**
     * 根据topic获取线程池，如无对应线程池，则先创建再返回
     * @param poolKey
     * @param poolSize
     * @return
     */
    public static ThreadPoolExecutor getPool(String poolKey, int poolSize) {
        ThreadPoolExecutor executor = poolMap.get(poolKey);
        if (executor == null) {
            executor = (ThreadPoolExecutor) Executors.newFixedThreadPool(poolSize);
            poolMap.put(poolKey, executor);
        } else {
            // TODO 如何实现动态调整池大小
        }
        return executor;
    }

}
