package com.mortals.xhx.service.msgcodec.model;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Arrays;

/**
 * 设备上行消息
 * @author Administrator
 */
public class BrokerMsg implements Serializable {

    private static final long serialVersionUID = 2389639323008972883L;
    
    /** 协议类型：{@link MsgProtocolType}  */
    private byte[] protocol;
    
    /** clientId  */
    private byte[] clientId;
    
    /** 消息类型：*/
    private byte[] messageType;
    
    /** 设备topic  */
    private byte[] topic;
    
    /** qos  */
    private byte[] qos;
    
    /** 时间截  */
    private byte[] timestamp;
    
    /** 原始命令数据：原始数据 
     * 数据格式：
	 * {
	 * 	"id": "123",
	 * 	"version": "1.0",
	 * 	"params": [
	 *   	{
	 *     	"deviceName": "deviceName1234",
	 *     	"productKey": "1234556554"
	 *      ...
	 *   	}
	 * 	],
	 * 	"method": "thing.sub.register",
	 *  "msgId": "12",
	 *	}
     * 
     * */
    private byte[] payload;

	public int getProtocol() {
		return protocol[0];
	}

	public void setProtocol(byte[] protocol) {
		this.protocol = protocol;
	}

	public String getClientId() {
		try {
			return new String(clientId, "utf-8");
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		return "";
	}

	public void setClientId(byte[] clientId) {
		this.clientId = clientId;
	}

	public int getMessageType() {
		return messageType[0];
	}

	public void setMessageType(byte[] messageType) {
		this.messageType = messageType;
	}

	public String getTopic() {
		try {
			return new String(topic, "utf-8");
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		return "";
	}

	public void setTopic(byte[] topic) {
		this.topic = topic;
	}

	public int getQos() {
		return qos[0];
	}

	public void setQos(byte[] qos) {
		this.qos = qos;
	}

	public String getTimestamp() {
		try {
			return new String(timestamp, "utf-8");
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		return "";
	}

	public void setTimestamp(byte[] timestamp) {
		this.timestamp = timestamp;
	}

	public byte[] getPayload() {
		return payload;
	}

	public void setPayload(byte[] payload) {
		this.payload = payload;
	}

	@Override
	public String toString() {
		try {
			return "UpMsgHead [protocol=" + protocol[0] + ", clientId=" + new String(clientId, "utf-8")
					+ ", messageType=" + messageType[0] + ", topic=" + new String(topic, "utf-8") + ", qos="
					+ qos[0] + ", timestamp=" + new String(timestamp, "utf-8") + ", payload="
					+ Arrays.toString(payload) + "]";
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		return "BrokerUpMsg [protocol=" + Arrays.toString(protocol) + ", clientId=" + Arrays.toString(clientId)
			+ ", messageType=" + Arrays.toString(messageType) + ", topic=" + Arrays.toString(topic) + ", qos="
			+ Arrays.toString(qos) + ", timestamp=" + Arrays.toString(timestamp) + ", payload="
			+ Arrays.toString(payload) + "]";
	}
}
