package com.mortals.xhx.service.msgcodec.model;


/**
 * 下行待编码命令消息
 */
public class DwMsg {

    /** 请求的时间戳,单位：毫秒 */
    private Long time = System.currentTimeMillis();
    
    /** 协议类型：{@link MsgProtocolType}  */
    private int protocolType;
    
    /**要启用服务的入参信息
     * 数据格式为JSON String，例如Args={"param1":1}。
	 * 若此参数为空时，需传入 Args={}  
	*/
    private String args;
    
    /** 服务的标识符 */
    private String identifier;
    
    /** 要调用服务的设备所隶属的产品ProductKey */
    private String productKey;
    
    /** 要调用服务所属设备的DeviceName */
    private String deviceName;
    
    /**
     * 由mall返回给业务系统的msgId
     * 响应消息就带接受到的msgId
     * 请求消息就传0
     */
    private String msgId;
    
    public DwMsg() {
    }

	public Long getTime() {
		return time;
	}

	public void setTime(Long time) {
		this.time = time;
	}

	public int getProtocolType() {
		return protocolType;
	}

	public void setProtocolType(int protocolType) {
		this.protocolType = protocolType;
	}

	public String getArgs() {
		return args;
	}

	public void setArgs(String args) {
		this.args = args;
	}

	public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	public String getProductKey() {
		return productKey;
	}

	public void setProductKey(String productKey) {
		this.productKey = productKey;
	}

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public String getMsgId() {
		return msgId;
	}

	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}

	@Override
	public String toString() {
		return "DwMsg [time=" + time + ", protocolType=" + protocolType + ", args=" + args + ", identifier="
				+ identifier + ", productKey=" + productKey + ", deviceName=" + deviceName + ", msgId=" + msgId + "]";
	}
}
