package com.mortals.xhx.service.msgcodec.model;

import java.io.Serializable;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

/**
 * alink请求数据格式
 * @author Administrator
 *
 */
public class MsgDataReq implements Serializable {

	private static final long serialVersionUID = 5859597555589253709L;
	
	/**
	 * 消息请求id
	 * 回复时为0
	 * 消息ID号,需定义为String类型的数字，且设备维度唯一
	 */
	private String id;
	
	/**
	 * 协议版本号
	 */
	private String version = "v1.0.0";
	
	/**
	 * 请求参数
	 */
	private String params;
	
	/**
	 * 请求方法
	 */
	private String method;
	
	/**
	 * 消息回复的序列号
	 * 请求时为0
	 */
	private String msgId;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getParams() {
		return params;
	}

	public void setParams(String params) {
		this.params = params;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	public String getMsgId() {
		return msgId;
	}

	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}

	@Override
	public String toString() {
		return "MsgDataReq [id=" + id + ", version=" + version + ", params=" + params + ", method=" + method
				+ ", msgId=" + msgId + "]";
	}

	public static void main(String[] args) {
		String aString = "{"+
						"\"id\": \"123\","+
						"\"version\": \"1.0\","+
						"\"params\": {"+
			"\"value\": {"+
			"\"Power\": \"on\","+
			"\"WF\": \"2\""+
				"},"+
				"\"time\": 1524448722000"+
				"},"+
				"\"method\": \"thing.event.{tsl.event.identifier}.post\""+
					"}";
		MsgDataReq msgDataReq = JSON.parseObject(aString, MsgDataReq.class);
		JSONObject object = JSON.parseObject(msgDataReq.getParams());
		System.out.println(msgDataReq.toString());
		System.out.println(object.toJSONString());
	}
}
