package com.mortals.xhx.service.msgcodec.model;

/**
 * 上行已解码命令消息
 */
public class UpAppMsg {

	/** 协议类型：{@link MsgProtocolType}  */
    private int protocolType;
    
	/**
     * 定义产品topic
     */
    private String topic;
    
    /** clientId */
    private String clientId;
    
    /** 命令数据：原始数据或解码后的数据 */
    private String data;
    
    /** pcs收到消息的时间，unix时间戳，单位毫秒 */
    protected Long time = System.currentTimeMillis();

    /** 消息序列号(唯一),由协议自己产生或由mall平台收到设备或app侧提交的消息后生成，并推送给设备或app侧 */
    private String msgId;
    
    /**
	 * 标识
	 */
	private String identifier;
	/**
	 * 功能名称
	 */
	private String name;
	
	/**
	 * 事件类型
	 */
	private String eventType;
	
	/**
	 * 设备名
	 */
	private String deviceName;
	
	/**
	 * 产品key
	 */
	private String productKey;

    public UpAppMsg() {
    }

	public String getTopic() {
		return topic;
	}

	public void setTopic(String topic) {
		this.topic = topic;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getData() {
		return data;
	}

	public void setData(String data) {
		this.data = data;
	}

	public Long getTime() {
		return time;
	}

	public void setTime(Long time) {
		this.time = time;
	}

	public String getMsgId() {
		return msgId;
	}

	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}

	public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEventType() {
		return eventType;
	}

	public void setEventType(String eventType) {
		this.eventType = eventType;
	}

	public int getProtocolType() {
		return protocolType;
	}

	public void setProtocolType(int protocolType) {
		this.protocolType = protocolType;
	}

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public String getProductKey() {
		return productKey;
	}

	public void setProductKey(String productKey) {
		this.productKey = productKey;
	}

	@Override
	public String toString() {
		return "UpAppMsg [protocolType=" + protocolType + ", topic=" + topic + ", clientId=" + clientId + ", data="
				+ data + ", time=" + time + ", msgId=" + msgId + ", identifier=" + identifier + ", name=" + name
				+ ", eventType=" + eventType + ", deviceName=" + deviceName + ", productKey=" + productKey + "]";
	}
}
