package com.mortals.xhx.service.msgcodec.proto;

import com.mortals.xhx.service.msgcodec.model.BrokerMsg;
import com.mortals.xhx.service.msgcodec.model.DwMsg;
import com.mortals.xhx.service.msgcodec.model.func.FuncItemService;
import com.mortals.xhx.service.queue.TbQueueMsg;

import java.util.List;


/**
 * 各种协议消息处理服务类
 */
public interface MsgCodec {

	/**
     * 设备连接创建业务处理
     * @param bkMsg
     */

    void doConnectCreate(BrokerMsg bkMsg) throws CodecException;

    /**
     * 设备连接断开业务处理
     * @param bkMsg
     */
    void doConnectClose(BrokerMsg bkMsg) throws CodecException;
    
    /**
     * 设备上行待解码命令消息处理
     * @param bkMsg
     * @return
     */
    void doDeviceUpCmd(BrokerMsg bkMsg) throws CodecException;

    /**
     * 服务端下行待编码命令消息处理
     * @param dwMsg
     * @return
     */
    TbQueueMsg doDeviceDwCmd(DwMsg dwMsg, List<FuncItemService> services) throws Exception;
}
